
PAGE 66,132
TITLE ** B10_00__.ASM - Programma per l'inizializzazione  della  scheda  VIDEO
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_00__.ASM                         (INT 10H, Funzione 00H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione                           |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN     Acapo:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_00__

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Testo1  DB "Modo TESTO STANDARD 0 H",00H
Testo2  DB "prova  CON  ClearScreen",00H
Testo3  DB "prova SENZA ClearScreen",00H
ATTRIB  DB 00H                ;Attributo di Colore
Modo    DB   00H              ;Numero del MODO TESTO corrente


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : CambiaModo                                                  |
;| DESCRIZIONE : Cambia il MODO VIDEO corrente in quello  desiderato,  il cui|
;|               numero  fornito in ingresso in AL.                         |
;\---------------------------------------------------------------------------/
CambiaModo:PUSH DX            ;
        MOV     CS:[Modo],AL  ; Aggiorna la riga su cui stampare  il messaggio
        MOV     AH,00H        ; Provvede ad attivare il  MODO VIDEO desiderato
        INT     10H           ;
        TEST    AL,80H        ; Se il MODO VIDEO  stato attivato  con   l'in-
        JZ      Camb1         ; tento di evitare il ClearScreen  (bit7  di  AL
        SUB     AL,80H        ; uguale a "1", range 80H83H) ne si formatta il
Camb1:  POP     DX            ; numero nel range 0003
        RET

;/----------------------------- ---------------------------------------------\
;| PROCEDURE   : STAmess                                                     |
;| DESCRIZIONE : Cambia il MODO VIDEO corrente in quello  desiderato,  il cui|
;|               numero  forni o in ingresso in AL e  poi  stampa  un  breve|
;|               messaggio con  a sua descrizione, adatto ai MODO TESTO a  40|
;|               colonne.                                                    |
;\----------------------------- ---------------------------------------------/
STAmess:CALL    CambiaModo
        PUSH    DX            ;
        PUSH    AX            ;
        PUSH    DX            ; Stampa il primo Testo di commento
        CALL    SET_cur       ;
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ;
        POP     DX            ;
        ADD     DL,21         ;
        CALL    SET_cur       ;
        POP     AX            ;
        ADD     AL,30H        ;
        CALL    BIOchr1       ; Chiude il messaggio con la sua parte finale
        CALL    Acapo         ;
        POP     DX            ;
        INC     DH            ;
        CALL    SET_cur       ; Se il MODO VIDEO  stato attivato  con   l'in-
        LEA     SI,Testo2     ; tento di evitare il ClearScreen  (bit7  di  AL
   TEST Byte Ptr CS:[Modo],80H; numero nel range 0003) si stampa il messaggio
        JZ      STAme1        ; adatto allo scopo
        LEA     SI,Testo3     ;
STAme1: CALL    BIOSmsg       ;
        CALL    Acapo         ;

        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_00__ proc   NEAR          ;      AREA DEDICATA AL MAIN PROGRAM 
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
  MOV Byte Ptr CS:[ATTRIB],0FH;*Colore dei Testi 0FH(Bianco brillante su Nero)
                              ;/---------------------------------------------\
                              ;|MODI TESTO STANDARD  con  effetto ClearScreen|
                              ;\---------------------------------------------/
        MOV     DL,08         ;*Inizializza Colonna/stampa per MODI a 40 colon
        MOV     DH,02         ;/-------------------*------*-----*----*-------\
        MOV     AL,00H        ;|MODO TESTO STANDARD|AL=00H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DH,02         ;/-------------------*------*-----*----*-------\
        MOV     AL,01H        ;|MODO TESTO STANDARD|AL=01H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DL,30         ;*Inizializza Colonna/stampa per MODI a 80 colon
        MOV     DH,02         ;/-------------------*------*-----*----*-------\
        MOV     AL,02H        ;|MODO TESTO STANDARD|AL=02H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DH,02         ;/-------------------*------*-----*----*-------\
        MOV     AL,03H        ;|MODO TESTO STANDARD|AL=03H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScreen con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
                              ;/---------------------------------------------\
                              ;|MODI TESTO STANDARD senza effetto ClearScreen|
                              ;\---------------------------------------------/
        MOV     DL,08         ;*Inizializza Colonna/stampa per MODI a 40 colon
        MOV     DH,02         ;/-------------------*------*-----*----*-------\
        MOV     AL,80H        ;|MODO TESTO STANDARD|AL=80H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DH,07         ;/-------------------*------*-----*----*-------\
        MOV     AL,81H        ;|MODO TESTO STANDARD|AL=81H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DL,30         ;*Inizializza Colonna/stampa per MODI a 80 colon
        MOV     DH,12         ;/-------------------*------*-----*----*-------\
        MOV     AL,82H        ;|MODO TESTO STANDARD|AL=82H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     DH,17         ;/-------------------*------*-----*----*-------\
        MOV     AL,83H        ;|MODO TESTO STANDARD|AL=83H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/

        MOV     AL,03H        ; 
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ; 
                              
        MOV     AH,4CH        ;Torna al DOS 
        INT     21H           
                              
B10_00__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare

