PAGE 66,132
TITLE ** B10_08gr.ASM - Programma per la lettura di  caratteri  sullo  schermo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_08gr.ASM                         (INT 10H, Funzione 08H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto  della  Funzione in MODO GRAFICO VGA 12H,|
;|               80x30, 8x16, 640x480 a 16 colori, localizzando un determina-|
;|               to carattere tra quelli presenti sullo schermo.             |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN      KEYwait:NEAR
        EXTRN      BIOSmsg:NEAR
        EXTRN      BIOchr1:NEAR
        EXTRN      SET_cur:NEAR
        EXTRN      Byt2Asc:NEAR
        PUBLIC     ATTRIB     ;Attributo di colore

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_08gr


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Testo1  DB "Il carattere ~ ~ di codice ASCII   H "
        DB "occupa la posizione   H"                  ,00H
Testo2  DB "  ***** Premi un tasto continuare ***** " ,00H
Testo3  DB " Premi un tasto per iniziare il test "    ,00H
ATTRIB  DB  01H               ;Attributo di colore per la Libreria
DepCol  DB  01H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAmess                                                     |
;| DESCRIZIONE : Provvede alla stampa di alcuni messaggi a corredo  del test,|
;\---------------------------------------------------------------------------/
STAmess:MOV     DH,10         ;
        MOV     DL,21         ;
        CALL    SET_cur       ; Messaggio di attesa dell'inizio test
  MOV Byte Ptr CS:[ATTRIB],0EH;
        LEA     SI,Testo3     ;
        CALL    BIOSmsg       ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        MOV     DH,10         ;
        MOV     DL,03         ;
        CALL    SET_cur       ;
  MOV Byte Ptr CS:[ATTRIB],0FH;
        LEA     SI,Testo1     ; Predispone i messaggi SENZA i dati esadecimali
        CALL    BIOSmsg       ;
        INC     DH            ;
        MOV     DL,16         ;
        CALL    SET_cur       ;
        LEA     SI,Testo2     ;
        CALL    BIOSmsg       ;
        RET                   ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdati                                                     |
;| DESCRIZIONE : Provvede alla stampa dei risultati del test, assumendo da AL|
;|               il codice ASCII del carattere da mettere in evidenza; da no-|
;|               tare che nei MODI GRAFICI l'attributo di colore NON  DISPO-|
;|               NIBILE.                                                     |
;\---------------------------------------------------------------------------/
STAdati:PUSH    DX            ; /--------------------------------------------\
        PUSH    CX            ; |      Assunzione e stampa del risultato     |
        PUSH    AX            ; \--------------------------------------------/
        MOV     AL,CS:[DepCol];
        INC     AL            ;
        CMP     AL,16         ; Controlla sul Colore del  carattere corrente e
        JNZ     STAdat0       ; per garantire un punto di riferimento pi pre-
        MOV     AL,01         ; ciso
STAdat0:MOV     CS:[ATTRIB],AL;
        MOV     CS:[DepCol],AL;
        MOV     DH,10         ;
        MOV     DL,17         ;
        CALL    SET_cur       ; Stampa il carattere ASCII corrente con
        POP     AX            ; l'aiuto di "BIOchr1"
        PUSH    AX            ;
        CALL    BIOchr1       ;
        MOV     DL,36         ;
        CALL    SET_cur       ; Stampa la traduzione ASCII esadecimale del va-
        POP     AX            ; lore del carattere corrente, con l'aiuto della
  MOV Byte Ptr CS:[ATTRIB],0EH; Procedura "Byt2Asc"
        CALL    Byt2Asc       ;
        MOV     DL,60         ;
        CALL    SET_cur       ;
        POP     AX            ; Stampa il numero della posizione del carattere
        MOV     AH,96         ; corrente, tradotto  in  ASCII  esadecimale con
        SUB     AH,AL         ; l'aiuto ancora di "Byt2Asc"
        MOV     AL,AH         ;
        CALL    Byt2Asc       ;
        POP     DX            ;
        INC     DL            ; Aggiorna la posizione del Cursore incrementan-
        CMP     DL,80         ; do prima la colonna e, se il suo valore  mag-
        JNZ     STAdat_       ; giore di 80, incrementando anche la riga;  na-
        MOV     DL,00         ; turalmente garantisce il recupero della  posi-
        INC     DH            ; zione di partenza se la riga  maggiore di 25,
        CMP     DH,25         ; anche se questo programma  non  potr  fruirne
        JNZ     STAdat_       ;
        MOV     DH,00         ;
STAdat_:PUSH    DX            ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        POP     DX            ;
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_08gr proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     AL,12H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,00H        ; |MODO 12H|80x30|8x16|640x480|16 colori   |VGA|
        INT     10H           ; \--------*-----*----*-------*------------*---/
                              ; ---------------------------------------------
                              ;   Predisposizione dei  caratteri da leggere
                              ; ---------------------------------------------
        MOV     DH,01H        ;
        MOV     DL,01H        ; Inizializza il punto di stampa e il colore del
        CALL    SET_cur       ; primo dei 95 caratteri ASCII stampabili previ-
        MOV     AL,01         ; sti (collocandolo  alla Riga,Colonna = 01H,01H
        MOV     CS:[ATTRIB],AL; con colore BLU su NERO)
        DEC     AL            ;
        MOV     CS:[DepCol],AL;
        MOV     CX,95         ;
        MOV     AL,"!"        ;
XXX00:  PUSH    AX            ; Predispone a video la sequenza dei 95 caratte-
        CALL    BIOchr1       ; ri ASCII stampabili su cui fare il test
        POP     AX            ;
        INC     CS:[ATTRIB]   ;
   CMP Byte Ptr CS:[ATTRIB],16;
        JNZ     XXX01         ; Controlla sul Colore del  carattere corrente e
   MOV Byte Ptr CS:[ATTRIB],01; continua il test
XXX01:  INC     AL            ;
        LOOP    XXX00         ;
                              ; ---------------------------------------------
        CALL    STAmess       ;        Predispone il testo dei messaggi
                              ; ---------------------------------------------
                              ; ---------------------------------------------
                              ;       Fase di collaudo della Funzione
                              ; ---------------------------------------------
        MOV     DH,01H        ; Inizializza il  punto  d'inizio  dell'indagine
        MOV     DL,01H        ; alla Riga,Colonna=01H,01H e  fissa  il  numero
        MOV     CX,95         ; massimo di indagini a 95
XXX02:  PUSH    DX            ; Fissa la posizione corrente del Cursore
        CALL    SET_cur       ;
        MOV     BH,00H        ; Funzione BIOS che consente di leggere in AL il
        MOV     AH,08H        ; carattere posto nella posizione di stampa cor-
        INT     10H           ; rente e nella pagina video indicata da BH; nei
        POP     DX            ; MODO  GRAFICI l'attributo di colore NON  viene
                              ; restituito (NON  disponibile!)
        CALL    STAdati       ; ---------------------------------------------
        LOOP    XXX02         ; Assume/stampa risultato e continua l'indagine
                              ; ---------------------------------------------
        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        MOV     AH,4CH        ; Torna al DOS
        INT     21H           
                              
B10_08gr ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
