PAGE 66,132
TITLE ** B10_08__.ASM - Programma per la lettura di  caratteri  sullo  schermo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_08__.ASM                         (INT 10H, Funzione 08H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione, localizzando un  determi-|
;|               to carattere tra quelli presenti sullo schermo.             |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN      KEYwait:NEAR
        EXTRN      BIOSmsg:NEAR
        EXTRN      BIOchr1:NEAR
        EXTRN      SET_cur:NEAR
        EXTRN      VIA_cur:NEAR
        EXTRN      RIP_cur:NEAR
        EXTRN      Byt2Asc:NEAR
        PUBLIC     ATTRIB     ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_08__

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Testo1  DB " Il carattere ~ ~ di codice ASCII   H"
        DB " proposto con il colore   H"              ,00H
Testo2  DB " occupa la posizione   H;"
        DB "  ***** Premi un tasto continuare ***** " ,00H
Testo3  DB " Premi un tasto per iniziare il test "    ,00H
ATTRIB  DB  01H               ;Attributo di colore per la Libreria
DepCol  DB  01H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAmess                                                     |
;| DESCRIZIONE : Provvede alla stampa di alcuni messaggi a corredo  del test,|
;\---------------------------------------------------------------------------/
STAmess:MOV     DH,10         ;
        MOV     DL,21         ;
        CALL    SET_cur       ;
        CALL    VIA_cur       ; Messaggio di attesa dell'inizio test
  MOV Byte Ptr CS:[ATTRIB],7FH;
        LEA     SI,Testo3     ;
        CALL    BIOSmsg       ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        MOV     DH,10         ;
        MOV     DL,06         ;
        CALL    SET_cur       ;
  MOV Byte Ptr CS:[ATTRIB],70H;
        LEA     SI,Testo1     ; Predispone i messaggi SENZA i dati esadecimali
        CALL    BIOSmsg       ;
        INC     DH            ;
        CALL    SET_cur       ;
        LEA     SI,Testo2     ;
        CALL    BIOSmsg       ;
        RET                   ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdati                                                     |
;| DESCRIZIONE : Provvede alla stampa dei risultati del test, assumendo da AL|
;|               il codice ASCII del carattere da mettere in evidenza e da AH|
;|               quello del suo attributo di colore.                         |
;\---------------------------------------------------------------------------/
STAdati:PUSH    DX            ; /--------------------------------------------\
        PUSH    CX            ; |      Assunzione e stampa del risultato     |
        PUSH    AX            ; \--------------------------------------------/
        MOV     AL,CS:[DepCol]; Predispone il Colore  del  carattere  corrente
        INC     AL            ; per garantire un punto di riferimento pi pre-
        MOV     CS:[ATTRIB],AL; ciso
        MOV     CS:[DepCol],AL;
        MOV     DH,10         ;
        MOV     DL,21         ;
        CALL    SET_cur       ; Stampa il carattere ASCII corrente con
        CALL    VIA_cur       ; l'aiuto di "BIOchr1"
        POP     AX            ;
        PUSH    AX            ;
        CALL    BIOchr1       ;
        MOV     DL,40         ;
        CALL    SET_cur       ;
        POP     AX            ;
  MOV Byte Ptr CS:[ATTRIB],7EH; Stampa il carattere ASCII corrente e la tradu-
        CALL    Byt2Asc       ; zione ASCII esadecimale del suo  codice  d'at-
        MOV     DL,67         ; tributo di colore e quello del suo valore, con
        CALL    SET_cur       ; l'aiuto di "BIOchr1" e "Byt2Asc"
        MOV     AL,AH         ; Colore per i dati correnti del test
        CALL    Byt2Asc       ;
        INC     DH            ;
        MOV     DL,27         ;
        CALL    SET_cur       ; Stampa il numero della posizione del carattere
        POP     AX            ; corrente, tradotto  in  ASCII  esadecimale con
        MOV     AH,96         ; l'aiuto ancora di "Byt2Asc"
        SUB     AH,AL         ;
        MOV     AL,AH         ;
        CALL    Byt2Asc       ;
        POP     DX            ;
        CALL    SET_cur       ;
        CALL    RIP_cur       ;
        INC     DL            ; Aggiorna la posizione del Cursore incrementan-
        CMP     DL,80         ; do prima la colonna e, se il suo valore  mag-
        JNZ     STAdat1       ; giore di 80, incrementando anche la riga;  na-
        MOV     DL,00         ; turalmente garantisce il recupero della  posi-
        INC     DH            ; zione di partenza se la riga  maggiore di 25,
        CMP     DH,25         ; anche se questo programma  non  potr  fruirne
        JNZ     STAdat1       ;
        MOV     DH,00         ;
STAdat1:PUSH    DX            ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        POP     DX            ;
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_08__ proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
                              ;/---------------------------------------------\
                              ;|  Predisposizione dei  caratteri da leggere  |
                              ;\---------------------------------------------/
        MOV     CX,0000H      ;
        MOV     DX,184FH      ;
        MOV     BH,70H        ; Impone un ClearScreen con l'aiuto  della  Fun-
        MOV     AL,00H        ; zione 06H,  per ci inizializzata  con  AL=00H
        MOV     AH,06H        ;
        INT     10H           ;
        MOV     DH,01H        ;
        MOV     DL,00H        ; Inizializza il punto di stampa e il colore del
        CALL    SET_cur       ; primo dei 96 caratteri ASCII stampabili previ-
        MOV     AL,01         ; sti (collocandolo  alla Riga,Colonna = 01H,00H
        MOV     CS:[ATTRIB],AL; con colore BLU su NERO)
        DEC     AL            ;
        MOV     CS:[DepCol],AL;
        MOV     CX,96         ;
        MOV     AL," "        ;
XXX00:  PUSH    AX            ;
        CALL    BIOchr1       ; Predispone a video la sequenza dei 96 caratte-
        POP     AX            ; ri ASCII stampabili su cui fare il test
        INC     CS:[ATTRIB]   ;
        INC     AL            ;
        LOOP    XXX00         ;
                              ;/---------------------------------------------\
        CALL    STAmess       ;|       Predispone il testo dei messaggi      |
                              ;\---------------------------------------------/
                              ;/---------------------------------------------\
                              ;|      Fase di collaudo della Funzione        |
                              ;\---------------------------------------------/
        MOV     DH,01H        ; Inizializza il  punto  d'inizio  dell'indagine
        MOV     DL,00H        ; alla Riga,Colonna=01H,00H e  fissa  il  numero
        MOV     CX,96         ; massimo di indagini a 96
XXX01:  PUSH    DX            ; Fissa la posizione corrente del Cursore
        CALL    SET_cur       ;
        MOV     BH,00H        ; Funzione BIOS che consente di leggere in AL il
        MOV     AH,08H        ; carattere posto nella posizione di stampa cor-
        INT     10H           ; rente e nella pagina video indicata da  BH; il
        POP     DX            ; suo attributo di colore   disponibile  in  AH
        CALL    STAdati       ;/---------------------------------------------\
        LOOP    XXX01         ;|Assume/stampa risultato e continua l'indagine|
                              ;\---------------------------------------------/
        MOV     AH,4CH        
        INT     21H           ; Torna al DOS
                                     
B10_08__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
