PAGE 66,132
TITLE ** B10_0Agr.ASM - Programma  per  la  gestione  di  caratteri   a  video
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_0Agr.ASM                          (NT 10H, Funzione 0AH)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Stampa 39 volte il carattere "a" a  livello  BIOS  nei  MODI|
;|               GRAFICI con Funzione 0AH; sebbene  l'effetto  del colore sia|
;|               garantito dalla Funzione gemella 09H (e comunque solo per il|
;|               Primo Piano. sempre su Sfondo NERO, meno che per il MODO 13H|
;|               nel quale  possibile sceglierlo con BH) l'esperienza  assi-|
;|               cura il medesimo effetto anche con questa Funzione; data  la|
;|               diversit dei MODI GRAFICI possibili il colore usato per  il|
;|               test viene cambiato ogni volta:                             |
;|                                                                           |
;|                    BIANCO   per quelli monocromatici                      |
;|                    ROSA     per quelli a    4 colori                      |
;|                    ROSSO    per quelli a   16 colori                      |
;|                    VIOLETTO su ROSSO per quello a  256 colori.            |
;|                                                                           |
;|             /------*------------------*-----*-----*-----------*------*---\|
;|             | MODO |   RISOLUZIONE    |ORIZ.|VERT.|   COLORE  |PAGINA|   ||
;|             |      |     GRAFICA      | CX  | DX  | AL        |BH    |   ||
;|             *------*-----*----*-------*-----*-----*-----*-----*---*--*---*|
;|             |AL=04H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=05H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=06H|80x25|8x8 |640x200|0-639|0-199|0-1  |mono | 0 |1 |CGA||
;|             |AL=0DH|40x25|8x8 |320x200|0-319|0-199|0-15 | 16  |0-7|8 |EGA||
;|             |AL=0EH|80x25|8x8 |640x200|0-639|0-199|0-15 | 16  |0-3|4 |EGA||
;|             |AL=0FH|80x25|8x14|640x350|0-639|0-349|0-1  |mono |0-1|2 |EGA||
;|             |AL=10H|80x25|8x14|640x350|0-639|0-349|0-15 | 16  |0-1|2 |EGA||
;|             |AL=11H|80x30|8x16|640x480|0-639|0-479|0-1  |mono |0-1|2 |VGA||
;|             |AL=12H|80x30|8x16|640x480|0-639|0-479|0-15 | 16  |0-1|2 |VGA||
;|             |AL=13H|40x25|8x8 |320x200|0-319|0-199|0-255| 256 | 0 |1 |VGA||
;|             \------*-----*----*-------*-----*-----*-----*-----*---*--*---/|
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN    SET_cur:NEAR
        EXTRN    BIOSmsg:NEAR
        EXTRN    Byt2Asc:NEAR
        EXTRN    KEYwait:NEAR
        PUBLIC   ATTRIB

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_0Agr

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Testo1   DB " Test in MODO ",00H
Testo2   DB "H, Premi un tasto ",00H
Modo    DB   00H              ;Numero della MODO GRAFICO corrente
NumPix  DW 0000H              ;Numero di Pixel adatto al MODO GRAFICO corrente
ATTRIB  DB   0FH              ;Codice d'attributo colore per "BIOchr1"


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : SETmodo                                                     |
;| DESCRIZIONE : Predispone il MODO GRAFICO desiderato, assumendone il numero|
;|               dal registro AL e il colore in BL.                          |
;\---------------------------------------------------------------------------/
SEtmodo:PUSH    AX            ;
        MOV     CS:[Modo],AL  ;
        MOV     CS:[ATTRIB],AH; Fissa il MODO VIDEO GRAFICO desiderato  e ini-
        MOV     AH,00H        ; zializza  le  variabili  del  programma
        INT     10H           ;
        POP     AX            ;
        MOV     DH,01         ;
        MOV     DL,00         ; Collauda in ambiente grafico la Procedura del-
  CMP Word Ptr CS:[NumPix],320; la Libreria che opera il puntamento del Curso-
        JZ      STAmod0       ; re, fissando una posizione che dipende dal nu-
        ADD     DL,20         ; mero di  colonne  del  MODO  GRAFICO  corrente
STAmod0:CALL    SET_cur       ;
        MOV     BH,00H        ;
    CMP Byte Ptr CS:[Modo],13H; Controlla il valore di BH per  autorizzare  la
        JNZ     STAmod2       ; colorazione dello Sfondo dei caratteri (anzic-
        ADD     BH,28H        ; ch la Pagina video attiva) se il  MODO   13H
STAmod2:MOV     BL,CS:[ATTRIB];
                              ; Funzione BIOS che consente di scrivere CX vol-
                              ; te il carattere passato in AL a partire  dalla
                              ; posizione di stampa corrente, nella pagina vi-
        MOV     CX,0039       ; deo indicata da BH e con il colore BL; da  no-
        MOV     AL,'a'        ; tare che LA POSIZIONE DEL  CURSORE  NON  VIENE
        MOV     AH,0AH        ; AGGIORNATA e pu interpretare "semigraficamen-
        INT     10H           ; te" ogni carattere ASCII (compresi  quelli  di
                              ; controllo, per cui CR o LF  sono  interpretati
                              ; rispettivamente come "
" o "")
        MOV     DH,12         ;
        MOV     DL,03         ;
  CMP Word Ptr CS:[NumPix],320;
        JZ      STAmod1       ; Posiziona il messaggio di  commento  al  test
        ADD     DL,20         ;
STAmod1:CALL    SET_cur       ;
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ; Mostra il messaggio di presentazione del test
        MOV     AL,CS:[Modo]  ; e al tempo stesso collauda le Procedure della
        CALL    Byt2Asc       ; Libreria "GIOBE.LIB" che stampano caratteri e
        LEA     SI,Testo2     ; messaggi a livello BIOS in  ambiente grafico;
        CALL    BIOSmsg       ;
        CALL    KEYwait
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_0Agr proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM  
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV    CS:[NumPix],320; Inizializza Numero Colonna per MODI a 40 colon
        MOV     AL,04H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 04H|40x25|8x8 |320x200| 4 colori   |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,05H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 05H|40x25|8x8 |320x200| 4 colori   |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0DH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0DH|40x25|8x8 |320x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV    CS:[NumPix],640; Inizializza Numero Colonna per MODI a 80 colon
        MOV     AL,06H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 06H|80x25|8x8 |640x200|bianco/nero |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0EH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0EH|80x25|8x8 |640x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0FH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 0FH|80x25|8x14|640x350|monocrimatic|EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,10H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 10H|80x25|8x14|640x350|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,11H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 11H|80x30|8x16|640x480|monocromatic|VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,12H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 12H|80x30|8x16|640x480|16 colori   |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV    CS:[NumPix],320; Inizializza Numero Colonna per MODI a 40 colon
        MOV     AL,13H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,3AH        ; |MODO 13H|40x25|8x8 |320x200|256 colori  |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        MOV     AH,4CH        ;Torna al DOS 
        INT     21H           
                              
B10_0Agr ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
