PAGE 66,132
TITLE ** B10_0F__.ASM - Programma per la lettura delle  caratteristiche  VIDEO
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_0F__.ASM                         (INT 10H, Funzione 0FH)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione e ne stampa i risultati.  |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN      KEYwait:NEAR
        EXTRN      BIOSmsg:NEAR
        EXTRN      SET_cur:NEAR
        EXTRN      Byt2Asc:NEAR
        PUBLIC     ATTRIB     ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_0F__


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
TESTO1  DB " Il  MODO  VIDEO  rilevato    ..H   "
        DB "(attivato ..... ClearScreen);  sono"       ,00H
TESTO2  DB " previsti ..H caratteri per riga e la"
        DB " pagina attualmente attiva  la ..H"       ,00H
TESTO3  DB "senza",00H
TESTO4  DB " con ",00H
ATTRIB  DB     0FH           ;Attributo di colore per la Libreria


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STArisul                                                    |
;| DESCRIZIONE : Assume alcune caratteristiche  del MODO VIDEO corrente e poi|
;|               presenta i risultati dell'indagine a partire dalla Riga spe-|
;|               cificata  in  ingresso  in  DH,  predisposta  dal  programma|
;|               chiamante, prelevandoli da AL (modo VIDEO attuale),  AH (nu-|
;|               mero di caratteri per riga, colonne dello schermo) e BH (pa-|
;|               gina attualmente attiva);  infine  rimane  in  attesa  della|
;|               pressione di un tasto qualunque, per tornare al chiamante.  |
;\---------------------------------------------------------------------------/
STArisul:PUSH   DX            ; Funzione BIOS che acquisisce in  AL  il numero
        MOV     AH,0FH        ; del MODO VIDEO attuale, in BH quello della pa-
        INT     10H           ; gina attualmente attiva   e in AH il numero di
        POP     DX            ; caratteri per riga (colonne dello schermo)

        PUSH    BX            ; /--------------------------------------------\
        PUSH    AX            ; |      Assunzione e stampa del risultato     |
  MOV Byte Ptr CS:[ATTRIB],0FH; \--------------------------------------------/
        MOV     DL,03         ;
        CALL    SET_cur       ; In ingresso a questa parte di codice  AL  con-
        LEA     SI,TESTO1     ; tiene il numero del MODO VIDEO CORRENTE  e  AH
        CALL    BIOSmsg       ; quello delle colonne dello schermo; BH  inve-
        INC     DH            ; ce il numero della  Pagina  Video  attualmente
        CALL    SET_cur       ; attiva.
        LEA     SI,TESTO2     ;
        CALL    BIOSmsg       ;
  MOV Byte Ptr CS:[ATTRIB],0EH; I tre valori esadecimali vengono  inclusi  nei
        DEC     DH            ; due messaggi di  presentazione dei  risultati,
        MOV     DL,34         ; con le primitive di Libreria adatte al  punta-
        CALL    SET_cur       ; mento del Cursore ("SET_cur"), alla stampa dei
        POP     AX            ; messaggi a  livello  BIOS ("BIOSmsg")  e  alla
        PUSH    AX            ; conversione di numeri da esadecimale  a ASCII.
        CALL    Byt2Asc       ;
        MOV     DL,50         ;
        CALL    SET_cur       ;
        LEA     SI,TESTO4     ; Se il MODO VIDEO  stato attivato  con   l'in-
        TEST    AL,80H        ; tento di evitare il ClearScreen  (bit7  di  AL
        JZ      STAris0       ; uguale a "1", range 80H83H) viene evidenziata
        LEA     SI,TESTO3     ; il messaggio "senza"; altrimenti nello  stesso
STAris0:CALL    BIOSmsg       ; posto viene scritto il messaggio " con "
        INC     DH            ;
        MOV     DL,13         ;
        CALL    SET_cur       ;
        POP     AX            ; Da notare il modo "artigianale" di localizzare
        MOV     AL,AH         ; il punto di scrittura dei numeri  tradotti  in
        CALL    Byt2Asc       ; ASCII: la colonna di stampa   stata  rilevata
        MOV     DL,72         ; contando umilmente i caratteri sulle stringhe!
        CALL    SET_cur       ;
        POP     AX            ;
        MOV     AL,AH         ;
        CALL    Byt2Asc       ;
                              ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_0F__ proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
                              ;/---------------------------------------------\
                              ;|   Verifica il MODO VIDEO  con  ClearScreen  |
                              ;\---------------------------------------------/
        MOV     AL,03H        ; Fissa il MODO TESTO VIDEO standard,  attivando
        MOV     AH,00H        ; anche la pulizia dello schermo (CLS)
        INT     10H           ;
        MOV     DH,01H        ; Presenta i risultati dell'indagine, modo VIDEO
        CALL    STArisul      ; attuale, numero di caratteri per riga e pagina
                              ; attualmente attiva

                              ;/---------------------------------------------\
                              ;|   Verifica il MODO VIDEO senza ClearScreen  |
                              ;\---------------------------------------------/
        MOV     AL,83H        ; Fissa il MODO TESTO VIDEO standard,  senza  la
        MOV     AH,00H        ; pulizia dello schermo (CLS)
        INT     10H           ;
        MOV     DH,04H        ; Presenta i risultati dell'indagine, modo VIDEO
        CALL    STArisul      ; attuale, numero di caratteri per riga e pagina
                              ; attualmente attiva

        MOV     AH,4CH        ;Torna al DOS 
        INT     21H           
                              
B10_0F__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
