PAGE 66,132
TITLE ** B10_1002.ASM - Scrive  tutti  i  Registri  di  Tavolozza pi il Bordo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1002.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 02H).          |
;|                                                                           |
;|               Il programma  si occupa si cambiare il  contenuto  di  tutti|
;|               16 i Registri di Tavolozza caricandovi valori  in  grado  di|
;|               mostrare le tre diverse gradazioni possibili con questa tec-|
;|               nica; da notare che comunque il Registro  di  Tavolozza 06H,|
;|               dedicato per default al colore 14H, Marrone,  stato forzato|
;|               in tutte e tre le prove al colore 06H, Giallo; si vuole cos|
;|               evidenziare il modo incongruente con cui questi Registri so-|
;|               no inizializzati dal sistema: la sequenza logica dei  valori|
;|               suggerirebbe per il Registro citato il codice 06H e NON 14H)|
;|                                                                           |
;|               Nonostante si cambino tutti e 16 i  Registri  viene mostrato|
;|               l'effetto cromatico relativo solo ai  primi otto; inoltre si|
;|                volutamente evitato di cambiare il contenuto  del Registro|
;|               di SOVRASCANSIONE per il controllo del bordo del video.     |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1002

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB   00H
Out_0   DB  "                 Premere  "                              ,00H
Out_1   DB  "un tasto"                                                ,00H
Out_2   DB  "  per continuare                 "                       ,00H
Text0   DB  "                ANALISI DEL PROBLEMA A LIVELLO BIOS"
Text1   DB                                  "                "        ,00H
Text2   DB  "       Testi proposti con TAVOLOZZA "                    ,00H
Text3   DB                                      "STANDARD"            ,00H
Text4   DB                                      "Scuri   "            ,00H
Text5   DB                                      "Normali "            ,00H
Text6   DB                                      "Chiari  "            ,00H
Testo0  DB   " PROVA con Attributo   H "                              ,00H
;       DB                              " PROVA con Attributo   H "   ,00H
Corn0   DB  "ĿĿ"  ,00H
Corn1   DB  "                                                  "  ,00H
Corn2   DB  ""  ,00H
        ;---------------------------------------------------------------------
                      ; ----------------*---------RVB-RVB\-[Default]-------\
ColNorm DB      00H   ; |Nero ***********| 00H =00 000 000||*****************|
        DB      01H   ; |Blu    Normale  | 01H =00 000 001||Per garantire  la|
        DB      02H   ; |Verde  Normale  | 02H =00 000 010||portabilit verso|
        DB      03H   ; |Azzurro Normale | 03H =00 000 011||il basso,cio per|
        DB      04H   ; |Rosso  Normale  | 04H =00 000 100||assicurare la si-|
        DB      05H   ; |Magenta Normale | 05H =00 000 101||mulazione CGA  da|
        DB      14H   ; |Marrone Normale | 14H =00 010 100||parte della  VGA,|
        DB      07H   ; |Bianco Normale  | 07H =00 000 111||i 16 registri  di|
        DB      38H   ; |Grigio          | 38H =00 111 000||tavolozza vengono|
        DB      39H   ; |Blu   Chiaro    | 39H =00 111 001||caricati per  de-|
        DB      3AH   ; |Verde Chiaro    | 3AH =00 111 010||fault con  i  co-|
        DB      3BH   ; |Celeste         | 3BH =00 111 011||dici che danno le|
        DB      3CH   ; |Rosa            | 3CH =00 111 100||gradazioni     di|
        DB      3DH   ; |Magenta Chiaro  | 3DH =00 111 101||questa   tabella,|
        DB      3EH   ; |Giallo          | 3EH =00 111 110||norma    presenti|
        DB      3FH   ; |Bianco brillante| 3FH =00 111 111||appunto   in  CGA|
                      ; *----------------*----------------*|*****************|
        DB      00H   ; |Sovrascansione  | 00H =00 000 000||*****************|
                      ; \----------------*----------------/\-----------------/
        ;---------------------------------------------------------------------
                      ; /----------------*---------RVB-RVB\
Normale DB      00H   ; |Nero ***********| 00H =00 000 000|
        DB      01H   ; |Blu    Normale  | 01H =00 000 001|
        DB      02H   ; |Verde  Normale  | 02H =00 000 010|
        DB      03H   ; |Azzurro Normale | 03H =00 000 011|
        DB      04H   ; |Rosso  Normale  | 04H =00 000 100|
        DB      05H   ; |Magenta Normale | 05H =00 000 101|
        DB      06H   ; |Giallo Normale  | 06H =00 000 110|<<<<<<< NB! <<<<<<
        DB      07H   ; |Bianco Normale  | 07H =00 000 111|
        DB      38H   ; |Grigio          | 38H =00 111 000|
        DB      39H   ; |Blu   Chiaro    | 39H =00 111 001|
        DB      3AH   ; |Verde Chiaro    | 3AH =00 111 010|
        DB      3BH   ; |Celeste         | 3BH =00 111 011|
        DB      3CH   ; |Rosa            | 3CH =00 111 100|
        DB      3DH   ; |Magenta Chiaro  | 3DH =00 111 101|
        DB      3EH   ; |Giallo          | 3EH =00 111 110|
        DB      3FH   ; |Bianco brillante| 3FH =00 111 111|
                      ; *----------------*----------------*
        DB      00H   ; |Sovrascansione  | 00H =00 000 000|
                      ; \----------------*----------------/
        ;---------------------------------------------------------------------
                      ; /----------------*---------RVB-RVB\
Scuro   DB      00H   ; |Nero ***********| 00H =00 000 000|
        DB      08H   ; |Blu    Scuro    | 08H =00 001 000|
        DB      10H   ; |Verde  Scuro    | 10H =00 010 000|
        DB      18H   ; |Azzurro Scuro   | 18H =00 011 000|
        DB      20H   ; |Rosso  Scuro    | 20H =00 100 000|
        DB      28H   ; |Magenta Scuro   | 28H =00 101 000|
        DB      30H   ; |Giallo  Scuro   | 30H =00 110 000|
        DB      38H   ; |Grigio  --\/--  | 38H =00 111 000|
        DB      38H   ; |Grigio  --/\--  | 38H =00 111 000|
        DB      39H   ; |Blu   Chiaro    | 39H =00 111 001|
        DB      3AH   ; |Verde Chiaro    | 3AH =00 111 010|
        DB      3BH   ; |Celeste         | 3BH =00 111 011|
        DB      3CH   ; |Rosa            | 3CH =00 111 100|
        DB      3DH   ; |Magenta Chiaro  | 3DH =00 111 101|
        DB      3EH   ; |Giallo          | 3EH =00 111 110|
        DB      3FH   ; |Bianco brillante| 3FH =00 111 111|
                      ; *----------------*----------------*
        DB      00H   ; |Sovrascansione  | 00H =00 000 000|
                      ; \----------------*----------------/
        ;----------------------------------------------------------------------
                      ; /----------------*---------RVB-RVB\
Chiaro  DB      00H   ; |Nero ***********| 00H =00 000 000|
        DB      09H   ; |Blu    Normale  | 09H =00 001 001|
        DB      12H   ; |Verde  Normale  | 12H =00 010 010|
        DB      1BH   ; |Azzurro Normale | 1BH =00 011 011|
        DB      24H   ; |Rosso  Normale  | 24H =00 100 100|
        DB      2DH   ; |Magenta Normale | 2DH =00 101 101|
        DB      36H   ; |Giallo Normale  | 36H =00 110 110|
        DB      3FH   ; |Bianco Normale  | 3FH =00 111 111|
        DB      00H   ; |Grigio          | 00H =00 000 000|
        DB      09H   ; |Blu   Chiaro    | 09H =00 001 001|
        DB      12H   ; |Verde Chiaro    | 12H =00 010 010|
        DB      1BH   ; |Celeste         | 1BH =00 011 011|
        DB      24H   ; |Rosa            | 24H =00 100 100|
        DB      2DH   ; |Magenta Chiaro  | 2DH =00 101 101|
        DB      36H   ; |Giallo Brillante| 36H =00 110 110|
        DB      3FH   ; |Bianco Brillante| 3FH =00 111 111|
                      ; *----------------*----------------*
        DB      00H   ; |Sovrascansione  | 00H =00 000 000|
                      ; \----------------*----------------/
        ;---------------------------------------------------------------------
Dati    DB       0FH,00H      ;\/--------------------------------------------\
        DB       1FH,01H      ;||                                            |
        DB       2FH,02H      ;|| Colori  effettivamente  utilizzati  nella  |
        DB       3FH,03H      ;|| stampa  dei  testi (l'effetto   comunque  |
        DB       4FH,04H      ;|| determinato dal Registro di Tavolozza  in  |
        DB       5FH,05H      ;|| esercizio nel momento della stampa)        |
        DB       6FH,06H      ;||                                            |
        DB       7FH,07H      ;/\--------------------------------------------/


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdat                                                      |
;| DESCRIZIONE : Organizza la stampa di una riga di informazioni,  con il te-|
;|               sto indicato in ingresso da SI, con il colore puntato  da DI|
;|               e nella posizione di stampa fissata da DH=riga, DL=colonna) |
;\---------------------------------------------------------------------------/
STAdat: MOV     BL,8          ; Punta il colore desiderato (in sostanza  crea
        SUB     BL,CL         ; in BX lo spiazzamento a  partire  dalla  base
        ADD     BL,BL         ; della Tabella Dati puntata in ingresso da DI
        MOV     AL,CS:[DI+BX] ;
        M_COLOR AL            ;
        PUSH    AX            ;
        INC     DH            ;
        CALL    SET_cur       ;
        LEA     SI,Testo0     ; Prende il colore in [ATTRIB], fissa  la  posi-
        CALL    BIOSmsg       ; zione e stampa la frase, aggiungendo il codice
        POP     AX            ; esadecimale dell'Attributo di colore  corrente
        PUSH    DX            ;
        ADD     DL,21         ;
        CALL    SET_cur       ;
        CALL    Byt2Asc       ;
        POP     DX            ;
        RET                   ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : Prova                                                       |
;| DESCRIZIONE : Predispone i  8 Registri di Tavolozza in accordo con i valo-|
;|               ri suggeriti dalla tabella indirizzata in ingresso da DX.   |
;\---------------------------------------------------------------------------/
Prova:  PUSH    SI
        PUSH    ES            ; Funzione BIOS che  aggiorna  il  contenuto  di
        MOV     AX,CS         ; TUTTI i  8 Registri di Tavolozza e  del  Regi-
        MOV     ES,AX         ; stro di sovrascansione (per il  controllo  del
        MOV     AL,02H        ; bordo del video) con la serie di codici di co-
        MOV     AH,10H        ; lore  predisposti  nella  Tabella  puntata  da
        INT     10H           ; ES:DX
        POP     ES            ;
                              ;/---------------------------------------------\
                              ;|NB: si pu notare che l'azione della funzione|
                              ;|    BIOS precedente  IMMEDIATA anche sui ca-|
                              ;|    ratteri stampati in precedenza sul video!|
                              ;\---------------------------------------------/

        M_msgC  Text2,21,8,0EH;\/--------------------------------------------\
        POP     SI            ;||Stampa il messaggio adeguato, personalizzato|
        CALL   BIOSmsg        ;||Testi con i primi  8 Registri  di  Tavolozza|
        CALL   KEYwait        ;||con  colori   STANDARD/Scuri/Normali/Chiari |
        RET                   ;/\--------------------------------------------/


;*****************************************************************************
                              ; ----------------------------------------------
B10_1002 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; |                                            |
        M_msgC  Text2,21,8,0EH; |                                            |
        M_msgN  Text3         ; \--------------------------------------------/
        MOV     DH,07         ; /--------------------------------------------\
        PUSH    DX            ; |   Emissione di stringhe con attributo  di  |
        M_msgC Corn0,DH,07,0EH; |   colore  riferito  al contenuto STANDARD  |
        MOV     CX,8          ; \--------------------------------------------/
XXX00:  INC     DH            ;
        M_msgC Corn1,DH,07,0EH;     Predispone la cornice esterna
        LOOP    XXX00         ;
        INC     DH            ;
       M_msgC  Corn2,DH,07,0EH;
        POP     DX            ;
        PUSH    DX            ;
        MOV     BH,00H        ;
        MOV     CX,8          ; Stampa la Stringa Testo0 con i colori   della
        MOV     DL,08         ; prima colonna della  Tabella "Dati" (tutti in
        LEA     DI,Dati       ; BIANCO BRILLANTE su sfondo  senza FLASH, cio
XXX01:  CALL    STAdat        ;       0FH,1FH,2FH,3FH,4FH,5FH,6FH,7FH
        LOOP    XXX01         ;
        POP     DX            ;
        MOV     CX,8          ;
        MOV     DL,35         ; Stampa la Stringa Testo0 con i colori   della
        LEA     DI,Dati+1     ; seconda colonna  della  Tabella "Dati" (tutti
XXX02:  CALL    STAdat        ; con attributo NORMALE  su  sfondo  NERO, cio
        LOOP    XXX02         ;     00H,01H,02H,03H,04H,05H,06H,07H
        CALL   KEYwait        ;

        LEA     DX,Scuro      ; /--------------------------------------------\
        LEA     SI,Text4      ; |Predispone la TAVOLOZZA con colori Scuri    |
        CALL    Prova         ; \--------------------------------------------/
        LEA     DX,Normale    ; /--------------------------------------------\
        LEA     SI,Text5      ; |Predispone la TAVOLOZZA con colori Normali  |
        CALL    Prova         ; \--------------------------------------------/
        LEA     DX,Chiaro     ; /--------------------------------------------\
        LEA     SI,Text6      ; |Predispone la TAVOLOZZA con colori Chiari   |
        CALL    Prova         ; \--------------------------------------------/
        LEA     DX,ColNorm    ; /--------------------------------------------\
        LEA     SI,Text3      ; |Ripristina la TAVOLOZZA con colori STANDARD |
        CALL    Prova         ; \--------------------------------------------/

_OUT:   M_msgC Text1,24,1,0FH ;
        MOV     CX,04         ;
XXX03:  M_msgN  Text1         ;
        LOOP    XXX03         ;

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1002 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
