PAGE 66,132
TITLE ** B10_1008.ASM -      Legge Registro Sovrascansione (colore del bordo)
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1008.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 08H).          |
;|                                                                           |
;|               Il programma si occupa si  leggere il contenuto del Registro|
;|               di Sovrascansione (Registro 11H del Controller di Attributo)|
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1008


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB DB 00H
Text0  DB " Lettura del Codice di Colore del Registro di Sovrascansione BORDO"
       DB                                   "           "                 ,00H
Corn0  DB "Ŀ",00H
Corn1  DB " Il Registro di Sovrascansione contiene attualmente il byte ",00H
Corn2  DB "                              H                             ",00H
Corn3  DB "",00H


;*****************************************************************************
                              ; ----------------------------------------------
B10_1008 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Corn0,10,8,0FH; |                                            |
        M_msgC  Corn1,11,8,0FH; |      Predispone la cornice di prova        |
        M_msgC  Corn2,12,8,0FH; |                                            |
        M_msgC  Corn3,13,8,0FH; |                                            |
        M_msgC  Text0, 4,1,1FH; \--------------------------------------------/
        MOV     AL,08H        ; Funzione BIOS che restituisce in BH il  colore
        MOV     AH,10H        ; del bordo del video, prelevandolo dal registro
        INT     10H           ; di sovrascansione
        MOV     AL,BH         ;
        M_COLOR 0FH           ;
        MOV     DH,12         ; Fissa la posizione e stampa il codice esadeci-
        MOV     DL,37         ; male dell'Attributo/colore  corrente del BORDO
        CALL    SET_cur       ;
        CALL    Byt2Asc       ;
        CALL    KEYwait

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1008 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
