PAGE 66,132
TITLE ** B10_1010.ASM - Scrive un Registro di Colore del DAC
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1010.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 10H) che  asso-|
;|               cia un determinato colore ad UNO dei 256 REGISTRI di  colore|
;|               del DAC del Video                                           |
;|                                                                           |
;|               Il programma si occupa si cambiare  il contenuto di ciascuno|
;|               dei primi 16 Registri di Colore del DAC; la prova viene con-|
;|               dotta a partire  dal primo (Registro  DAC  00H)  caricandovi|
;|              TUTTE le terne possibili (64*64*64=262144 diverse gradazioni)|
;|               la stampa di  testi  con  questi  attributi  dar  risultati|
;|               sorprendenti.                                               |
;|                                                                           |
;|               Data la grande quantit di tentativi possibili   consentito|
;|               di interrompere in ogni momento premendo ESC o Q.           |
;|                                                                           |
;|               Si pu notare che l'azione della  SottoFunzione   IMMEDIATA|
;|               anche sui caratteri stampati in precedenza sul video.       |
;\---------------------------------------------------------------------------/
; COSTANTI DEFINITE PER IL PROGRAMMA:
        _ESC    EQU   1BH

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1010


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
DepoDH  DB   00H
DepoCH  DB   00H
DepoCL  DB   00H
DepoBL  DB   00H
ATTRIB  DB   00H
Out_0   DB  "  Premere "                                                 ,00H
Out_1   DB  "  un tasto "                                                ,00H
Out_2   DB  " per continuare,    oppure [Q]uit per uscire  "             ,00H
Out_3   DB  " per uscire                  "                              ,00H
Text0   DB  "                ANALISI DEL PROBLEMA A LIVELLO BIOS"
Text1   DB                                  "                "           ,00H
Text2   DB  "Testi con i primi 16 Registri DAC con colori STANDARD"      ,00H
Text3   DB "                                     "
        DB                    "                                         ",00H
Text5   DB "Il Registro di Colore DAC n  H contiene ora le componenti"  ,00H
Text6   DB                    " Rosso =   H (bit 1712)"                 ,00H
Text7   DB                    " Verde =   H (bit 1106)"                 ,00H
Text8   DB                    "   Blu =   H (bit 0500)"                 ,00H
Testo0  DB   " PROVA con Attributo   H "                                 ,00H
;       DB                              " PROVA con Attributo   H "      ,00H
Corn0   DB  "ĿĿ"     ,00H
Corn1   DB  "                                                  "     ,00H
Corn2   DB  ""     ,00H
                              ;/------------------------\  /-----*-----*-----\
                              ;|   Default Colore DAC   |  |Rosso|Verde| Blu |
        ;--------R---V---B----;*------------------------*  *-----*-----*-----*
ColNorm DB      00H,00H,00H   ;|    Nero    Normale     |  | 00H | 00H | 00H |
        DB      00H,00H,2AH   ;|    Blu     Normale     |  | 00H | 00H | 2AH |
        DB      00H,2AH,00H   ;|    Verde   Normale     |  | 00H | 2AH | 00H |
        DB      00H,2AH,2AH   ;|    Azzurro Normale     |  | 00H | 2AH | 2AH |
        DB      2AH,00H,00H   ;|    Rosso   Normale     |  | 2AH | 00H | 00H |
        DB      2AH,00H,2AH   ;|    Magenta Normale     |  | 2AH | 00H | 2AH |
        DB      2AH,2AH,00H   ;|    Marrone Normale     |  | 2AH | 2AH | 00H |
        DB      2AH,2AH,2AH   ;|    Bianco  Normale     |  | 2AH | 2AH | 2AH |
        ;--------R---V---B----;*------------------------*  *-----*-----*-----*
        DB      00H,00H,15H   ;|    Grigio              |  | 00H | 00H | 15H |
        DB      00H,00H,3FH   ;|    Blu     Elettrico   |  | 00H | 00H | 3FH |
        DB      00H,2AH,15H   ;|    Verde   Chiaro      |  | 00H | 2AH | 15H |
        DB      00H,2AH,3FH   ;|    Celeste             |  | 00H | 2AH | 3FH |
        DB      2AH,00H,15H   ;|    Rosa                |  | 2AH | 00H | 15H |
        DB      2AH,00H,3FH   ;|    Magenta Chiaro      |  | 2AH | 00H | 3FH |
        DB      2AH,2AH,15H   ;|    Giallo              |  | 2AH | 2AH | 15H |
        DB      2AH,2AH,3FH   ;|    Bianco  Brillante   |  | 2AH | 2AH | 3FH |
        ;--------R---V---B----;\------------------------/  \-----*-----*-----/
Dati    DB       0FH,00H      ;\/--------------------------------------------\
        DB       1FH,01H      ;||                                            |
        DB       2FH,02H      ;||                                            |
        DB       3FH,03H      ;||                                            |
        DB       4FH,04H      ;||                                            |
        DB       5FH,05H      ;|| Colori  effettivamente  utilizzati  nella  |
        DB       6FH,06H      ;|| stampa  dei  testi (l'effetto   comunque  |
        DB       7FH,07H      ;|| determinato dal registro DAC in esercizio  |
        DB       8FH,08H      ;|| nel momento della stampa)                  |
        DB       9FH,09H      ;||                                            |
        DB      0AFH,0AH      ;||                                            |
        DB      0BFH,0BH      ;||                                            |
        DB      0CFH,0CH      ;||                                            |
        DB      0DFH,0DH      ;||                                            |
        DB      0EFH,0EH      ;||                                            |
        DB      0FFH,0FH      ;/\--------------------------------------------/



;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdat                                                      |
;| DESCRIZIONE : Organizza la stampa di una riga di informazioni,  con il te-|
;|               sto indicato in ingresso da SI, con il colore puntato  da DI|
;|               e nella posizione di stampa fissata da DH (riga), DL (colon-|
;|               na)                                                         |
;\---------------------------------------------------------------------------/
STAdat: MOV     BL,16         ; Punta il colore desiderato (in sostanza  crea
        SUB     BL,CL         ; in BX lo spiazzamento a  partire  dalla  base
        ADD     BL,BL         ; della Tabella Dati puntata in ingresso da DI
        MOV     AL,CS:[DI+BX] ;
        M_COLOR AL            ;
        PUSH    AX            ;
        INC     DH            ;
        CALL    SET_cur       ;
        LEA     SI,Testo0     ; Prende il colore in [ATTRIB], fissa  la  posi-
        CALL    BIOSmsg       ; zione e stampa la frase, aggiungendo il codice
        POP     AX            ; esadecimale dell'Attributo di colore  corrente
        PUSH    DX            ;
        ADD     DL,21         ;
        CALL    SET_cur       ;
        CALL    Byt2Asc       ;
        POP     DX            ;
        RET                   ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : FissaCol                                                    |
;| DESCRIZIONE : Predispone i primi sedici registri DAC  in  accordo  con  le|
;|               terne suggerite nella tabella indirizzata in ingresso da DI.|
;|/------------\ Si pu notare che l'azione della funzione BIOS  precedente |
;||     NB:    | IMMEDIATA anche sui caratteri stampati in precedenza sul vi-|
;|\------------/ deo.                                                        |
;\---------------------------------------------------------------------------/
FissaCol:MOV    CX,16         ; Prepara il contatore per 16 registri
        MOV     BH,00H        ;
Fissa_: MOV     BL,16         ; Crea in BX il puntatore numerico  al  Registro
        SUB     BL,CL         ; di  colore  DAC  che  si  desidera  modificare
        PUSH    CX            ;
        MOV     DH,CS:[DI]    ;
        INC     DI            ;
        MOV     CH,CS:[DI]    ;
        INC     DI            ; Funzione BIOS che scrive nel Registro di Colo-
        MOV     CL,CS:[DI]    ; re del DAC puntato da BX le tre gradazioni RBG
        INC     DI            ; precaricate in CH=Verde, CL=Blu e DH=Rosso
        MOV     AL,10H        ;
        MOV     AH,10H        ;
        INT     10H           ;
        POP     CX            ;
        LOOP    Fissa_
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_1010 proc   NEAR          ;      AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; |                                            |
        M_msgC  Text2,22,8,0EH; \--------------------------------------------/
        MOV     DH,02         ; /--------------------------------------------\
        PUSH    DX            ; |   Emissione di stringhe con attributo  di  |
        M_msgC Corn0,DH,07,0EH; |  colore riferito al contenuto DAC STANDARD |
        MOV     CX,16         ; \--------------------------------------------/
XXX00:  INC     DH            ;
        M_msgC Corn1,DH,07,0EH; Predispone la cornice esterna
        LOOP    XXX00         ;
        INC     DH            ;
       M_msgC  Corn2,DH,07,0EH;
        POP     DX            ;
        PUSH    DX            ;
        MOV     BH,00H        ; Stampa la Stringa Testo0 con i colori   della
        MOV     CX,16         ; prima colonna della  Tabella "Dati" (tutti in
        MOV     DL,08         ; BIANCO BRILLANTE su sfondo  senza FLASH, cio
        LEA     DI,Dati       ;       0FH,1FH,2FH,3FH,4FH,5FH,6FH,7FH
XXX01:  CALL    STAdat        ;       8FH,9FH,AFH,BFH,CFH,DFH,EFH,FFH
        LOOP    XXX01         ;
        POP     DX            ;
        MOV     CX,16         ; Stampa la Stringa Testo0 con i colori   della
        MOV     DL,35         ; seconda colonna  della  Tabella "Dati" (tutti
        LEA     DI,Dati+1     ; con attributo NORMALE  su  sfondo  NERO, cio
XXX02:  CALL    STAdat        ;     00H,01H,02H,03H,04H,05H,06H,07H
        LOOP    XXX02         ;     08H,09H,0AH,0BH,0CH,0DH,0EH,0FH
        CALL    KEYwait       ;

        M_msgC Text3,22, 1,0FH; /--------------------------------------------\
        M_msgC Text5,20, 6,0FH; |                                            |
        M_msgC Text6,21,25,0FH; |  Predispone i messaggi adatti alla Prova   |
        M_msgC Text7,22,25,0FH; |                                            |
        M_msgC Text8,23,25,0FH; \--------------------------------------------/

    MOV Byte Ptr CS:[DepoBL],0;
        MOV     CX,16         ;
Prov1:  PUSH    CX            ;---\
    MOV Byte Ptr CS:[DepoCL],0;   |CL=Blu
        MOV     CX,64         ;   |
Prov2:  PUSH    CX            ;--\|
    MOV Byte Ptr CS:[DepoCH],0;  ||CH=Verde
        MOV     CX,64         ;  ||
Prov3:  PUSH    CX            ;-\||
    MOV Byte Ptr CS:[DepoDH],0; |||DH=Rosso
        MOV     CX,64         ; |||
Prov4:  PUSH    CX            ;\|||
        MOV     DH,CS:[DepoDH];||||
        MOV     CH,CS:[DepoCH];||||
        MOV     CL,CS:[DepoCL];||||
        MOV     BH,00H        ;||||
        MOV     BL,CS:[DepoBL];||||
        MOV     AL,10H        ;||||Funzione BIOS che scrive  nel  Registro  di
        MOV     AH,10H        ;||||Colore del DAC puntato da BX le tre  grada-
        INT     10H           ;||||zioni RBG    CH=Verde,  CL=Blu  e  DH=Rosso
        CALL    Aspetta       ;||||
        INC     CS:[DepoDH]   ;||||DH=Rosso
        POP     CX            ;||||
        LOOP    Prov4         ;/|||
        INC     CS:[DepoCH]   ; |||CH=Verde
        POP     CX            ; |||
        LOOP    Prov3         ;-/||
        INC     CS:[DepoCL]   ;  ||CL=Blu
        POP     CX            ;  ||
        LOOP    Prov2         ;--/|
        INC     CS:[DepoBL]   ;   |
        POP     CX            ;   |
        LOOP    Prov1         ;---/
_OUT:   M_msgC Text1,24,1,1FH ; /--------------------------------------------\
        M_msgN  Out_0         ; |                                            |
        M_COLOR 9FH           ; |     Propone il Testo di uscita             |
        M_msgN Out_1          ; |                                            |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_3          ; \--------------------------------------------/
        LEA     DI,ColNorm    ; /--------------------------------------------\
        CALL    FissaCol      ; |                                            |
        M_msgC  Text3,20,1,0FH; |                                            |
        M_msgC  Text3,21,1,0FH; |Ripristina la TAVOLOZZA con colori STANDARD |
        M_msgC  Text2,22,8,0EH; |                                            |
        M_msgC  Text3,23,1,0FH; |                                            |
        CALL   KEYwait        ; \--------------------------------------------/
        M_msgC  Text3,24,1,0FH

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;
        
;/---------------------------------------------------------------------------\
;| PROCEDURA   : Aspetta                                                     |
;| DESCRIZIONE : Visualizza i valori correnti delle terne correnti e control-|
;|               la la Tastiera                                              |
;\---------------------------------------------------------------------------/
Aspetta:M_COLOR 0EH           ;
        MOV     DH,20         ;
        MOV     DL,34         ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoBL]; BL=Registro di Colore del DAC
        CALL    Byt2Asc       ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoDH]; DH=Rosso
        CALL    Byt2Asc       ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoCH]; CH=Verde
        CALL    Byt2Asc       ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoCL]; CL=Blu
        CALL    Byt2Asc       ;
        CALL    KEYwait       ;
        CMP     AL,_ESC       ;
        JZ      Aspet_        ; La pressione di ESC o "Q" condente di  tornare
        AND     AL,11011111B  ; al DOS; altrimenti il test continua
        CMP     AL,'Q'        ;
        JZ      Aspet_        ;
        RET                   ;
Aspet_: POP     AX            ;
        POP     CX            ;
        POP     CX            ; Recupera le  posizioni pendenti nello stack al
        POP     CX            ; momento  della  chiamata  della  procedura
        POP     CX            ;
        JMP     _OUT          ;

B10_1010 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
