; da notare che nei modi testo sono caricati solo i primi 64 registri DAC

; per il collaudo del programma conviene lanciare "B10_1015" dopo aver lanciato
; i programmi "COLORE" o "GRIGI" per vedere come le funzioni in parola carichino
; i Registri del DAC con terne di colore o terne di valori calcolati con la
; solita formula in gradazioni appartenenti alla Scala dei Grigi

;/---------------------------------------------------------------------------\
;|La versione per il capitolo di grafica  la stessa solo che viene prima
;|attivato il modo 13H per caricare tutti e 256 registri dac con valori
;|significativi; il lancio dei programmi "COLORE" o "GRIGI"  ancora molto
;|utile per la prova
;\---------------------------------------------------------------------------/

PAGE 66,132
TITLE ** B10_1015.ASM -  Legge un Registro di Colore del DAC
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1015.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 15H): l'esempio|
;|               proposto analizza in sequenza il contenuto di  tutti  i  256|
;|               Registri di Colore del DAC, relativo alle  rispettive  terne|
;|               di codici di colore RVB associata al Registro corrente      |
;\---------------------------------------------------------------------------/
        _ESC    EQU   1BH

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1015


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Dep1DH DB   00H               ; Deposito temporaneo  per  la  terna  associata
Dep1CH DB   00H               ; al contenuto del secondo  Registro  di  Colore
Dep1CL DB   00H               ; del  DAC  (CH=Verde,  CL=Blu  e  DH=Rosso)
DepoDH DB   00H               ; Deposito temporaneo  per  la  terna  associata
DepoCH DB   00H               ; al contenuto del Registro  di Colore  del  DAC
DepoCL DB   00H               ; corrente   (CH=Verde,  CL=Blu  e  DH=Rosso)
DepoBL DB   00H               ; Numero del Registro di Colore del DAC corrente
ATTRIB DB   00H
Out_0  DB "        Premere "                                             ,00H
Out_1  DB "  un tasto "                                                  ,00H
Out_2  DB " per continuare,  oppure [Q]uit  per uscire       "           ,00H
Text0  DB " Lettura dei Codici di Colore del DAC a LIVELLO BIOS in MODO TESTO"
Text1  DB                                  "           "                 ,00H
Corn0  DB "Ŀ" ,00H
Corn1  DB "  Il Registro di Colore DAC n  H contiene le componenti  " ,00H
Corn2  DB "                   Rosso =   H    (bit 1712)             " ,00H
Corn3  DB "                   Verde =   H    (bit 1106)             " ,00H
Corn4  DB "                    Blu  =   H    (bit 0500)             " ,00H
Corn5  DB "" ,00H
;Corn0 DB "Ŀ" ,00H
Corn6  DB "                                                          " ,00H
;Corn5 DB "" ,00H
Testo  DB               "Testo di Prova - Colore corrente"               ,00H 


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
; nessuna

;*****************************************************************************
                              ; ----------------------------------------------
B10_1015 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Corn0, 6,8,0FH; |                                            |
        M_msgC  Corn1, 7,8,0FH; |                                            |
        M_msgC  Corn2, 8,8,0FH; |      Predispone la cornice di prova        |
        M_msgC  Corn3, 9,8,0FH; |                                            |
        M_msgC  Corn4,10,8,0FH; |                                            |
        M_msgC  Corn5,11,8,0FH; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; |                                            |
                              ; \--------------------------------------------/
        MOV     BX,0001H      ; /--------------------------------------------\
        MOV     AL,15H        ; |Salva comunque il valore corrente del secon-|
        MOV     AH,10H        ; |do Registro di Colore del DAC, dato che esso|
        INT     10H           ; | usato dal programma per mostrare l'effetto|
        MOV     CS:[Dep1DH],DH; |cromatico corrente;  cos possibile  ripri-|
        MOV     CS:[Dep1CH],CH; |stinarlo, prima di tornare al DOS           |
        MOV     CS:[Dep1CL],CL; \--------------------------------------------/
        MOV     BX,0000H      ; /--------------------------------------------\
        MOV     CX,256        ; |Lettura del Registri di Colore DAC corrente |
XXX00:  PUSH    CX            ; \--------------------------------------------/
        PUSH    BX            ;
        MOV     CS:[DepoBL],BL;
   CMP Byte Ptr CS:[DepoBL],01; Se il Registro di Colore del DAC corrente  il
        JNZ     XXX01         ; secondo (cio quello usato per mostrare il co-
        MOV     DH,CS:[Dep1DH]; lore corrente) per evitare false  informazioni
        MOV     CH,CS:[Dep1CH]; la prova viene condotta con la terna preventi-
        MOV     CL,CS:[Dep1CL]; vamente prelevata dal registro
        JMP     SHORT XXX02   ;
XXX01:  MOV     AL,15H        ;
        MOV     AH,10H        ;
        INT     10H           ;
XXX02:  MOV     CS:[DepoDH],DH; La funzione BIOS restituisce nei  registri CH,
        MOV     CS:[DepoCH],CH; (Verde), CL (Blu) e DH (Rosso) le  tre  grada-
        MOV     CS:[DepoCL],CL; zioni RBG del Registro di Colore del DAC  pun-
        CALL    Aspetta       ; tato dal valoe corrente di BX (nel  range  tra
        POP     BX            ; 0000H e 00FFH, 256)
        INC     BX            ;
        POP     CX            ;
        LOOP    XXX00         ;

_OUT:   MOV     BX,0001H      ; /--------------------------------------------\
        MOV     DH,CS:[Dep1DH]; |Recupera il valore originale del secondo Re-|
        MOV     CH,CS:[Dep1CH]; |gistro di Colore del  DAC,  dato  che esso |
        MOV     CL,CS:[Dep1CL]; |stato usato dal programma per mostrare l'ef-|
        MOV     AL,10H        ; |fetto cromatico corrente                    |
        MOV     AH,10H        ; |                                            |
        INT     10H           ; \--------------------------------------------/
        M_msgC Text1,24,1,0FH ;
        MOV     CX,06         ;                                              |
XXX03:  M_msgN  Text1         ;                                              |
        LOOP    XXX03         ;                                              |
        CALL    RIP_cur       ;                                              |
        MOV     DH,23         ;     FASE STANDARD D'USCITA DAL PROGRAMMA     |
        MOV     DL,0          ;                                              |
        CALL    SET_cur       ;                                              |
        MOV     AH,4CH        ;                                              |
        INT     21H           ;

;/---------------------------------------------------------------------------\
;| Servizio    : Aspetta                                                     |
;| DESCRIZIONE : Visualizza i valori correnti delle terne correnti e control-|
;|               la la Tastiera                                              |
;\---------------------------------------------------------------------------/
Aspetta:M_COLOR 0EH           ;
        MOV     DH,7          ;
        MOV     DL,39         ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoBL]; BL=Registro di Colore del DAC
        CALL    Byt2Asc       ;
        MOV     DL,36         ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoDH]; DH=Rosso
        CALL    Byt2Asc       ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoCH]; CH=Verde
        CALL    Byt2Asc       ;
        INC     DH            ;
        CALL    SET_cur       ;
        MOV     AL,CS:[DepoCL]; CL=Blu
        CALL    Byt2Asc       ;
        M_msgC  Corn0,12,8,0FH;
        M_msgC  Corn6,13,8,0FH; Con l'auito del  secondo  Registro  di  Colore
        M_msgC  Corn5,14,8,0FH; del DAC (puntato da BX=0001) scrive  un  testo
        MOV     DH,CS:[DepoDH]; di prova con attributo 01 (BLU nello  standard
        MOV     CH,CS:[DepoCH]; CGA) fissando in esso le  tre  gradazioni  RBG
        MOV     CL,CS:[DepoCL]; correnti (CH=Verde, CL=Blu e DH=Rosso); poich
        MOV     BX,0001H      ; con questo attributo sono  proposte  anche  le
        MOV     AL,10H        ; due stringhe d'intestazione,  anch'esse  subi-
        MOV     AH,10H        ; scono  la  modifica  cromatica  corrente
        INT     10H           ;
        M_msgC Testo,13,18,01H;
        CALL    KEYwait       ;
        CMP     AL,_ESC       ;
        JZ      Aspet_        ; La pressione di ESC o "Q" condente di  tornare
        AND     AL,11011111B  ; al DOS; altrimenti il test continua
        CMP     AL,'Q'        ;
        JZ      Aspet_        ;
        RET                   ;
Aspet_: POP     AX            ;
        POP     BX            ; Recupera le  posizioni pendenti nello stack al
        POP     CX            ; momento  della  chiamata  della  procedura
        JMP     _OUT          ;

B10_1015 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
