PAGE 66,132
TITLE ** B10_1120.ASM - Caricatore di FONT predisposto direttamente nel progr.
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1120.ASM                         (INT 10H, Funzione 11H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Organizza il caricamento della Tabella creata dall'Utente di|
;|               128 Caratteri ESTESI 8*8 da 80H a FFH, puntata  in  ingresso|
;|               dall'indirizzo segmentato ES:BP e usata dal GENERATORE SOFT-|
;|               WARE del BIOS nei MODI GRAFICI (COMPATIBILI CGA) 04H  e  05H|
;|               (40x25, 8x8, 320x200 a quattro colori)  e  06H (80x25,  8x8,|
;|               640x200, a due colori).                                     |
;|                                                                           |
;|               Il nuovo FONT  "visto" dal GENERATORE di Caratteri  per  il|
;|               fatto che il suo puntatore (ES:BP)  poi copiato dalla  Sot-|
;|               toFunzione 20H nelle locazioni  della Tabella dei Vettori (a|
;|               partire dall'indirizzo 0000:007CH) corrispondenti a INT 1FH.|
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CambiaCol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   KEYwait:NEAR
        EXTRN   BIOSmsg:NEAR

; DICHIARAZIONI PER I PROGRAMMI ESTERNI:
        PUBLIC  ATTRIB
        PUBLIC  B10_1120


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog

        ORG     0100H
INIZIO: JMP     B10_1120


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB 0FH
COPYrt1 DB   "Ŀ" ,00H
COPYrt2 DB   "                                    " ,00H
COPYrt3 DB   "" ,00H
COPYrt4 DB    "B10_1120- Caricatore CARATTERI ASCII"  ,00H
COPYrt5 DB    "          ESTESI   in  MODO  GRAFICO"  ,00H
COPYrt6 DB    "vers.2.0        by ing. Giorgio OBER"  ,00H
COPYrt7 DB  "Nuovi caratteri regolarmente disponibili",00H
DEMO_01 DB    "                    "  ,00H
DEMO_02 DB    "                    "  ,00H
DEMO_03 DB    "                    "  ,00H
DEMO_04 DB    "                    "  ,00H
DEMO_05 DB    "                    "  ,00H
DEMO_06 DB    "                    "  ,00H
DEMO_07 DB    "                    "  ,00H
DEMO_08 DB    "                     "  ,00H

DEMO_09 DB                 "",00H
DEMO_10 DB                 "",00H




;*****************************************************************************
                              ; ----------------------------------------------
B10_1120 proc  NEAR           ;|      AREA DEDICATA AL MAIN PROGRAM         ||
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        ;/-------------------\;
        ;|Provare  anche  con|; /[NB: SOLO CGA]*-----*----*-------*----------\
        ;|gli altri  MODI CGA|; |MODO 04H| CGA |40x25|8x8 |320x200|  4 colori|
        ;\-----------------/; |MODO 05H| CGA |40x25|8x8 |320x200|  4 colori|
        MOV     AL,04H        ; |MODO 06H| CGA |80x25|8x8 |640x200| 16 colori|
        MOV     AH,00H        ; \--------*-----*-----*----*-------*----------/
        INT     10H           ;
                              ; ---------------------------------------------\
                              ;    CARICA  I   NUOVI  CARATTERI  ORIGINALI   |
                              ; ---------------------------------------------/
        PUSH    ES            ;
        MOV     AX,CS         ; SottoFunzione che consente (nei  MODI GRAFICI)
        MOV     ES,AX         ; di caricare  una Tabella definizione Caratteri
        LEA     BP,TabFONT    ; creata dall'utente per gli ASCII ESTESI da 80H
        MOV     AL,20H        ; a FFH, puntata da ES:BP; tale puntatore   poi
        MOV     AH,11H        ; copiato nelle locazioni della Tabella dei Vet-
        INT     10H           ; tori (da 0000:007CH) corrispondenti  a INT 1FH
        POP     ES            ;
        M_msgC COPYrt1,1,1,02H;/---------------------------------------------\
        M_msgC COPYrt2,2,1,02H;|                                             |
        M_msgC COPYrt2,3,1,02H;|                                             |
        M_msgC COPYrt2,4,1,02H;|Organizza il piano di presentazione          |
        M_msgC COPYrt3,5,1,02H;|                                             |
        M_msgC COPYrt4,2,2,03H;|                                             |
        M_msgC COPYrt5,3,2,03H;|                                             |
        M_msgC COPYrt6,4,2,03H;\---------------------------------------------/
        M_msgC COPYrt7,8,0,01H;I nuovi caratteri sono regolarmente disponibili

       M_msgC COPYrt1,10,1,02H; ---------------------------------------------
        MOV     CX,8          ;
XXX01:  MOV     BH,19         ;      /------------------------------\
        SUB     BH,CL         ;      | PRESENTAZIONE DEL NUOVO FONT |
       M_msgC COPYrt2,BH,1,02H;      \------------------------------/
        LOOP    XXX01         ;
       M_msgC COPYrt3,19,1,02H;                      
       M_msgC DEMO_01,11,2,03H;                      
       M_msgC DEMO_02,12,2,03H;                      
       M_msgC DEMO_03,13,2,03H;                      
       M_msgC DEMO_04,14,2,03H;                      
       M_msgC DEMO_05,15,2,03H;                      
       M_msgC DEMO_06,16,2,03H;                      
       M_msgC DEMO_07,17,2,03H;                     
       M_msgC DEMO_08,18,2,03H; ---------------------------------------------
                              ; ---------------------------------------------
                              ;   
                              ;   ۰
                              ;   ۰۰۰۰۰۰
                              ;   ۰۰۰۰۰۰۰۰
      M_msgC DEMO_09,21,16,01H;   ۰۰۰۰۰۰۰۰
      M_msgC DEMO_10,22,16,01H;   ۰۰۰۰۰۰۰۰۰
                              ;   ۰۰۰۰۰۰
                              ;   ۰
                              ;   
                              ; ---------------------------------------------
        CALL    KEYwait
_OUT:   MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;


        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ; 

                              ;/---------------------------------------------\
                              ;|        Creazione  dei  NUOVI  CARATTERI     |
                              ;\---------------------------------------------/
TabFONT DB      0FFH          ; 11111111     /-----------------------\
        DB       80H          ; 10000000  ۰   |       CARATTERE       |
        DB       87H          ; 10000111  ۰   |         n 128        |
        DB       88H          ; 10001000  ۰۰   |         n 80H        |
        DB       89H          ; 10001001  ۰۰   |          /---\        |
        DB       88H          ; 10001000  ۰۰   |          |""|        |
        DB       87H          ; 10000111  ۰   |          \---/        |
        DB       80H          ; 10000000  ۰   \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       9CH          ; 10011100  ۰۰   |         n 129        |
        DB       08H          ; 00001000  ۰   |         n 81H        |
        DB       88H          ; 10001000  ۰۰   |          /---\        |
        DB       88H          ; 10001000  ۰۰   |          |""|        |
        DB       1CH          ; 00011100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       78H          ; 01111000  ۰   |         n 130        |
        DB       84H          ; 10000100  ۰۰   |         n 82H        |
        DB       84H          ; 10000100  ۰۰   |          /---\        |
        DB       84H          ; 10000100  ۰۰   |          |""|        |
        DB       78H          ; 01111000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0F8H          ; 11111000  ۰   |         n 131        |
        DB       84H          ; 10000100  ۰۰   |         n 83H        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       84H          ; 10000100  ۰۰   |          |""|        |
        DB      0F8H          ; 11111000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       01H          ; 00000001     |       CARATTERE       |
        DB      0F1H          ; 11110001  ۰   |         n 132        |
        DB       81H          ; 10000001  ۰   |         n 84H        |
        DB      0E1H          ; 11100001  ۰   |          /---\        |
        DB       81H          ; 10000001  ۰   |          |""|        |
        DB      0F1H          ; 11110001  ۰   |          \---/        |
        DB       01H          ; 00000001     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 133        |
        DB       00H          ; 00000000     |         n 85H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                                                    
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 134        |
        DB       00H          ; 00000000     |         n 86H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB      0FFH          ; 11111111     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 135        |
        DB       00H          ; 00000000     |         n 87H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                                                    
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 136        |
        DB       00H          ; 00000000     |         n 88H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB      0FFH          ; 11111111     |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                                                    
        DB       80H          ; 10000000  ۰   /-----------------------\
        DB       80H          ; 10000000  ۰   |       CARATTERE       |
        DB       80H          ; 10000000  ۰   |         n 137        |
        DB       80H          ; 10000000  ۰   |         n 89H        |
        DB       80H          ; 10000000  ۰   |          /---\        |
        DB       80H          ; 10000000  ۰   |          |""|        |
        DB       80H          ; 10000000  ۰   |          \---/        |
        DB       80H          ; 10000000  ۰   \-----------------------/
                                                    
        DB      0C0H          ; 11000000  ۰   /-----------------------\
        DB      0C0H          ; 11000000  ۰   |       CARATTERE       |
        DB      0C0H          ; 11000000  ۰   |         n 138        |
        DB      0C0H          ; 11000000  ۰   |         n 8AH        |
        DB      0C0H          ; 11000000  ۰   |          /---\        |
        DB      0C0H          ; 11000000  ۰   |          |""|        |
        DB      0C0H          ; 11000000  ۰   |          \---/        |
        DB      0C0H          ; 11000000  ۰   \-----------------------/
                                                    
        DB       01H          ; 00000001     /-----------------------\
        DB       01H          ; 00000001     |       CARATTERE       |
        DB       01H          ; 00000001     |         n 139        |
        DB       01H          ; 00000001     |         n 8BH        |
        DB       01H          ; 00000001     |          /---\        |
        DB       01H          ; 00000001     |          |""|        |
        DB       01H          ; 00000001     |          \---/        |
        DB       01H          ; 00000001     \-----------------------/
                                                    
        DB       03H          ; 00000011     /-----------------------\
        DB       03H          ; 00000011     |       CARATTERE       |
        DB       03H          ; 00000011     |         n 140        |
        DB       03H          ; 00000011     |         n 8CH        |
        DB       03H          ; 00000011     |          /---\        |
        DB       03H          ; 00000011     |          |""|        |
        DB       03H          ; 00000011     |          \---/        |
        DB       03H          ; 00000011     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB       81H          ; 10000001  ۰   |       CARATTERE       |
        DB       81H          ; 10000001  ۰   |         n 141        |
        DB       81H          ; 10000001  ۰   |         n 8DH        |
        DB       81H          ; 10000001  ۰   |          /---\        |
        DB       81H          ; 10000001  ۰   |          |""|        |
        DB       81H          ; 10000001  ۰   |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                                                    
        DB      0FFH          ; 11111111     /-----------------------\
        DB      0C3H          ; 11000011  ۰   |       CARATTERE       |
        DB      0C3H          ; 11000011  ۰   |         n 142        |
        DB      0C3H          ; 11000011  ۰   |         n 8EH        |
        DB      0C3H          ; 11000011  ۰   |          /---\        |
        DB      0C3H          ; 11000011  ۰   |          |""|        |
        DB      0C3H          ; 11000011  ۰   |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                                                    
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 143        |
        DB       3CH          ; 00111100  ۰   |         n 8FH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       7EH          ; 01111110  ۰   |          |""|        |
        DB       66H          ; 01100110  ۰۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       00H          ; 00000000     |                       |
        DB      0FCH          ; 11111100  ۰   |         n 144        |
        DB       60H          ; 01100000  ۰   |         n 90H        |
        DB       78H          ; 01111000  ۰   |          /---\        |
        DB       60H          ; 01100000  ۰   |          |""|        |
        DB      0FCH          ; 11111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       7FH          ; 01111111     |         n 145        |
        DB       0CH          ; 00001100  ۰   |         n 91H        |
        DB       7FH          ; 01111111     |          /---\        |
        DB      0CCH          ; 11001100  ۰۰   |          |""|        |
        DB       7FH          ; 01111111     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1FH          ; 00011111     /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 146        |
        DB       7FH          ; 01111111     |         n 92H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       67H          ; 01100111  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       3CH          ; 00111100  ۰   /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 147        |
        DB       3CH          ; 00111100  ۰   |         n 93H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 148        |
        DB       3CH          ; 00111100  ۰   |         n 94H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       70H          ; 01110000  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 149        |
        DB       3CH          ; 00111100  ۰   |         n 95H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       3CH          ; 00111100  ۰   /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 150        |
        DB       66H          ; 01100110  ۰۰   |         n 96H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3FH          ; 00111111     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       70H          ; 01110000  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 151        |
        DB       66H          ; 01100110  ۰۰   |         n 97H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3FH          ; 00111111     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB      0CCH          ; 11001100  ۰۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 152        |
        DB      0CCH          ; 11001100  ۰۰   |         n 98H        |
        DB      0CCH          ; 11001100  ۰۰   |          /---\        |
        DB       7CH          ; 01111100  ۰   |          |""|        |
        DB       0CH          ; 00001100  ۰   |          \---/        |
        DB      0F8H          ; 11111000  ۰   \-----------------------/
                              ;                     
        DB      0C3H          ; 11000011  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       3CH          ; 00111100  ۰   |         n 153        |
        DB       66H          ; 01100110  ۰۰   |         n 99H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       3CH          ; 00111100  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       66H          ; 01100110  ۰۰   /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 154        |
        DB       66H          ; 01100110  ۰۰   |         n 9AH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       0CH          ; 00001100  ۰   /-----------------------\
        DB       0CH          ; 00001100  ۰   |       CARATTERE       |
        DB       3FH          ; 00111111     |         n 155        |
        DB       60H          ; 01100000  ۰   |         n 9BH        |
        DB       60H          ; 01100000  ۰   |          /---\        |
        DB       3FH          ; 00111111     |          |""|        |
        DB       0CH          ; 00001100  ۰   |          \---/        |
        DB       0CH          ; 00001100  ۰   \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       32H          ; 00110010  ۰۰   |         n 156        |
        DB       78H          ; 01111000  ۰   |         n 9CH        |
        DB       30H          ; 00110000  ۰   |          /---\        |
        DB       73H          ; 01110011  ۰   |          |""|        |
        DB       7EH          ; 01111110  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       66H          ; 01100110  ۰۰   /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       3CH          ; 00111100  ۰   |         n 157        |
        DB       7EH          ; 01111110  ۰   |         n 9DH        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       7EH          ; 01111110  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB      0F8H          ; 11111000  ۰   /-----------------------\
        DB      0CCH          ; 11001100  ۰۰   |       CARATTERE       |
        DB      0CCH          ; 11001100  ۰۰   |         n 158        |
        DB      0FAH          ; 11111010  ۰۰   |         n 9EH        |
        DB      0C6H          ; 11000110  ۰۰   |          /---\        |
        DB      0CFH          ; 11001111  ۰   |          |""|        |
        DB      0C6H          ; 11000110  ۰۰   |          \---/        |
        DB      0C7H          ; 11000111  ۰   \-----------------------/
                              ;                     
        DB       0EH          ; 00001110  ۰   /-----------------------\
        DB       1BH          ; 00011011  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 159        |
        DB       3CH          ; 00111100  ۰   |         n 9FH        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB      0D8H          ; 11011000  ۰۰   |          \---/        |
        DB       70H          ; 01110000  ۰   \-----------------------/
                              ;                     
        DB       0EH          ; 00001110  ۰   /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       3CH          ; 00111100  ۰   |         n 160        |
        DB      006H          ; 00000110  ۰   |         n A0H        |
        DB       3EH          ; 00111110  ۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3FH          ; 00111111     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       38H          ; 00111000  ۰   |         n 161        |
        DB       18H          ; 00011000  ۰   |         n A1H        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       0EH          ; 00001110  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 162        |
        DB       3CH          ; 00111100  ۰   |         n A2H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       0EH          ; 00001110  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 163        |
        DB       66H          ; 01100110  ۰۰   |         n A3H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3FH          ; 00111111     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       7CH          ; 01111100  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 164        |
        DB       7CH          ; 01111100  ۰   |         n A4H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       66H          ; 01100110  ۰۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       7EH          ; 01111110  ۰   /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 165        |
        DB       76H          ; 01110110  ۰۰   |         n A5H        |
        DB       7EH          ; 01111110  ۰   |          /---\        |
        DB       6EH          ; 01101110  ۰۰   |          |""|        |
        DB       66H          ; 01100110  ۰۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1EH          ; 00011110  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 166        |
        DB       1FH          ; 00011111     |         n A6H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       3FH          ; 00111111     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 167        |
        DB       1CH          ; 00011100  ۰   |         n A7H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       3EH          ; 00111110  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 168        |
        DB       30H          ; 00110000  ۰   |         n A8H        |
        DB       60H          ; 01100000  ۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 169        |
        DB       7EH          ; 01111110  ۰   |         n A9H        |
        DB       60H          ; 01100000  ۰   |          /---\        |
        DB       60H          ; 01100000  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 170        |
        DB      0FCH          ; 11111100  ۰   |         n AAH        |
        DB       0CH          ; 00001100  ۰   |          /---\        |
        DB       0CH          ; 00001100  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB      0C3H          ; 11000011  ۰   /-----------------------\
        DB      0C6H          ; 11000110  ۰۰   |       CARATTERE       |
        DB      0CCH          ; 11001100  ۰۰   |         n 171        |
        DB      0DEH          ; 11011110  ۰۰   |         n ABH        |
        DB       33H          ; 00110011  ۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB      0CCH          ; 11001100  ۰۰   |          \---/        |
        DB       0FH          ; 00001111     \-----------------------/
                              ;                     
        DB      0C3H          ; 11000011  ۰   /-----------------------\
        DB      0C6H          ; 11000110  ۰۰   |       CARATTERE       |
        DB      0CCH          ; 11001100  ۰۰   |         n 172        |
        DB      0DBH          ; 11011011  ۰۰   |         n ACH        |
        DB       37H          ; 00110111  ۰   |          /---\        |
        DB       6FH          ; 01101111  ۰   |          |""|        |
        DB      0CFH          ; 11001111  ۰   |          \---/        |
        DB       03H          ; 00000011     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 173        |
        DB       18H          ; 00011000  ۰   |         n ADH        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       33H          ; 00110011  ۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 174        |
        DB      0CCH          ; 11001100  ۰۰   |         n AEH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       33H          ; 00110011  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB      0CCH          ; 11001100  ۰۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 175        |
        DB       33H          ; 00110011  ۰   |         n AFH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB      0CCH          ; 11001100  ۰۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       22H          ; 00100010  ۰۰   /-----------------------\
        DB       88H          ; 10001000  ۰۰   |       CARATTERE       |
        DB       22H          ; 00100010  ۰۰   |         n 176        |
        DB       88H          ; 10001000  ۰۰   |         n B0H        |
        DB       22H          ; 00100010  ۰۰   |          /---\        |
        DB       88H          ; 10001000  ۰۰   |          |" "|        |
        DB       22H          ; 00100010  ۰۰   |          \---/        |
        DB       88H          ; 10001000  ۰۰   \-----------------------/
                              ;                     
        DB       55H          ; 01010101  ۰۰۰   /-----------------------\
        DB      0AAH          ; 10101010  ۰۰۰۰   |       CARATTERE       |
        DB       55H          ; 01010101  ۰۰۰   |         n 177        |
        DB      0AAH          ; 10101010  ۰۰۰۰   |         n B1H        |
        DB       55H          ; 01010101  ۰۰۰   |          /---\        |
        DB      0AAH          ; 10101010  ۰۰۰۰   |          |""|        |
        DB       55H          ; 01010101  ۰۰۰   |          \---/        |
        DB      0AAH          ; 10101010  ۰۰۰۰   \-----------------------/
                              ;                     
        DB      0DBH          ; 11011011  ۰۰   /-----------------------\
        DB       77H          ; 01110111  ۰   |       CARATTERE       |
        DB      0DBH          ; 11011011  ۰۰   |         n 178        |
        DB      0EEH          ; 11101110  ۰۰   |         n B2H        |
        DB      0DBH          ; 11011011  ۰۰   |          /---\        |
        DB       77H          ; 01110111  ۰   |          |""|        |
        DB      0DBH          ; 11011011  ۰۰   |          \---/        |
        DB      0EEH          ; 11101110  ۰۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 179        |
        DB       18H          ; 00011000  ۰   |         n B3H        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"|"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 180        |
        DB       18H          ; 00011000  ۰   |         n B4H        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"*"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB      0F8H          ; 11111000  ۰   |         n 181        |
        DB       18H          ; 00011000  ۰   |         n B5H        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 182        |
        DB       36H          ; 00110110  ۰۰   |         n B6H        |
        DB      0F6H          ; 11110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 183        |
        DB       00H          ; 00000000     |         n B7H        |
        DB      0FEH          ; 11111110  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0F8H          ; 11111000  ۰   |         n 184        |
        DB       18H          ; 00011000  ۰   |         n B8H        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB      0F6H          ; 11110110  ۰۰   |         n 185        |
        DB      006H          ; 00000110  ۰   |         n B9H        |
        DB      0F6H          ; 11110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 186        |
        DB       36H          ; 00110110  ۰۰   |         n BAH        |
        DB       36H          ; 00110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0FEH          ; 11111110  ۰   |         n 187        |
        DB      006H          ; 00000110  ۰   |         n BBH        |
        DB      0F6H          ; 11110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB      0F6H          ; 11110110  ۰۰   |         n 188        |
        DB      006H          ; 00000110  ۰   |         n BCH        |
        DB      0FEH          ; 11111110  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 189        |
        DB       36H          ; 00110110  ۰۰   |         n BDH        |
        DB      0FEH          ; 11111110  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB      0F8H          ; 11111000  ۰   |         n 190        |
        DB       18H          ; 00011000  ۰   |         n BEH        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 191        |
        DB       00H          ; 00000000     |         n BFH        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"\"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 192        |
        DB       18H          ; 00011000  ۰   |         n C0H        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       00H          ; 00000000     |          |"\"|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 193        |
        DB       18H          ; 00011000  ۰   |         n C1H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |"*"|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 184        |
        DB       00H          ; 00000000     |         n C2H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"*"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 195        |
        DB       18H          ; 00011000  ۰   |         n C3H        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"*"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 196        |
        DB       00H          ; 00000000     |         n C4H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |"-"|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 197        |
        DB       18H          ; 00011000  ۰   |         n C5H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"*"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       1FH          ; 00011111     |         n 198        |
        DB       18H          ; 00011000  ۰   |         n C6H        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 199        |
        DB       36H          ; 00110110  ۰۰   |         n C7H        |
        DB       37H          ; 00110111  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       37H          ; 00110111  ۰   |         n 200        |
        DB       30H          ; 00110000  ۰   |         n C8H        |
        DB       3FH          ; 00111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       3FH          ; 00111111     |         n 201        |
        DB       30H          ; 00110000  ۰   |         n C9H        |
        DB       37H          ; 00110111  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB      0F7H          ; 11110111  ۰   |         n 202        |
        DB       00H          ; 00000000     |         n CAH        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 203        |
        DB       00H          ; 00000000     |         n CBH        |
        DB      0F7H          ; 11110111  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       37H          ; 00110111  ۰   |         n 204        |
        DB       30H          ; 00110000  ۰   |         n CCH        |
        DB       37H          ; 00110111  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 205        |
        DB       00H          ; 00000000     |         n CDH        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB      0F7H          ; 11110111  ۰   |         n 206        |
        DB       00H          ; 00000000     |         n CEH        |
        DB      0F7H          ; 11110111  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 207        |
        DB       00H          ; 00000000     |         n CFH        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 208        |
        DB       36H          ; 00110110  ۰۰   |         n D0H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 209        |
        DB       00H          ; 00000000     |         n D1H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 210        |
        DB       00H          ; 00000000     |         n D2H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 211        |
        DB       36H          ; 00110110  ۰۰   |         n D3H        |
        DB       3FH          ; 00111111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       1FH          ; 00011111     |         n 212        |
        DB       18H          ; 00011000  ۰   |         n D4H        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       1FH          ; 00011111     |         n 213        |
        DB       18H          ; 00011000  ۰   |         n D5H        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 214        |
        DB       00H          ; 00000000     |         n D6H        |
        DB       3FH          ; 00111111     |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       36H          ; 00110110  ۰۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 215        |
        DB       36H          ; 00110110  ۰۰   |         n D7H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       36H          ; 00110110  ۰۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 216        |
        DB       18H          ; 00011000  ۰   |         n D8H        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 217        |
        DB       18H          ; 00011000  ۰   |         n D9H        |
        DB      0F8H          ; 11111000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |"/"|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 218        |
        DB       00H          ; 00000000     |         n DAH        |
        DB       1FH          ; 00011111     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |"/"|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB      0FFH          ; 11111111     /-----------------------\
        DB      0FFH          ; 11111111     |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 219        |
        DB      0FFH          ; 11111111     |         n DBH        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB      0FFH          ; 11111111     |          |""|        |
        DB      0FFH          ; 11111111     |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 220        |
        DB       00H          ; 00000000     |         n DCH        |
        DB      0FFH          ; 11111111     |          /---\        |
        DB      0FFH          ; 11111111     |          |""|        |
        DB      0FFH          ; 11111111     |          \---/        |
        DB      0FFH          ; 11111111     \-----------------------/
                              ;                     
        DB      0F0H          ; 11110000  ۰   /-----------------------\
        DB      0F0H          ; 11110000  ۰   |       CARATTERE       |
        DB      0F0H          ; 11110000  ۰   |         n 221        |
        DB      0F0H          ; 11110000  ۰   |         n DDH        |
        DB      0F0H          ; 11110000  ۰   |          /---\        |
        DB      0F0H          ; 11110000  ۰   |          |""|        |
        DB      0F0H          ; 11110000  ۰   |          \---/        |
        DB      0F0H          ; 11110000  ۰   \-----------------------/
                              ;                     
        DB       0FH          ; 00001111     /-----------------------\
        DB       0FH          ; 00001111     |       CARATTERE       |
        DB       0FH          ; 00001111     |         n 222        |
        DB       0FH          ; 00001111     |         n DEH        |
        DB       0FH          ; 00001111     |          /---\        |
        DB       0FH          ; 00001111     |          |""|        |
        DB       0FH          ; 00001111     |          \---/        |
        DB       0FH          ; 00001111     \-----------------------/
                              ;                     
        DB      0FFH          ; 11111111     /-----------------------\
        DB      0FFH          ; 11111111     |       CARATTERE       |
        DB      0FFH          ; 11111111     |         n 223        |
        DB      0FFH          ; 11111111     |         n DFH        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       3BH          ; 00111011  ۰   |         n 224        |
        DB       6EH          ; 01101110  ۰۰   |         n E0H        |
        DB       64H          ; 01100100  ۰۰   |          /---\        |
        DB       6EH          ; 01101110  ۰۰   |          |""|        |
        DB       3BH          ; 00111011  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       3CH          ; 00111100  ۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 225        |
        DB       7CH          ; 01111100  ۰   |         n E1H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       7CH          ; 01111100  ۰   |          |""|        |
        DB       60H          ; 01100000  ۰   |          \---/        |
        DB       60H          ; 01100000  ۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       7EH          ; 01111110  ۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 226        |
        DB       60H          ; 01100000  ۰   |         n E2H        |
        DB       60H          ; 01100000  ۰   |          /---\        |
        DB       60H          ; 01100000  ۰   |          |""|        |
        DB       60H          ; 01100000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       7FH          ; 01111111     |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 227        |
        DB       36H          ; 00110110  ۰۰   |         n E3H        |
        DB       36H          ; 00110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       36H          ; 00110110  ۰۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       7EH          ; 01111110  ۰   /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       30H          ; 00110000  ۰   |         n 228        |
        DB       18H          ; 00011000  ۰   |         n E4H        |
        DB       30H          ; 00110000  ۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       7EH          ; 01111110  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       3FH          ; 00111111     |         n 229        |
        DB       6CH          ; 01101100  ۰۰   |         n E5H        |
        DB       6CH          ; 01101100  ۰۰   |          /---\        |
        DB       6CH          ; 01101100  ۰۰   |          |""|        |
        DB       38H          ; 00111000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       33H          ; 00110011  ۰   |       CARATTERE       |
        DB       33H          ; 00110011  ۰   |         n 230        |
        DB       33H          ; 00110011  ۰   |         n E6H        |
        DB       33H          ; 00110011  ۰   |          /---\        |
        DB       3EH          ; 00111110  ۰   |          |""|        |
        DB       30H          ; 00110000  ۰   |          \---/        |
        DB       60H          ; 01100000  ۰   \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       3BH          ; 00111011  ۰   |       CARATTERE       |
        DB       6EH          ; 01101110  ۰۰   |         n 231        |
        DB       0CH          ; 00001100  ۰   |         n E7H        |
        DB       0CH          ; 00001100  ۰   |          /---\        |
        DB       0CH          ; 00001100  ۰   |          |""|        |
        DB       0CH          ; 00001100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       7EH          ; 01111110  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       3CH          ; 00111100  ۰   |         n 232        |
        DB       66H          ; 01100110  ۰۰   |         n E8H        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       3CH          ; 00111100  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       7EH          ; 01111110  ۰   \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       63H          ; 01100011  ۰   |         n 233        |
        DB       7FH          ; 01111111     |         n E9H        |
        DB       63H          ; 01100011  ۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       1CH          ; 00011100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       63H          ; 01100011  ۰   |         n 234        |
        DB       63H          ; 01100011  ۰   |         n EAH        |
        DB       36H          ; 00110110  ۰۰   |          /---\        |
        DB       36H          ; 00110110  ۰۰   |          |""|        |
        DB       77H          ; 01110111  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       0EH          ; 00001110  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       0CH          ; 00001100  ۰   |         n 235        |
        DB       3EH          ; 00111110  ۰   |         n EBH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       7EH          ; 01111110  ۰   |         n 236        |
        DB      0DBH          ; 11011011  ۰۰   |         n ECH        |
        DB      0DBH          ; 11011011  ۰۰   |          /---\        |
        DB       7EH          ; 01111110  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB      006H          ; 00000110  ۰   /-----------------------\
        DB       0CH          ; 00001100  ۰   |       CARATTERE       |
        DB       7EH          ; 01111110  ۰   |         n 237        |
        DB      0DBH          ; 11011011  ۰۰   |         n EDH        |
        DB      0DBH          ; 11011011  ۰۰   |          /---\        |
        DB       7EH          ; 01111110  ۰   |          |""|        |
        DB       60H          ; 01100000  ۰   |          \---/        |
        DB      0C0H          ; 11000000  ۰   \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       30H          ; 00110000  ۰   |       CARATTERE       |
        DB       60H          ; 01100000  ۰   |         n 238        |
        DB       7CH          ; 01111100  ۰   |         n EEH        |
        DB       60H          ; 01100000  ۰   |          /---\        |
        DB       30H          ; 00110000  ۰   |          |""|        |
        DB       1CH          ; 00011100  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       3CH          ; 00111100  ۰   /-----------------------\
        DB       66H          ; 01100110  ۰۰   |       CARATTERE       |
        DB       66H          ; 01100110  ۰۰   |         n 239        |
        DB       66H          ; 01100110  ۰۰   |         n EFH        |
        DB       66H          ; 01100110  ۰۰   |          /---\        |
        DB       66H          ; 01100110  ۰۰   |          |""|        |
        DB       66H          ; 01100110  ۰۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       7EH          ; 01111110  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 240        |
        DB       7EH          ; 01111110  ۰   |         n F0H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       7EH          ; 01111110  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       7EH          ; 01111110  ۰   |         n 241        |
        DB       18H          ; 00011000  ۰   |         n F1H        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       7EH          ; 01111110  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       30H          ; 00110000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       0CH          ; 00001100  ۰   |         n 242        |
        DB       18H          ; 00011000  ۰   |         n F2H        |
        DB       30H          ; 00110000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       7EH          ; 01111110  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       0CH          ; 00001100  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       30H          ; 00110000  ۰   |         n 243        |
        DB       18H          ; 00011000  ۰   |         n F3H        |
        DB       0CH          ; 00001100  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       7EH          ; 01111110  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       0EH          ; 00001110  ۰   /-----------------------\
        DB       1BH          ; 00011011  ۰   |       CARATTERE       |
        DB       1BH          ; 00011011  ۰   |         n 244        |
        DB       18H          ; 00011000  ۰   |         n F4H        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       18H          ; 00011000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       18H          ; 00011000  ۰   |         n 245        |
        DB       18H          ; 00011000  ۰   |         n F5H        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB      0D8H          ; 11011000  ۰۰   |          |""|        |
        DB      0D8H          ; 11011000  ۰۰   |          \---/        |
        DB       70H          ; 01110000  ۰   \-----------------------/
                              ;                     
        DB       18H          ; 00011000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       00H          ; 00000000     |         n 246        |
        DB       7EH          ; 01111110  ۰   |         n F6H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       18H          ; 00011000  ۰   |          |""|        |
        DB       18H          ; 00011000  ۰   |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       3BH          ; 00111011  ۰   |       CARATTERE       |
        DB       6EH          ; 01101110  ۰۰   |         n 247        |
        DB       00H          ; 00000000     |         n F7H        |
        DB       3BH          ; 00111011  ۰   |          /---\        |
        DB       6EH          ; 01101110  ۰۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       1CH          ; 00011100  ۰   /-----------------------\
        DB       36H          ; 00110110  ۰۰   |       CARATTERE       |
        DB       36H          ; 00110110  ۰۰   |         n 248        |
        DB       1CH          ; 00011100  ۰   |         n F8H        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 249        |
        DB       0CH          ; 00001100  ۰   |         n F9H        |
        DB       0CH          ; 00001100  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 250        |
        DB       00H          ; 00000000     |         n FAH        |
        DB       18H          ; 00011000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       0FH          ; 00001111     /-----------------------\
        DB       0CH          ; 00001100  ۰   |       CARATTERE       |
        DB       0CH          ; 00001100  ۰   |         n 251        |
        DB       0CH          ; 00001100  ۰   |         n FBH        |
        DB      0ECH          ; 11101100  ۰۰   |          /---\        |
        DB       6CH          ; 01101100  ۰۰   |          |""|        |
        DB       3CH          ; 00111100  ۰   |          \---/        |
        DB       1CH          ; 00011100  ۰   \-----------------------/
                              ;                     
        DB       78H          ; 01111000  ۰   /-----------------------\
        DB       6CH          ; 01101100  ۰۰   |       CARATTERE       |
        DB       6CH          ; 01101100  ۰۰   |         n 252        |
        DB       6CH          ; 01101100  ۰۰   |         n FCH        |
        DB       6CH          ; 01101100  ۰۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       70H          ; 01110000  ۰   /-----------------------\
        DB       18H          ; 00011000  ۰   |       CARATTERE       |
        DB       30H          ; 00110000  ۰   |         n 253        |
        DB       60H          ; 01100000  ۰   |         n FDH        |
        DB       78H          ; 01111000  ۰   |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       3CH          ; 00111100  ۰   |         n 254        |
        DB       3CH          ; 00111100  ۰   |         n FEH        |
        DB       3CH          ; 00111100  ۰   |          /---\        |
        DB       3CH          ; 00111100  ۰   |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/
                              ;                     
        DB       00H          ; 00000000     /-----------------------\
        DB       00H          ; 00000000     |       CARATTERE       |
        DB       00H          ; 00000000     |         n 255        |
        DB       00H          ; 00000000     |         n FFH        |
        DB       00H          ; 00000000     |          /---\        |
        DB       00H          ; 00000000     |          |""|        |
        DB       00H          ; 00000000     |          \---/        |
        DB       00H          ; 00000000     \-----------------------/

B10_1120 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
