PAGE 66,132
TITLE ** B10_1220.ASM -  Programma  per  l'inizializzazione  del  Vettore  05H
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1220.ASM                         (INT 10H, Funzione 12H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione                           |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   KEYwait:NEAR
        EXTRN   Wor2Asc:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1220


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB      00H           ;Attributo di Colore
Riga    DB      00H           ;Riga di stampa dei Messaggi
old_SEG DW     0000H          ;Deposito per il Segmento del Vettore INT 05H
old_OFF DW     0000H          ;Deposito per  l'Offeset  del Vettore INT 05H
Testo1  DB "         Il Vettore INT 05H punta in ingresso a 0000:0000H",00H
Testo2  DB "Il Vettore INT 05H dopo l'azione di INT 10H/12_20 punta a "
        DB                                                 "0000:0000H",00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : STAmess                                                     |
;| DESCRIZIONE : Mostra l'indirizzo segmentato del Vettore INT 05H,  dedicato|
;|               alla gestione del PrintScreen                               |
;\---------------------------------------------------------------------------/
        TABint  EQU 0000H     ; Costanti di comodo per  puntare  la  locazione
        INT_05  EQU 0005*4    ; 0000:0014H della Tabella dei Vettori (INT 05H)
        ;--------------------------------------------------------------------
STAmess:PUSH    ES            ;
        MOV     AX,TABint     ; Assume in  DX:AX  l'indirizzo  segmentato  del
        MOV     ES,AX         ; Vettore originale di INT 05H (DX=Segmento e AX
        MOV  AX,ES:[INT_05]   ; =Offset) e lo lascia in uscita ancora in DX:AX
        MOV  DX,ES:[INT_05][2]; (quando saremo pratici delle  Funzioni del DOS
        PUSH    AX            ; potremo usarne una, la 35H, appositamente stu-
        PUSH    DX            ; diata per questo scopo)
        PUSH    AX            ;
        PUSH    DX            ;
        MOV     DH,CS:[Riga]  ;
        MOV     DL,04         ; Stampa il primo  Testo di commento sulla prima
        CALL    SET_cur       ; riga con Colore BIANCO BRILLANTE su NERO
  MOV Byte Ptr CS:[ATTRIB],0FH;
        CALL    BIOSmsg       ;
  MOV Byte Ptr CS:[ATTRIB],0EH;
        MOV     DL,52         ;
        CMP     DH,10         ;
        JZ      STAmes_       ;
        ADD     DL,10         ;
STAmes_:CALL    SET_cur       ; Stampa l'indirizzo segmentato sulla  riga cor-
        POP     AX            ; rente con Colore GIALLO su NERO, recuperandolo
        CALL    Wor2Asc       ; dallo Stack
        MOV     DL,57         ;
        CMP     DH,10         ;
        JZ      STAme__       ;
        ADD     DL,10         ;
STAme__:CALL    SET_cur       ;
        POP     AX            ;
        CALL    Wor2Asc       ;

        CALL    KEYwait       ;
        POP     DX            ; Rimane in attesa della pressione di un  tasto
        POP     AX            ; e poi esce con DX:AX caricato con il puntato-
        POP     ES            ; desiderato
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_1220 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScreen con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        CALL    VIA_cur       ;
     MOV Byte Ptr CS:[Riga],10; Assume in  DX,AX  l'indirizzo  segmentato  del
        LEA     SI,Testo1     ; Vettore originale di INT 05H (DX=Segmento e AX
        CALL   STAmess        ; =Offset) e, dopo averne  mostrato  il  valore,
        MOV    CS:[old_OFF],AX; lo salva nelle locazioni  del pro-gramma a ci
        MOV    CS:[old_SEG],DX; destinate
                              ; Predispone il puntatore di INT 05H allocato in
        MOV     BL,20H        ; Tabella dei Vettori alla locazione 0000:0014H,
        MOV     AH,12H        ; con l'indirizzo di una nuova procedura di  ser-
        INT     10H           ; vizio  per la copia su carta dei caratteri po-
                              ; sti  a  Video (PrintScreen)   nei  MODI  TESTO
     MOV Byte Ptr CS:[Riga],13; Assume in  DX,AX  l'indirizzo  segmentato  del
        LEA     SI,Testo2     ; Nuovo Vettore di INT 05H (DX=Segmento e AX=Of-
        CALL    STAmess       ; fset) e ne mostra il valore
        PUSH    ES            ;
        MOV     AX,TABint     ; Rimette l'indirizzo  segmentato  del  Vettore
        MOV     ES,AX         ; originale di INT 05H nella Tabella dei Vetto-
        MOV    AX,CS:[old_OFF]; ri, prelevandone il vecchio valore dalle  va-
        MOV    DX,CS:[old_SEG]; riabili del Programma (quando saremo  pratici
        MOV  ES:[INT_05],AX   ; delle Funzioni del DOS potremo usarne una, la
        MOV  ES:[INT_05][2],DX; 25H, appositamente studiata per questo scopo)
        POP     ES            ;

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1220 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
