PAGE 66,132
TITLE ** B10_1230.ASM - Programma per l'inizializzazione  della  scheda  VIDEO
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1230.ASM                         (INT 10H, Funzione 12H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione                           |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1230


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
Testo1  DB "** Modo TESTO STANDARD 0 H /    linee **",00H
Testo2  DB "0123456789012345678901234567890123456789",00H
ATTRIB  DB 00H                ;Attributo di Colore
Modo    DB 00H                ;Numero del MODO TESTO corrente
Risolz  DB 32H                ;Numero Centinaia \della Risoluzione 200 a linee
        DB 30H                ;Numero   Decine  /
        DB 33H                ;Numero Centinaia \della Risoluzione 350 a linee
        DB 35H                ;Numero   Decine  /
        DB 34H                ;Numero Centinaia \della Risoluzione 400 a linee
        DB 30H                ;Numero   Decine  /
        DB 34H                ;Numero Centinaia \della Risoluzione 480 a linee
        DB 38H                ;Numero   Decine  /


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : STAmess                                                     |
;| DESCRIZIONE : Cambia il MODO VIDEO corrente in quello  desiderato,  il cui|
;|               numero  fornito in ingresso in AL e  poi  stampa  un  breve|
;|               messaggio con la sua descrizione.                           |
;\---------------------------------------------------------------------------/
STAmess:MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScreen con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        MOV     CX,04         ;
        MOV     AL,00H; 200   ; Inizializza la  Prova  per  le  4  Risoluzioni
        LEA     DI,Risolz     ;
                              ;
STAmes_:PUSH    CX            ;
        PUSH    AX            ;                                  /-----------\
        PUSH    DI            ; Seleziona il numero di linee di  |AL=00H, 200|
        MOV     BL,30H        ; Pixel che si desidera usare nei  |AL=01H, 350|
        MOV     AH,12H        ; MODI TESTO per la visualizzazio- |AL=02H, 400|
        INT     10H           ; ne dei caratteri  ed  esegue  la |AL=03H, 480|
        POP     DI            ; Prova  sul  MODO  TESTO corrente \-----------/
        CALL    Prova         ;
        POP     AX            ;
        INC     AL            ;
        POP     CX            ; Cambia Risoluzione e ripete
        ADD     DI,2          ;
        LOOP    STAmes_       ;
        RET                   ;
        ;---------------------- ----------------------------------------------
Prova:  PUSH    DI            ;
        MOV     AL,CS:[Modo]  ; Provvede ad attivare il  MODO VIDEO desiderato
        MOV     AH,00H        ; SENZA  effettuare  il ClearScreen.
        INT     10H           ;
        CALL    VIA_cur       ;
        MOV     DX,0000H      ;
        CALL    SET_cur       ; Stampa il primo  Testo di commento sulla prima
  MOV Byte Ptr CS:[ATTRIB],0FH; riga con Colore BIANCO BRILLANTE su NERO
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ;
        MOV     DL,23         ;
        MOV     DH,00         ;
        CALL    SET_cur       ;
  MOV Byte Ptr CS:[ATTRIB],0EH; Chiude il  messaggio  con la sua parte  finale
        MOV     AL,"0"        ; evidenziando il numero  del MODO corrente  con
        CALL    BIOchr1       ; Colore GIALLO su NERO
        MOV     AL,CS:[Modo]  ;
        SUB     AL,50H        ;
        CALL    BIOchr1       ;
        MOV     DL,28         ;
        MOV     DH,00         ;
        CALL    SET_cur       ;
        POP     DI            ;
        MOV     AL,CS:[DI]    ;
        CALL    BIOchr1       ; Stampa il numero di linee di scansione corren-
        MOV     AL,CS:[DI+1]  ; ti con Colore GIALLO su NERO
        CALL    BIOchr1       ;
        MOV     AL,"0"        ;
        CALL    BIOchr1       ;
        MOV     DX,0100H      ;
  MOV Byte Ptr CS:[ATTRIB],0FH;
        MOV     CX,24         ;
Prova_: CALL    SET_cur       ;
        LEA     SI,Testo2     ;
        CALL    BIOSmsg       ; Riempie la pagina con tutti i caratteri possi-
        MOV     AL,CS:[Modo]  ; bili con Colore BIANCO BRILLANTE su NERO
        CMP     AL,02H        ;
        JB      Prova__       ;
        LEA     SI,Testo2     ;
        CALL    BIOSmsg       ;
Prova__:INC     DH            ;
        LOOP    Prova_        ;

        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_1230 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],80H;|MODO TESTO STANDARD|AL=80H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],81H;|MODO TESTO STANDARD|AL=81H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],82H;|MODO TESTO STANDARD|AL=82H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],83H;|MODO TESTO STANDARD|AL=83H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
        MOV     AL,03H        ;
        MOV     AH,00H        ;Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        CALL    RIP_cur       ;
        MOV     AH,4CH        ; Torna al DOS
        INT     21H           ;

B10_1230 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
