PAGE 66,132
TITLE ** B10_1236.ASM -  Programma per il controllo  del "refresh"  del  Video
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1236.ASM                         (INT 10H, Funzione 12H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione nel MODO GRAFICO 13H stan-|
;|               dard, con la scrittura diretta in RAM VIDEO di circa 20  mi-|
;|               lioni di Pixel; la prova NON ha evidenziato sostanziali dif-|
;|               ferenze di tempo tra la scrittura con e senza "refresh".  La|
;|               stessa prova condotta in MODO TESTO 03H standard ancora  con|
;|               la scrittura diretta in RAM VIDEO (naturalmente nel Segmento|
;|               B800H) di 20 milioni di bytes ha confermato tempi  del tutto|
;|               simili con e senza "refresh".                               |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   BIObeep:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1236

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB      0FH           ;Attributo di Colore
Testo1  DB "Scrive  19200000  Pixel  CON  Refresh",00H
Testo2  DB "Scrive  19200000  Pixel SENZA Refresh",00H
Testo3  DB "*** Premere un tasto  per partire ***",00H
Testo4  DB " La prova  finita: Premere un tasto ",00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : Prova                                                       |
;| DESCRIZIONE : Stampa una serie di 19200000 Pixel colorati.                |
;\---------------------------------------------------------------------------/
Prova:  PUSH    AX
        MOV     AL,13H        ;/--[256 colori]-----*------*-----*----*-------\
        MOV     AH,00H        ;|MODO GRAFICO STAND.|AL=13H|40x25|8x8 |320x200|
        INT     10H           ;\-------------------*------*-----*----*-------/
        MOV     DX,0202H      ; /--------------------------------------------\
        CALL    SET_cur       ; |                                            |
  MOV Byte Ptr CS:[ATTRIB],0FH; |                                            |
        CALL    BIOSmsg       ; |                                            |
        MOV     DX,0402H      ; |    Messaggio per dare inizio alla prova    |
        CALL    SET_cur       ; |                                            |
        LEA     SI,Testo3     ; |                                            |
        CALL    BIOSmsg       ; |                                            |
        CALL    BIObeep       ; |                                            |
        CALL    KEYwait       ; \--------------------------------------------/
        POP     AX            ; Abilita (con AL=00H) o disabilita (con AL=01H)
        MOV     BL,36H        ; l'aggiornamento dell'immagine presente sul mo-
        MOV     AH,12H        ; nitor sulla base del contenuto della  RAM  del
        INT     10H           ; VIDEO ("refresh")(AL viene fornito in ingesso)
        PUSH    ES            ; Per essere significativa la Prova deve  essere
        MOV     AX,0A000H     ; condotta con accesso  diretto  alla  RAM Video
    ;   MOV     AX,0B800H     ; NB: se si desidera provare in MODO TESTO  ov-
        MOV     ES,AX         ; viamente necessario cambiare 0A000H con 0B800H
        MOV     CX,300        ; (#)
        MOV     AH,00H        ;
Prova0: PUSH    CX            ;
        PUSH    AX            ;
        MOV     CX,320*200    ; (*)
        MOV     DI,0000H      ; Stampa 19200000 Pixel colorati con  colore  di
Prova1: MOV     ES:[DI],AH    ; volta in  volta  diverso
        INC     AH            ;
        INC     DI            ; NB: se si desidera provare in MODO TESTO  con-
        LOOP    Prova1        ;     viene sostituire i valori di CX in (#) (*)
        POP     AX            ;     rispettivamente con 5000 e 4000,  cos  da
        ADD     AH,5          ;     mantenere la Prova su 20 milioni  di bytes
        POP     CX            ;
        LOOP    Prova0        ;
        POP     ES            ;
        CALL    BIObeep       ;
        MOV     BL,36H        ; Riabilita il "refresh"  dell'immagine presente
        MOV     AL,00H;abilita; sul monitor sulla base del contenuto della RAM
        MOV     AH,12H        ; del VIDEO per poter vedere i messaggi seguenti
        INT     10H           ;
        MOV     DX,0402H      ; /--------------------------------------------\
        CALL    SET_cur       ; |                                            |
  MOV Byte Ptr CS:[ATTRIB],0FH; |           Messaggio di FINE prova          |
        LEA     SI,Testo4     ; |                                            |
        CALL    BIOSmsg       ; |                                            |
        CALL    KEYwait       ; \--------------------------------------------/
        RET




;*****************************************************************************
                              ; ----------------------------------------------
B10_1236 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        LEA     SI,Testo1     ; Disabilita il "refresh" dell'immagine presente
        MOV     AL,01H;disabil; sul monitor
        CALL    Prova         ;
        LEA     SI,Testo2     ; Abilita il  "refresh"  dell'immagine  presente
        MOV     AL,00H;abilita; sul monitor
        CALL    Prova         ;
        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        CALL    RIP_cur       ;
        MOV     DH,23         ; Torna al DOS con la memoria liberata e con la
        MOV     DL,0          ; chiusura di tutti i file; cede  il  controllo
        CALL    SET_cur       ; al processo padre (generalmente COMMAND.COM)
        MOV     AH,4CH        ;
        INT     21H           ;

B10_1236 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
