PAGE 66,132
TITLE ** B10_13__.ASM - Programma per la stampa di  stringhe  a  livello  BIOS
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_13__.ASM                         (INT 10H, Funzione 13H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione.                          |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   KEYwait:NEAR


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_13__


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
; Notare come  possibile lasciare al compilatore  il compito di calcolare  la
; LUNGHEZZA del messaggio che si desidera stampare !

Testo1  DB " Testo di prova con Colore assunto da BL "
Tst1LEN EQU  $-OFFSET Testo1

;Testo2 DB " Testo di prova con Colore assunto dalla stringa "
Testo2  DB " ",70H,"T",70H,"e",70H,"s",70H,"t",70H,"o",70H," ",70H,"d",71H
        DB "i",71H," ",71H,"p",72H,"r",72H,"o",72H,"v",72H,"a",72H," ",72H
        DB "c",73H,"o",73H,"n",73H," ",73H,"C",74H,"o",74H,"l",74H,"o",74H
        DB "r",74H,"e",74H," ",74H,"a",75H,"s",75H,"s",75H,"u",75H,"n",75H
        DB "t",75H,"o",75H," ",75H,"d",7EH,"a",7EH,"l",7EH,"l",7EH,"a",7EH
        DB " ",7EH,"s",7FH,"t",7FH,"r",7FH,"i",7FH,"n",7FH,"g",7FH,"a",7FH
        DB " ",7FH
Tst2LEN EQU  $-OFFSET Testo2


;*****************************************************************************
                              ; ----------------------------------------------
B10_13__ proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScerre con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        PUSH    ES            ;
        MOV     AX,CS         ; Prepara il Puntatore alla stringa ES:BP = CS:BP
        MOV     ES,AX         ;

        MOV     CX,Tst1LEN    ; Funzione BIOS che stampa la stringa puntata da
        LEA     BP,Testo1     ; ES:BP nel punto DH=riga, DL=colonna, nella pa-
        MOV     DH,02H ;Riga  ; gina indicata da BH e con colore BL; la strin-
        MOV     DL,02H ;Colonn; ga  lunga CX caratteri
        MOV     BH,00H ;Pagina; /--------------------------------------------\
        MOV     BL,1FH ;Colore; |Collaudo della  Prima  SottoFunzione, AL=00H|
        MOV     AL,00H ;SottoS; *--------------------------------------------*
        MOV     AH,13H        ; |1) assume il colore direttamente da BL      |
        INT     10H           ; |2) NON aggiorna la posizione del Cursore    |
        CALL    KEYwait       ; \--------------------------------------------/

        MOV     CX,Tst1LEN    ; Funzione BIOS che stampa la stringa puntata da
        LEA     BP,Testo1     ; ES:BP nel punto DH=riga, DL=colonna, nella pa-
        MOV     DH,04H ;Riga  ; gina indicata da BH e con colore BL; la strin-
        MOV     DL,02H ;Colonn; ga  lunga CX caratteri
        MOV     BH,00H ;Pagina; /--------------------------------------------\
        MOV     BL,1FH ;Colore; |Collaudo della  Prima  SottoFunzione, AL=01H|
        MOV     AL,01H ;SottoS; *--------------------------------------------*
        MOV     AH,13H        ; |1) assume il colore direttamente da BL      |
        INT     10H           ; |2) aggiorna la posizione del Cursore        |
        CALL    KEYwait       ; \--------------------------------------------/
                              ; Funzione BIOS che stampa la stringa puntata da
        MOV     CX,Tst2LEN    ; ES:BP nel punto DH=riga, DL=colonna, nella pa-
        SHR     CX,1          ; gina indicata da BH e con colore BL; la strin-
        LEA     BP,Testo2     ; ga  lunga CX caratteri (i byte  di  attributo
        MOV     DH,06H ;Riga  ; non contano per cui Tst2LEN va diviso per 2!!)
        MOV     DL,02H ;Colonn; /--------------------------------------------\
        MOV     BH,00H ;Pagina; |Collaudo della  Prima  SottoFunzione, AL=02H|
        MOV     AL,02H ;SottoS; *--------------------------------------------*
        MOV     AH,13H        ; |1) assume colore direttamente dalla stringa |
        INT     10H           ; |2) NON aggiorna la posizione del Cursore    |
        CALL    KEYwait       ; \--------------------------------------------/
                              ; Funzione BIOS che stampa la stringa puntata da
        MOV     CX,Tst2LEN    ; ES:BP nel punto DH=riga, DL=colonna, nella pa-
        SHR     CX,1          ; gina indicata da BH e con colore BL; la strin-
        LEA     BP,Testo2     ; ga  lunga CX caratteri (i byte  di  attributo
        MOV     DH,08H ;Riga  ; non contano per cui Tst2LEN va diviso per 2!!)
        MOV     DL,02H ;Colonn; /--------------------------------------------\
        MOV     BH,00H ;Pagina; |Collaudo della  Prima  SottoFunzione, AL=03H|
        MOV     AL,03H ;SottoS; *--------------------------------------------*
        MOV     AH,13H        ; |1) assume colore direttamente dalla stringa |
        INT     10H           ; |2) aggiorna la posizione del Cursore        |
        CALL    KEYwait       ; \--------------------------------------------/
        POP     ES            
        MOV     AH,4CH        ;Torna al DOS
        INT     21H           
                              ;/---------------------------------------------\
B10_13__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
