; questo programma insegna anche il modo di gestire dati dinamici su pi
; colonne in modo ciclico !!!!!!

; Nei MODI GRAFICI sono usati TUTTI i 256 Registri di Colore del DAC;
; naturalmente  necessario poter valutare i dati in modo TESTO e poich questa
; modalit video utilizza solo i primi 64 Registri di Colore, tra l'altro con
; valori diversi, poenedo a 00H i rimanenti 192, al fine di evitare la
; visualizzazione di dati scorretti il valore reale di ciascuno di loro
;  prevenivamente assunto nella Tabella interna in modo grafico 13H, dopodich
; si torna al MODO TESTO STANDARD per l'analisi dei dati

; per il collaudo del programma conviene lanciare "B10g1015" dopo aver lanciato
; i programmi "COLORE" o "GRIGI" per vedere come le funzioni in parola carichino
; i Registri del DAC con terne di colore o terne di valori calcolati con la
; solita formula in gradazioni appartenenti alla Scala dei Grigi

;/---------------------------------------------------------------------------\
;|La versione per il capitolo di grafica  la stessa solo che viene prima
;|attivato il modo 13H per caricare tutti e 256 registri dac con valori
;|significativi; il lancio dei programmi "COLORE" o "GRIGI"  ancora molto
;|utile per la prova
;\---------------------------------------------------------------------------/

PAGE 66,132
TITLE ** B10g1017.ASM -  Legge un blocco di Registri Colore del DAC
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10g1017.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 17H): l'esempio|
;|               proposto analizza in blocco il contenuto di tutti i 256  Re-|
;|               gistri di Colore del DAC, organizzando  la  visualizzazione |
;|               delle rispettive terne di codici di colore RVB.             |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10g1017


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
TabCol DB  256*3 dup (00H)    ;256=64*4 Terne, Componenti RVB, Rosso-Verde-Blu
ATTRIB DB   00H
Out_0  DB "                       Premere  "                             ,00H
Out_1  DB                                 "un tasto"                     ,00H
Out_2  DB                        "  per continuare                     " ,00H
Text0  DB " Lettura dei Codici di Colore del DAC a LIVELLO BIOS "
       DB                                                   "in MODO GRAFICO"
Text1  DB                                  "           "                 ,00H
Corn0  DB "Ŀ   "                                         ,00H
Corn1  DB "RegRosVerBlu   "                                         ,00H
Corn2  DB "Ĵ   "                                         ,00H
Corn3  DB "               "                                         ,00H
Corn4  DB "   "                                         ,00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : Riga                                                        |
;| DESCRIZIONE : Visualizza i valori correnti delle terne correnti presenti  |
;|               sulla Riga di dati corrente                                 |
;\---------------------------------------------------------------------------/
Riga:   M_COLOR 0FH           ;\
        CALL    SET_cur       ;|
        PUSH    BX            ;|
        MOV     AL,BL         ;|BL=Registro di Colore del DAC
        CALL    Byt2Asc       ;|
        MOV     AL,"H"        ;|
        CALL    BIOchr1       ;/
        ADD     DL,04         ;\
        CALL    SET_cur       ;|
        M_COLOR 4FH           ;|
        MOV     AL,CS:[DI]    ;|Rosso
        INC     DI            ;|
        CALL    Byt2Asc       ;|
        MOV     AL,"H"        ;|
        CALL    BIOchr1       ;/
        ADD     DL,04         ;\
        CALL    SET_cur       ;|
        M_COLOR 2FH           ;|
        MOV     AL,CS:[DI]    ;|Verde
        INC     DI            ;|
        CALL    Byt2Asc       ;|
        MOV     AL,"H"        ;|
        CALL    BIOchr1       ;/
        ADD     DL,04         ;\
        CALL    SET_cur       ;|
        M_COLOR 1FH           ;|
        MOV     AL,CS:[DI]    ;|Blu
        INC     DI            ;|
        CALL    Byt2Asc       ;|
        MOV     AL,"H"        ;|
        CALL    BIOchr1       ;/
        POP     BX            ;
        INC     BX            ;
        RET                   ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdati                                                     |
;| DESCRIZIONE : Visualizza i valori di tutte le terne correnti              |
;\---------------------------------------------------------------------------/
STAdati:PUSH    CX            ;\
        MOV     CX,16         ;|
        MOV     DH,5          ;|
STAda0: INC     DH            ;|Prima Colonna
        MOV     DL,2          ;|
        CALL    Riga          ;|
        LOOP    STAda0        ;/
        MOV     CX,16         ;\
        MOV     DH,5          ;|
STAda1: INC     DH            ;|Seconda Colonna
        MOV     DL,22         ;|
        CALL    Riga          ;|
        LOOP    STAda1        ;/
        MOV     CX,16         ;\
        MOV     DH,5          ;|
STAda2: INC     DH            ;|Terza Colonna
        MOV     DL,42         ;|
        CALL    Riga          ;|
        LOOP    STAda2        ;/
        MOV     CX,16         ;\
        MOV     DH,5          ;|
STAda3: INC     DH            ;|Quarta Colonna
        MOV     DL,62         ;|
        CALL    Riga          ;|
        LOOP    STAda3        ;/
        CALL    KEYwait       ;
        POP     CX            ;
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10g1017 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
       ;/--------------------------------------------------------------------\
       ;|Nei MODI GRAFICI sono usati TUTTI i 256 Registri di Colore  del DAC;|
       ;|naturalmente  necessario poter valutare i dati in modo TESTO e poi-|
       ;|ch questa modalit video utilizza solo i primi 64 Registri di Colo-|
       ;|re, tra l'altro con valori diversi, ponenedo a 00H i rimanenti  192,|
       ;|al fine di evitare la visualizzazione di  dati  scorretti, il valore|
       ;|reale di ciascuno di loro  prevenivamente assunto nella Tabella in-|
       ;|terna in MODO GRAFICO 13H, dopodich si torna al MODO TESTO STANDARD|
       ;|per l'analisi dei dati                                              |
       ;\--------------------------------------------------------------------/
        MOV     AL,93H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,00H        ; |MODO 13H|40x25|8x8 |320x200|256 colori  |VGA|
        INT     10H           ; \--------*-----*----*-------*------------*---/
        PUSH    ES            ; /--------------------------------------------\
        MOV     AX,CS         ; |Lettura del Registri di Colore DAC corrente |
        MOV     ES,AX         ; \--------------------------------------------/
        LEA     DX,TabCol     ;
        MOV     CX,256        ; Funzione BIOS che legge  il  contenuto di  CX
        MOV     BX,0          ; Registri di Colore del DAC del Video a partire
        MOV     AL,17H        ; da quello di ordine BX; i valori sono  scritti
        MOV     AH,10H        ; in terne  Rosso-Verde-Blu  dentro  la  Tabella
        INT     10H           ; puntata da ES:DX, opportunamente predisposta
        POP     ES            ;
        MOV     AL,03H        ; -------------------*------*-----*----*-------\
        MOV     AH,00H        ; MODO TESTO STANDARD|AL=03H|80x25|8x16|640x400|
        INT     10H           ; -------------------*------*-----*----*-------/
        CALL    VIA_cur       ; /--------------------------------------------\
        MOV     DH,03         ; |                                            |
        M_msgC  Corn0,DH,1,0FH; |                                            |
        MOV     CX,3          ; |                                            |
XXX00:  M_msgN  Corn0         ; |                                            |
        LOOP    XXX00         ; |                                            |
        M_msgN  Corn0         ; |                                            |
        INC     DH            ; |                                            |
        M_msgC  Corn1,DH,1,0FH; |                                            |
        MOV     CX,3          ; |                                            |
XXX01:  M_msgN  Corn1         ; |                                            |
        LOOP    XXX01         ; |                                            |
        INC     DH            ; |                                            |
        M_msgC  Corn2,DH,1,0FH; |      Predispone le cornici di prova        |
        MOV     CX,3          ; |                                            |
XXX02:  M_msgN  Corn2         ; |                                            |
        LOOP    XXX02         ; |                                            |
        MOV     CX,16         ; |                                            |
XXX03:  PUSH    CX            ; |                                            |
        INC     DH            ; |            /------*---*---\               |
        M_msgC  Corn3,DH,1,0FH; |            |RegRos|Ver|Blu|               |
        MOV     CX,3          ; |            *------*---*---*               |
XXX04:  M_msgN  Corn3         ; |            |  H  H|  H|  H|               |
        LOOP    XXX04         ; |            \------*---*---/               |
        POP     CX            ; |                                            |
        LOOP    XXX03         ; |                                            |
        INC     DH            ; |                                            |
        M_msgC  Corn4,DH,1,0FH; |                                            |
        MOV     CX,3          ; |                                            |
XXX05:  M_msgN  Corn4         ; |                                            |
        LOOP    XXX05         ; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; \--------------------------------------------/
        LEA     DI,TabCol     ;
        MOV     BX,0          ;
        MOV     CX,4          ; Stampa completa dei Dati
XXX06:  CALL    STAdati       ;
        LOOP    XXX06         ;
_OUT:   M_msgC Text1,24,1,0FH ; ---------------------------------------------
        MOV     CX,06         ;
XXX07:  M_msgN  Text1         ;
        LOOP    XXX07         ;
        CALL    RIP_cur       ;
        MOV     DH,23         ;     FASE STANDARD D'USCITA DAL PROGRAMMA
        MOV     DL,0          ;
        CALL    SET_cur       ;
        MOV     AH,4CH        ;
        INT     21H           ; ---------------------------------------------

B10g1017 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
