PAGE 66,132
TITLE ** B10_05__.ASM - Programma per la gestione di  Pagine Video alternative
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_05__.ASM                         (INT 10H, Funzione 05H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della funzione selezionando  in  sequenza|
;|               le otto pagine video previste dal  MODO TESTO 03H (default);|
;|               viene mostrato un breve messaggio opportunamente predisposto|
;|               in ciascuna delle pagine alternative.                       |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN      KEYwait:NEAR

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_05__

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
TESTO1  DB "             Stiamo vedendo il contenuto"
        DB " della PAGINA VIDEO N               "   ,00H
Pagina  DB 07H


;*****************************************************************************
                              ; ----------------------------------------------
B10_05__ proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     AL,03H        ;
        MOV     AH,00H        ; Impone la  pulizia  delle  otto  pagine  Video
        INT     10H           ;
                              ; ---------------------------------------------
                              ;     Fase di predisposizione  dei Messaggi
                              ; ---------------------------------------------
        MOV     CX,7          ; Predisposizione  per   sette  pagine  (esclusa
XXX00:  PUSH    CX            ; quella corrente, Pagina0) a  cominciare  dalla
        MOV     CS:[Pagina],CL; settima
        LEA     SI,TESTO1     ;
        MOV     DL,0          ; Provvede ad aggiornare il Cursore nella pagina
XXX01:  MOV     DH,10         ; attualmente attiva (la  Funzione  09H  NON  lo
        INC     DL            ; fa'); si stampa sulla riga 10 a  partire dalla
        MOV     BH,CS:[Pagina]; Colonna 1;in ingresso CS:SI puntano la stringa
        MOV     AH,02H        ;
        INT     10H           ;

        MOV     AL,CS:[SI]    ;
        CMP     AL,00H        ;
        JZ      XXX02         ;
        PUSH    SI            ; Scorre la stringa da stampare, sempre la stes-
        MOV     CX,1          ; sa in ogni pagina VIDEO possibile, con l'aiuto
        MOV     BH,CS:[Pagina]; della Funzione 09H che stampa a colori (BL) ma
        MOV     BL,1FH        ; non aggiorna il Cursore; la pagina  corrente 
        MOV     AH,09H        ; disponibile ancora in BH
        INT     10H           ;
        POP     SI            ;
        INC     SI            ;
        JMP     SHORT XXX01   ;

XXX02:  MOV     BH,CS:[Pagina]; Recupera la corretta posizione di  stampa  del
        MOV     DH,10         ; numero di pagina nel punto pi adatto tra  gli
        SUB     DL,14         ; spazi finali della stringa, per esclusivo vez-
        MOV     AH,02H        ; zo estetico
        INT     10H           ;
        MOV     BL,1FH        ;
        MOV     BH,CS:[Pagina];
        MOV     AL,BH         ; Aggiunge alla stringa un fattore  di  persona-
        ADD     AL,30H        ; lizzazione, il numero della pagina VIDEO  cor-
        MOV     AH,09H        ; rente, opportunamente trasformato in ASCII
        MOV     CX,1          ;
        INT     10H           ;
        POP     CX
        LOOP    XXX00
                              ; ---------------------------------------------
                              ;     Fase di collaudo della Funzione 05H
                              ; ---------------------------------------------
        MOV     CX,7          ; redisposizione il collaudo  per  sette  pagine
XXX03:  PUSH    CX
        MOV     AL,CL         ; Funzione BIOS seleziona e mostra  il  contenuto
        MOV     AH,05H        ; di una delle possibili  pagine  video  previste
        INT     10H           ; dal modo video corrente e specificata da  AL
                              ;
        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
                              ;
        POP     CX            ; Prosegue stampando un Cursore sempre pi gran-
        LOOP    XXX03         ; de

        MOV     AH,4CH        ; Torna al DOS
        INT     21H           ;

B10_05__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
