PAGE 66,132
TITLE ** B10_07gr.ASM - Programma per la gestione di FINESTRE in Pagina Video0
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_07gr.ASM                         (INT 10H, Funzione 07H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione in MODO GRAFICO: sposta in|
;|               basso aree di AL righe di bytes dentro una Finestra in Pagi-|
;|               na0 limitata tra i punti in alto a sinistra (CH riga, CL co-|
;|               lonna) e in basso a destra (DH riga,DL colonna) riempita con|
;|               linee di scansione di colore BH che, data  la  diversit dei|
;|                                                                           |
;|               MODI GRAFICI, viene cambiato ogni volta:                    |
;|              02H=ROSA    A STRISCE MODI a    4 colori     04H/05H         |
;|              01H=BIANCO  A STRISCE MODO mono bassa risol. 06H             |
;|              04H=ROSSO    COMPATTO MODI a   16 colori     0DH,0EH,10H,12H |
;|              01H=BIANCO   COMPATTO MODO mono alta risol.  0FH,11H         |
;|              3AH=VIOLETTO COMPATTO MODO a  256 colori     13H             |
;|                                                                           |
;|             /------*------------------*-----*-----*-----------*------*---\|
;|             | MODO |   RISOLUZIONE    |ORIZ.|VERT.|   COLORE  |PAGINA|   ||
;|             |      |     GRAFICA      | CX  | DX  | AL        |BH    |   ||
;|             *------*-----*----*-------*-----*-----*-----*-----*---*--*---*|
;|             |AL=04H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=05H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=06H|80x25|8x8 |640x200|0-639|0-199|0-1  |mono | 0 |1 |CGA||
;|             |AL=0DH|40x25|8x8 |320x200|0-319|0-199|0-15 | 16  |0-7|8 |EGA||
;|             |AL=0EH|80x25|8x8 |640x200|0-639|0-199|0-15 | 16  |0-3|4 |EGA||
;|             |AL=0FH|80x25|8x14|640x350|0-639|0-349|0-1  |mono |0-1|2 |EGA||
;|             |AL=10H|80x25|8x14|640x350|0-639|0-349|0-15 | 16  |0-1|2 |EGA||
;|             |AL=11H|80x30|8x16|640x480|0-639|0-479|0-1  |mono |0-1|2 |VGA||
;|             |AL=12H|80x30|8x16|640x480|0-639|0-479|0-15 | 16  |0-1|2 |VGA||
;|             |AL=13H|40x25|8x8 |320x200|0-319|0-199|0-255| 256 | 0 |1 |VGA||
;|             \------*-----*----*-------*-----*-----*-----*-----*---*--*---/|
;|                                                                           |
;|               Con l'occasione vengono collaudate nei MODI GRAFICI le  Pro-|
;|               cedure di Libreria adatte alla gestione di stampa di  carat-|
;|               teri a livello BIOS ("BIOchr1",  usata anche da "Byt2Asc"  e|
;|               "BIOSmsg") e "SET_cur", per la gestione della posizione  del|
;|               Cursore (che, anche se non si vede, pu essere fissato nella|
;|               coordinata carattere desiderata).                           |
;| /---------\ /------------------------------------------------------------\|
;| |         | |Il lettore pu cambiare il valore posto in AL in  corrispon-||
;| |   NB:   | |denza dell'etichetta "Cambia", al fine di  verificare  l'ef-||
;| |         | |fetto di diversi codici di "colore" con altri MODI GRAFICI. ||
;| \---------/ \------------------------------------------------------------/|
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN    SET_cur:NEAR
        EXTRN    BIOSmsg:NEAR
        EXTRN    Byt2Asc:NEAR
        EXTRN    BIOchr1:NEAR
        EXTRN    KEYwait:NEAR
        PUBLIC   ATTRIB


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_07gr


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
RigaAlto DB     00H           ;Numero della   Riga  in alto a sinistra
ColnAlto DB     00H           ;Numero della Colonna in alto a sinistra
RigaBass DB     00H           ;Numero della   Riga  in basso a  destra
ColnBass DB     00H           ;Numero della Colonna in basso a  destra
Colore   DB     00H           ;Codice dell'attributo di colore utilizzato
NumRighe DB     00H           ;Numero di righe previsto per la Finestra
Testo1   DB " Test in MODO ",00H
Testo2   DB "H, Premi un tasto ",00H
ATTRIB   DB     00H           ;Attributo di colore per la Libreria


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : Scroll                                                      |
;| DESCRIZIONE : Inizializza la Funzione sotto test assumendo i parametri  ad|
;|               essa necessari dalle variabile del programma: le  coordinate|
;|               dell'angolo in alto a  sinistra  da [RigaAlto],[ColnAlto]  e|
;|               dell'angolo in basso  a  destra da [RigaBass],[ColnBass]; il|
;|               colore con cui riempire la Finestra da [Colore] e il  numero|
;|               di righe da spostare da [NumRighe]; esegue poi la Funzione. |
;\---------------------------------------------------------------------------/
Scroll: MOV   CH,CS:[RigaAlto];
        MOV   CL,CS:[ColnAlto];
        MOV   DH,CS:[RigaBass]; La Funzione 07H viene ora collaudata per  pro-
        MOV   DL,CS:[ColnBass]; durre una serie di Finestre concentriche otte-
        MOV   BH,CS:[Colore]  ; nute manipolando dinamicamente i  parametri ad
        MOV   AL,CS:[NumRighe]; essa necessari
        MOV     AH,07H        ;
        INT     10H           ;
        RET

;/---------------------------------------------------------------------------\
;| PROCEDURA   : SETmodo                                                     |
;| DESCRIZIONE : Predispone il MODO GRAFICO desiderato, assumendone il numero|
;|               dal registro AL; data la diversit dei MODI GRAFICI possibi-|
;|               li assume da AH un colore di volta in volta diverso, in modo|
;|               coerente (BIANCO/monocromatico; ROSA/4 colori;  ROSSO/16 co-|
;|               lori e VIOLETTO/256 colori); dopo la stampa dei Testi rimane|
;|               in attesa della pressione di un tasto qualunque.            |
;\---------------------------------------------------------------------------/
SEtmodo:PUSH    AX            ;
        MOV     AH,00H        ;
        INT     10H           ; Fissa il MODO VIDEO GRAFICO desiderato ed ese-
        POP     AX            ; il ClearScreen usando il codice colore ricevu-
        PUSH    AX            ; to in ingresso in AH (lasciato anche nella va-
        MOV     CS:[Colore],AH; riabile [ATTRIB] a beneficio  della "BIOchr1")
        MOV     CS:[ATTRIB],AH;
        CALL    Scroll        ;
        MOV     DH,12         ;
        MOV     DL,03         ; Collauda in ambiente grafico la Procedura del-
 CMP Byte Ptr CS:[ColnBass],39; la Libreria che opera il puntamento del Curso-
        JZ      SETmod_       ; re, fissando una posizione che dipende dal nu-
        ADD     DL,20         ; mero di  colonne  del  MODO  GRAFICO  corrente
SETmod_:CALL    SET_cur       ;
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ; Mostra il messaggio di presentazione del test
        POP     AX            ; e al tempo stesso collauda le Procedure della
        CALL    Byt2Asc       ; Libreria "GIOBE.LIB" che stampano caratteri e
        LEA     SI,Testo2     ; messaggi a livello BIOS in  ambiente grafico;
        CALL    BIOSmsg       ; Aspetta  poi   la   pressione   di  un  tasto
        CALL    KEYwait       ;
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_07gr proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
                              ;/---------------------------------------------\
                              ;| Inizializza le Variabili per il ClearScreen |
                              ;\---------------------------------------------/
 MOV Byte Ptr CS:[RigaAlto],00; Inizializza il Numero Riga  in alto a sinistra
 MOV Byte Ptr CS:[ColnAlto],00; Inizializza il Numero Colonna in alto sinistra
 MOV Byte Ptr CS:[NumRighe],00; Inizializza il Numero di righe per la Finestra

 MOV Byte Ptr CS:[RigaBass],24; Inizializza Numero  Riga   per MODI a 25 righe
 MOV Byte Ptr CS:[ColnBass],39; Inizializza Numero Colonna per MODI a 40 colon
        MOV     AL,04H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 04H|40x25|8x8 |320x200| 4 colori   |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,05H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 05H|40x25|8x8 |320x200| 4 grigi    |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0DH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0DH|40x25|8x8 |320x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
 MOV Byte Ptr CS:[ColnBass],79; Inizializza Numero Colonna per MODI a 80 colon
        MOV     AL,06H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 06H|80x25|8x8 |640x200|bianco/nero |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0EH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0EH|80x25|8x8 |640x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0FH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 0FH|80x25|8x14|640x350|monocrimatic|EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,10H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 10H|80x25|8x14|640x350|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
 MOV Byte Ptr CS:[RigaBass],29; Inizializza Numero  Riga   per MODI a 30 righe
        MOV     AL,11H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 11H|80x30|8x16|640x480|monocromatic|VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,12H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 12H|80x30|8x16|640x480|16 colori   |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
 MOV Byte Ptr CS:[RigaBass],24; Inizializza Numero  Riga   per MODI a 25 righe
 MOV Byte Ptr CS:[ColnBass],39; Inizializza Numero Colonna per MODI a 40 colon
Cambia: MOV     AL,13H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,3AH        ; |MODO 13H|40x25|8x8 |320x200|256 colori  |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/

                              ; ---------------------------------------------\
                              ;  Fase di collaudo traccia di finestre Interne|
                              ; ---------------------------------------------/
                              ; Predispone  il  collaudo  per  undici finestre
        MOV     CX,11         ; in MODO 13H (40x25,8x8,320x200,256 colori,VGA)
                              ; ATTENZIONE!!  E`  un  MODO  a  40  righe !!!
XXX00:  PUSH    CX
        INC     CS:[RigaAlto] ;
        INC     CS:[ColnAlto] ; Aggiorna le cinque variabili associate ai  pa-
        DEC     CS:[RigaBass] ; rametri necessari alla Funzione 07H in modo da
        DEC     CS:[ColnBass] ; predisporre una serie di cornici  concentriche
        INC     CS:[Colore]   ;
                              ; La Funzione 07H viene ora collaudata per  pro-
        CALL    Scroll        ; durre una serie di Finestre concentriche otte-
        CALL    KEYwait       ; nute manipolando dinamicamente i  parametri ad
                              ; essa necessari
        POP     CX
        LOOP    XXX00
                              ;/---------------------------------------------\
                              ;|Fase di collaudo scrolling dentro la finestra|
                              ;\---------------------------------------------/
        INC     CS:[Colore]   ; Cambia codice di colore
        MOV     CH,00H        ; Calcola in CX il corretto numero di spostamen-
        MOV   CL,CS:[RigaBass]; ti da eseguire dentro l'ultima Finestra  posta
        SUB   CL,CS:[RigaAlto]; a video
        INC     CX            ;
XXX02:  PUSH    CX            ;
 MOV Byte Ptr CS:[NumRighe],01; La Funzione 07H viene attivata per gestire  lo
        CALL    Scroll        ; scrolling delle righe dentro l'ultima finestra
        CALL    KEYwait       ; creata
        POP     CX            ;
        LOOP    XXX02         ;

        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        MOV     AH,4CH        ; Torna al DOS
        INT     21H           
                              
B10_07gr ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
