PAGE 66,132
TITLE ** B10_0Bgr.ASM - Visualizzazione  della   CORNICE   di   sovrascansione
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME       : B10_0Bgr.ASM                          (INT 10H, Funzione 0BH)|
;| AUTORE     : Giorgio OBER                                                 |
;| VERSIONE   : aprile 1991                                                  |
;| REVISIONE  : febbraio 1994                                                |
;| DESCRIZIONE: Nei MODI GRAFICI offre un servizio ormai obsoleto,  riservato|
;|              agli adattatori CGA; con BH=00H il colore specificato in BL |
;|              usato sia per la cornice di sovrascansione che per lo  Sfondo|
;|              dei caratteri; il programma mostra per altro la  funzionalit|
;|              di tale Funzione anche negli altri MODI GRAFICI, per i  quali|
;|              (ad eccezione del MODO 13H) il colore di Primo Piano  comun-|
;|              que scelto tra quelli della tavolozza attiva al momento; data|
;|              la diversit dei MODI GRAFICI  possibili  tale  colore  viene|
;|              viene cambiato ogni volta:                                   |
;|                                                                           |
;|                    BIANCO   per quelli monocromatici                      |
;|                    ROSA     per quelli a    4 colori                      |
;|                    ROSSO    per quelli a   16 colori                      |
;|                    VIOLETTO su ROSSO per quello a  256 colori.            |
;|                                                                           |
;|             /------*------------------*-----*-----*-----------*------*---\|
;|             | MODO |   RISOLUZIONE    |ORIZ.|VERT.|   COLORE  |PAGINA|   ||
;|             |      |     GRAFICA      | CX  | DX  | AL        |BH    |   ||
;|             *------*-----*----*-------*-----*-----*-----*-----*---*--*---*|
;|             |AL=04H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=05H|40x25|8x8 |320x200|0-319|0-199|0-3  | 4   | 0 |1 |CGA||
;|             |AL=06H|80x25|8x8 |640x200|0-639|0-199|0-1  |mono | 0 |1 |CGA||
;|             |AL=0DH|40x25|8x8 |320x200|0-319|0-199|0-15 | 16  |0-7|8 |EGA||
;|             |AL=0EH|80x25|8x8 |640x200|0-639|0-199|0-15 | 16  |0-3|4 |EGA||
;|             |AL=0FH|80x25|8x14|640x350|0-639|0-349|0-1  |mono |0-1|2 |EGA||
;|             |AL=10H|80x25|8x14|640x350|0-639|0-349|0-15 | 16  |0-1|2 |EGA||
;|             |AL=11H|80x30|8x16|640x480|0-639|0-479|0-1  |mono |0-1|2 |VGA||
;|             |AL=12H|80x30|8x16|640x480|0-639|0-479|0-15 | 16  |0-1|2 |VGA||
;|             |AL=13H|40x25|8x8 |320x200|0-319|0-199|0-255| 256 | 0 |1 |VGA||
;|             \------*-----*----*-------*-----*-----*-----*-----*---*--*---/|
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN    SET_cur:NEAR
        EXTRN    BIOSmsg:NEAR
        EXTRN    Byt2Asc:NEAR
        EXTRN    BIOchr1:NEAR
        EXTRN    KEYwait:NEAR
        PUBLIC   ATTRIB

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_0Bgr

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB   0FH              ;Codice d'attributo colore per "BIOchr1"
Colonn  DW 0000H              ;Numero della Colonna corrente di Pixel
Modo    DB   00H              ;Numero della MODO GRAFICO corrente
Bordo_  DB   00H              ;Colore corrente del Bordo/Sfondo
NumPix  DW 0000H              ;Numero di Pixel adatto al MODO GRAFICO corrente
NumColo DW 0000H              ;Numero di Colori previsti dal MODO GRAFICO
Testo1  DB " Test in MODO ",00H
Testo2  DB "H, Premi un tasto ",00H
Testo3  DB "Colore del test:   H",00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAmess                                                     |
;| DESCRIZIONE : Collauda il colore del BORDO nel MODO GRAFICO corrente      |
;\---------------------------------------------------------------------------/
STAmess:MOV     DH,12         ;
        MOV     DL,03         ; Collauda in ambiente grafico la Procedura del-
  CMP Word Ptr CS:[NumPix],320; la Libreria che opera il puntamento del Curso-
        JZ      STAmes0       ; re, fissando una posizione che dipende dal nu-
        ADD     DL,20         ; mero di  colonne  del  MODO  GRAFICO  corrente
STAmes0:CALL    SET_cur       ;
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ; Mostra il messaggio di presentazione del test
        MOV     AL,CS:[Modo]  ; e al tempo stesso collauda le Procedure della
        CALL    Byt2Asc       ; Libreria "GIOBE.LIB" che stampano caratteri e
        LEA     SI,Testo2     ; messaggi a livello BIOS in  ambiente grafico;
        CALL    BIOSmsg       ;
        ADD     DH,02         ;
        MOV     DL,10         ;
  CMP Word Ptr CS:[NumPix],320; Controlla il puntatore in accordo con il MODO
        JZ      STAmes1       ; VIDEO corrente
        ADD     DL,20         ;
STAmes1:CALL    SET_cur       ;
        PUSH    DX            ;
        LEA     SI,Testo3     ;
        CALL    BIOSmsg       ;
        POP     DX            ; Indica il codice colore Bordo/Sfondo corrente
        ADD     DL,17         ;
        CALL    SET_cur       ;
        MOV     AL,CS:[Bordo_];
        CALL    Byt2Asc       ;
        CALL    KEYwait       ; Aspetta  poi   la   pressione   di  un  tasto
        RET

;/---------------------------------------------------------------------------\
;| PROCEDURA   : Bordo                                                       |
;| DESCRIZIONE : Collauda il colore del BORDO nel MODO GRAFICO corrente      |
;\---------------------------------------------------------------------------/
Bordo:  MOV     CX,CS:[NumColo]
Bordo1: PUSH    CX
        DEC     CL
        MOV     AH,0BH        ; Attiva la funzione  0BH  dell'INT 10H eviden-
        MOV     BH,00H        ; ziando con BH=00H che si desidera colorare la
        MOV     BL,CL         ; cornice di sovrascansione del  video  con  il
        MOV     CS:[Bordo_],CL; colore corrispondente al codice passato in BL
        INT     10H           ;
        CALL    STAmess       ;
        POP     CX            ;  Rimane in attesa di un tasto e poi continua
        LOOP    Bordo1        ;
        RET

;/---------------------------------------------------------------------------\
;| PROCEDURA   : SETmodo                                                     |
;| DESCRIZIONE : Predispone il MODO GRAFICO desiderato, assumendone il numero|
;|               dal registro AL; inizializza poi la variabile  [ATTRIB]  con|
;|               il colore assunto da AH, di volta in volta diverso, in  modo|
;|               coerente (BIANCO/monocromatico; ROSA/4 colori;  ROSSO/16 co-|
;|               lori e VIOLETTO/256 colori).                                |
;\---------------------------------------------------------------------------/
SEtmodo:MOV     CS:[Modo],AL  ;
        MOV     CS:[ATTRIB],AH;
        MOV     AH,00H        ; Fissa il MODO VIDEO GRAFICO desiderato
        INT     10H           ;
        CALL    Bordo         ;
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_0Bgr proc  NEAR           ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
   MOV Word Ptr CS:[NumColo],4; Inizializza Numero Colori  previsti  dal  MODO
        MOV    CS:[NumPix],320; Inizializza Numero Colonna per MODI a 40 colon
        MOV     AL,04H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 04H|40x25|8x8 |320x200| 4 colori   |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,05H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,02H        ; |MODO 05H|40x25|8x8 |320x200| 4 colori   |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
  MOV Word Ptr CS:[NumColo],16; Inizializza Numero Colori  previsti  dal  MODO
        MOV     AL,0DH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0DH|40x25|8x8 |320x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV    CS:[NumPix],640; Inizializza Numero Colonna per MODI a 80 colon
   MOV Word Ptr CS:[NumColo],2; Inizializza Numero Colori  previsti  dal  MODO
        MOV     AL,06H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 06H|80x25|8x8 |640x200|bianco/nero |CGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,0FH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 0FH|80x25|8x14|640x350|monocrimatic|EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,11H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,01H        ; |MODO 11H|80x30|8x16|640x480|monocromatic|VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
  MOV Word Ptr CS:[NumColo],16; Inizializza Numero Colori  previsti  dal  MODO
        MOV     AL,0EH        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 0EH|80x25|8x8 |640x200|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,10H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 10H|80x25|8x14|640x350|16 colori   |EGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,12H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,04H        ; |MODO 12H|80x30|8x16|640x480|16 colori   |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV    CS:[NumPix],320; Inizializza Numero Colonna per MODI a 40 colon
 MOV Word Ptr CS:[NumColo],256; Inizializza Numero Colori  previsti  dal  MODO
        MOV     AL,13H        ; /--------*-----*----*-------*------------*---\
        MOV     AH,3AH        ; |MODO 13H|40x25|8x8 |320x200|256 colori  |VGA|
        CALL    SETmodo       ; \--------*-----*----*-------*------------*---/
        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;
                              
        MOV     AH,4CH        ;Torna al DOS
        INT     21H           
                              
B10_0Bgr ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare

