PAGE 66,132
TITLE ** B10_0B__.ASM - Visualizzazione  della   CORNICE   di   sovrascansione
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME       : B10_0B__.ASM                          (INT 10H, Funzione 0BH)|
;| AUTORE     : Giorgio OBER                                                 |
;| VERSIONE   : gennaio 1997                                                 |
;| DESCRIZIONE: Permette di attivare la cornice esterna del video dovuta alla|
;|              sovrascansione, nel colore passato in BL                     |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN    SET_cur:NEAR
        EXTRN    VIA_cur:NEAR
        EXTRN    RIP_cur:NEAR
        EXTRN    BIOSmsg:NEAR
        EXTRN    Byt2Asc:NEAR
        EXTRN    BIOchr1:NEAR
        EXTRN    KEYwait:NEAR
        PUBLIC   ATTRIB

;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_0B__

;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB   0FH              ;Codice d'attributo colore per "BIOchr1"
Bordo_  DB   00H              ;Colore corrente del Bordo/Sfondo
Testo1  DB "Colore del test:   H, Premi un tasto ",00H


;*****************************************************************************
                              ; ----------------------------------------------
B10_0B__ proc  NEAR           ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        CALL    VIA_cur       ; Evita la visualizzazione del Cursore
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScreen con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        MOV     CX,16
XXX00:  PUSH    CX
        DEC     CL
        MOV     AH,0BH        ; Attiva la funzione  0BH  dell'INT 10H eviden-
        MOV     BH,00H        ; ziando con BH=00H che si desidera colorare la
        MOV     BL,CL         ; cornice di sovrascansione del  video  con  il
        MOV     CS:[Bordo_],CL; colore corrispondente al codice passato in BL
        INT     10H           ;
        MOV     DH,12         ;
        MOV     DL,22         ;
        CALL    SET_cur       ;
        PUSH    DX            ;
        LEA     SI,Testo1     ;
        CALL    BIOSmsg       ; Mostra il messaggio di presentazione del test
        POP     DX            ; Indica il codice colore Bordo/Sfondo corrente
        ADD     DL,17         ;
        CALL    SET_cur       ;
        MOV     AL,CS:[Bordo_];
        CALL    Byt2Asc       ;

        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto

        POP     CX
        LOOP    XXX00

        CALL    RIP_cur       
        MOV     AH,4CH        ;Torna al DOS 
        INT     21H           

B10_0B__ ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
