PAGE 66,132
TITLE ** B10_1001.ASM -      Scrive Registro Sovrascansione (colore del bordo)
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1001.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 01H).          |
;|                                                                           |
;|               Il programma si occupa si cambiare il contenuto del Registro|
;|               di Sovrascansione (Registro 11H del Controller di Attributo)|
;|               al fine di modificare il colore del bordo del video; la  ob-|
;|               soleta Funzione 0BH dell'INT 10H, riservata agli  adattatori|
;|               CGA, consente anche per essi il medesimo servizio.          |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1001


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB DB 00H
Out_0  DB "        Premere "                                             ,00H
Out_1  DB "  un tasto "                                                  ,00H
Out_2  DB " per continuare,  oppure [Q]uit  per uscire      "            ,00H
Text0  DB " Lettura del Codice di Colore del Registro di Sovrascansione BORDO"
Text1  DB                                  "          "                  ,00H
Corn0  DB "Ŀ" ,00H
Corn1  DB "   Il Registro di Sovrascansione contiene ora il byte     " ,00H
Corn2  DB "                             H                            " ,00H
Corn3  DB "" ,00H


;*****************************************************************************
                              ; ----------------------------------------------
B10_1001 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Corn0,10,8,0FH; |                                            |
        M_msgC  Corn1,11,8,0FH; |      Predispone la cornice di prova        |
        M_msgC  Corn2,12,8,0FH; |                                            |
        M_msgC  Corn3,13,8,0FH; *--------------------------------------------*
        M_msgC  Text0, 4,2,1FH; |                                            |
        M_msgC  Out_0,22,2,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; \--------------------------------------------/
                              ; /--------------------------------------------\
        MOV     BH,00         ; |Ridefinizione del Registro di Sovrascansione|
XXX00:  PUSH    BX            ; \--------------------------------------------/
        MOV     AL,01H        ; Funzione BIOS che predispone  il  registro  di
        MOV     AH,10H        ; Sovrascansione (per il controllo del BORDO del
        INT     10H           ; Video) con il colore specificato in BH
        MOV     AL,BH         ;
        M_COLOR 0FH           ; Prende il colore in [ATTRIB], fissa  la  posi-
        MOV     DH,12         ; zione e stampa il codice esadecimale  dell'At-
        MOV     DL,36         ; tributo di colore corrente del BORDO
        CALL    SET_cur       ;
        CALL    Byt2Asc       ;
        CALL    KEYwait       ;
        POP     BX            ; Consente l'uscita dal  test  prima  della  sua
        INC     BH            ; conclusione  per   pressione  del   tasto  "Q"
        AND     AL,11011111B  ;
        CMP     AL,'Q'        ;
        JNZ     SHORT XXX00   ;
_OUT:   M_msgC Text1,22,1,0FH ;
        MOV     CX,07         ;
XXX01:  M_msgN  Text1         ;
        LOOP    XXX01  

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1001 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
