PAGE 66,132
TITLE ** B10_1003.ASM   -   Controlla intensit e flash dello Sfondo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1003.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 03H)  che  con-|
;|               trolla la possibilit di scegliere, con  l'azione  del  bit7|
;|               del byte d'attributo, l'alta intensit dello sfondo  piutto-|
;|               sto che il lampeggio del carattere in primo piano;   neces-|
;|               sario per altro sottolineare che tale scelta  poi attiva su|
;|               tutto lo schermo, cio ANCHE PER I CARATTERI  GIA`  STAMPATI|
;|               IN PRECEDENZA sul video; in altre parole non  possibile di-|
;|               sporre sulla stessa pagina video di caratteri lampeggianti e|
;|               di sfondi ad alta luminosit !!                             |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
;       EXTRN   Byt2Asc:NEAR
;       EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1003


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB   00H
Out_0   DB  "                 Premere  "                               ,00H
Out_1   DB  "un tasto"                                                 ,00H
Out_2   DB  "  per continuare                 "                        ,00H
Text0   DB  "                ANALISI DEL PROBLEMA A LIVELLO BIOS"
Text1   DB                                  "                "         ,00H
Text2   DB  "Il bit7 di Attributo  predisposto per SFONDO "           ,00H
Text3   DB                                          "lampeggiante     ",00H
Text4   DB                                          "ad alta intensit",00H
Corn0   DB  "Ŀ"              ,00H
Corn1   DB  "                                         "              ,00H
Corn2   DB  ""              ,00H
Base    DB    "  Bianco Brillante su ",00H
Nero0   DB     " Nero    con flash "  ,00H
Blu_0   DB     " Blu     con flash "  ,00H
Verd0   DB     " Verde   con flash "  ,00H
Azzu0   DB     " Azzurro con flash "  ,00H
Ross0   DB     " Rosso   con flash "  ,00H
Mage0   DB     " Magenta con flash "  ,00H
Gial0   DB     " Marrone con flash "  ,00H
Bian0   DB     " Bianco  con flash "  ,00H

Grig1   DB     " Grigio            "  ,00H
Bele1   DB     " Blu Elettrico     "  ,00H
Vchi1   DB     " Verde chiaro      "  ,00H
Cele1   DB     " Azzurro chiaro    "  ,00H
Rosa1   DB     " Rosa              "  ,00H
Mchi1   DB     " Magenta chiaro    "  ,00H
Gchi1   DB     " Giallo brillante  "  ,00H
Bbri1   DB     " Bianco brillante  "  ,00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : flash                                                       |
;| DESCRIZIONE : Stampa i messaggi con attributo di colore con bit7 program- |
;|               mato per produrre FLASH del testo                           |
;\---------------------------------------------------------------------------/
flash: M_msgC Nero0,04,35,08FH;
       M_msgC Blu_0,05,35,09FH;
       M_msgC Verd0,06,35,0AFH;  Emissione di stringhe con attributo di colore
       M_msgC Azzu0,07,35,0BFH;  in grado di attivare il lampeggio dei  carat-
       M_msgC Ross0,08,35,0CFH;  teri di primo piano delle stringhe
       M_msgC Mage0,09,35,0DFH;
       M_msgC Gial0,10,35,0EFH;
       M_msgC Bian0,11,35,0FFH;
       CALL    KEYwait        ;
       RET                    ;

;/---------------------------------------------------------------------------\
;| PROCEDURA   : brigh                                                       |
;| DESCRIZIONE : Stampa i messaggi con attributo di colore con bit7 program- |
;|               mato per produrre testi con sfondo evidenziato              |
;\---------------------------------------------------------------------------/
brigh: M_msgC Grig1,04,35,08FH;
       M_msgC Bele1,05,35,09FH;
       M_msgC Vchi1,06,35,0AFH;  Emissione di stringhe con attributo di colore
       M_msgC Cele1,07,35,0BFH;  in grado di attivare l'alta luminosit  degli
       M_msgC Rosa1,08,35,0CFH;  sfondi  delle  stringhe
       M_msgC Mchi1,09,35,0DFH;
       M_msgC Gchi1,10,35,0EFH;
       M_msgC Bbri1,11,35,0FFH;
       CALL    KEYwait        ;
       RET                    ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_1003 proc   NEAR          ;      AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        CALL    VIA_cur
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearScreen con aiuto della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        M_msgC Corn0,03,12,0EH;
        MOV     CX,8          ;
XXX00:  MOV     BH,12         ;
        SUB     BH,CL         ;   Predispone la cornice esterna
        M_msgC Corn1,BH,12,0EH;
        LOOP    XXX00         ;
        M_msgC Corn2,12,12,0EH;
        M_msgC  Base,04,13,0FH;
        M_msgC  Base,05,13,1FH;
        M_msgC  Base,06,13,2FH;
        M_msgC  Base,07,13,3FH;  Emissione di stringhe con attributo di colore
        M_msgC  Base,08,13,4FH;  in grado di attivare stampa su base "normale"
        M_msgC  Base,09,13,5FH;
        M_msgC  Base,10,13,6FH;
        M_msgC  Base,11,13,7FH;
        M_msgC  Text0 ,1,1,1FH; /--------------------------------------------\
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; \--------------------------------------------/
        M_msgC  Text2,21,4,0EH;  Emissione di stringhe con attributo di colore
        M_msgN  Text3         ;  in grado di attivare il lampeggio dei  carat-
        CALL    flash         ;  teri di primo piano delle stringhe
                              ; ---------------------------------------------\
                              ; Predispone le  condizioni di ALTA LUMINOSITA`|
                              ; ---------------------------------------------/
        MOV     AX,1003H      ; Con AL=3 controlla l'intensit e il lampeggio:
        MOV     BL,00H        ; con BL=0 abilita  l'alta luminosit; con  BL=1
        INT     10H           ; abilita il lampeggio (condizione  di  default,
        ;/-------------------\; che consente al bit7="1" del byte  d'attributo
        ;| Alta luminosit   |; di operare l'emissione in alta luminosit del-
        ;\-------------------/; lo sfondo
        M_msgC  Text2,21,4,0EH;  Emissione di stringhe con attributo di colore
        M_msgN  Text4         ;  in grado di attivare l'alta luminosit  degli
        CALL    brigh         ;  sfondi  delle  stringhe
                              ; ---------------------------------------------\
                              ; Ripristina le condizioni di Default          |
                              ; ---------------------------------------------/
        MOV     AX,1003H      ; Con AL=3 controlla l'intensit e il lampeggio:
        MOV     BL,01H        ; con BL=0 abilita  l'alta luminosit; con  BL=1
        INT     10H           ; abilita il lampeggio (condizione  di  default,
        ;/-------------------\; che consente al bit7="1" del byte  d'attributo
        ;| Flash caratteri   |; di operare il lampeggio del carattere in primo
        ;\-------------------/; piano
        M_msgC  Text2,21,4,0EH;  Emissione di stringhe con attributo di colore
        M_msgN  Text3         ;  in grado di attivare il lampeggio dei  carat-
        CALL    flash         ;  teri di primo piano delle stringhe
        M_msgC Text1,24,1,0FH ;
        MOV     CX,04         ;
_OUT:   M_msgN  Text1         ;
        LOOP    _OUT 

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1003 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
