PAGE 66,132
TITLE ** B10_1009.ASM -  Legge tutti i Registri Tavolozza + Bordo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1009.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 09H):  il  pro-|
;|               gramma  praticamente lo stesso di B10_1007.ASM;  ora   ne-|
;|               cessario definire un piccolo Buffer di 17 locazioni e,  dopo|
;|               averlo riempito con l'azione della SottoFunzione sotto  test|
;|               si far riferimento ad esso per stampare i valori  contenuti|
;|               nei 16 Registri di Tavolozza e nel Registro di Sovrascansio-|
;|               ne (analogamente a quanto illustrato da B10_1008.ASM).      |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1009


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
DepoCol DB  17   DUP (00H)    ;Spazio per i 16 Registri di Tavolozza+Reg.Bordo
ATTRIB DB   00H
Out_0  DB "                    Premere  "                                ,00H
Out_1  DB                              "un tasto"                        ,00H
Out_2  DB                     "  per tornare al DOS                    " ,00H
Text0  DB "           Lettura dei Codici di Tavolozza a LIVELLO BIOS   "
Text1  DB                                  "             "               ,00H
Corn0  DB "Ŀ"  ,00H
Corn1  DB "Registro TavolozzaComponenti   RVB RVB Colore          "  ,00H
Corn2  DB "Ĵ"  ,00H
Corn3  DB "         H             H                               "  ,00H
Corn5  DB "Registro del Bordo     H                               "  ,00H
Corn4  DB ""  ,00H
TabCol DB "Nero            "                                             ,00H
       DB "Blu             "                                             ,00H
       DB "Verde           "                                             ,00H
       DB "Azzurro         "                                             ,00H
       DB "Rosso           "                                             ,00H
       DB "Magenta         "                                             ,00H
       DB "Marrone         "                                             ,00H
       DB "Bianco          "                                             ,00H
       DB "Grigio          "                                             ,00H
       DB "Blu Elettrico   "                                             ,00H
       DB "Verde chiaro    "                                             ,00H
       DB "Azzurro chiaro  "                                             ,00H
       DB "Rosa            "                                             ,00H
       DB "Magenta chiaro  "                                             ,00H
       DB "Giallo Brillante"                                             ,00H
       DB "Bianco Brillante"                                             ,00H
Giallo DB "Giallo          "                                             ,00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAbit                                                      |
;| DESCRIZIONE : Organizza la stampa bit a bit del contenuto del registro BH,|
;|               presentandoli in formazione due + tre + tre.                |
;\---------------------------------------------------------------------------/
STAbit: PUSH    CX            ;
        PUSH    BX            ;
        MOV     DL,38         ;
        MOV     CX,8          ;
STAbi1: CALL    SET_cur       ;
        MOV     AL,"0"        ;
        SHL     BH,1          ;
        JNC     STAbi2        ;
        INC     AL            ; Organizza la stampa bit  a  bit  del contenuto
STAbi2: CALL    BIOchr1       ; corrente del Registro BH accorpando i  bit  in
        INC     DL            ; formazione due + tre + tre
        CMP     CL,7          ;
        JZ      STAbi3        ;
        CMP     CL,4          ;
        JNZ     STAbi4        ;
STAbi3: INC     DL            ;
STAbi4: LOOP    STAbi1        ;
        POP     BX            ;
        POP     CX            ;
        RET

;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAdati                                                     |
;| DESCRIZIONE : Visualizza il contenuto di tutti i 16 Registri di Tavolozza |
;\---------------------------------------------------------------------------/
STAdati:MOV     CX,16         ;
STAda0: INC     DH            ;
        MOV     DL,8          ;
        CALL    SET_cur       ;
        M_COLOR 0FH           ; Stampa  il  tratto  di  cornice  orizzontale
        PUSH    SI            ;
        LEA     SI,Corn3      ;
        CALL    BIOSmsg       ;
        POP     SI            ;
        M_COLOR 0EH           ;
        MOV     DL,16         ;
        CALL    SET_cur       ; BL=Numero del Registro di Tavolozza corrente
        MOV     AL,BL         ;
        CALL    Byt2Asc       ;
        MOV     BH,CS:[BP]    ;
        INC     BP            ; Preleva in BH il codice colore dal Registri di
        MOV     DL,31         ; Tavolozza corrente (tra BL=00H a BL=0FH)
        CALL    SET_cur       ; e lo stampa nella posizione desiderata
        MOV     AL,BH         ;
        CALL    Byt2Asc       ;
                              ; Organizza la stampa bit a  bit  del  contenuto
        CALL    STAbit        ; del Registro di Tavolozza corrente, accorpando
                              ; i bit in formazione due + tre + tre
        MOV     DL,50         ;
        CALL    SET_cur       ;
        M_COLOR BL            ; Stampa il nome del Colore corrente
        CMP     BH,06H        ;
        JZ      STAda6        ;
        CALL    BIOSmsg       ;
        INC     SI            ;
STAda5: INC     BL            ;
        LOOP    STAda0        ; Punta il prossimo Registro di Tavolozza e
        INC     DH            ; prosegue l'indagine
        RET                   ;
STAda6: PUSH    SI            ; Il problema legato al fatto che  il  contenuto
        LEA     SI,Giallo     ; di default del Registro 06H   BH=14H (=marro-
        CALL    BIOSmsg       ; ne)  qui risolto tenendo conto  anche di  una
        POP     SI            ; eventuale  riprogrammazione a BH=06H  (=giallo
        ADD     SI,17         ; normale) che assicura la stampa di una stringa
        JMP     SHORT STAda5  ; adeguata al nuovo valore

;/---------------------------------------------------------------------------\
;| PROCEDURA   : STAbordo                                                    |
;| DESCRIZIONE : Visualizza il contenuto di tutti i 16 Registri di Tavolozza |
;\---------------------------------------------------------------------------/
STAbordo:INC     DH           ;
        MOV     DL,8          ;
        CALL    SET_cur       ;
        M_COLOR 0FH           ; Stampa  il  tratto   di   cornice  orizzontale
        LEA     SI,Corn5      ;
        CALL    BIOSmsg       ;
        M_COLOR 0EH           ;
        MOV     DL,31         ; Preleva in AL il  contenuto  del Registri   di
        CALL    SET_cur       ; Sovrascansione che indica il  colore  corrente
        MOV     AL,CS:[BP]    ; del Bordo e lo stampa nella  giusta  posizione
        CALL    Byt2Asc       ;
        MOV     BH,AL         ; Organizza la stampa bit a  bit  del  contenuto
        CALL    STAbit        ; corrente del Registro di  Sovrascansione,  ac-
                              ; corpando i bit in formazione due + tre + tre
        LEA     SI,TabCol     ;
        AND     BH,0FH        ;
        CMP     BH,06H        ;
        JNZ     STAbo1        ;
        LEA     SI,Giallo     ;
        JMP     SHORT STAbo2  ;
STAbo1: MOV     AL,17         ; Calcola l'indirizzo corrispondente alla strin-
        MUL     BH            ; ga che descrive il codice corrente del  colore
        ADD     SI,AX         ; del Bordo e lo stampa
STAbo2: M_COLOR BH            ;
        MOV     DL,50         ;
        CALL    SET_cur       ;
        CALL    BIOSmsg       ;
        INC     DH            ;
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_1009 proc   NEAR          ;      AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |    Inizializza la pagina Video del test    |
        M_COLOR 9FH           ; |                    e                       |
        M_msgN Out_1          ; |    propone il Testo di presentazione       |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; \--------------------------------------------/
        PUSH    ES            ;
        MOV     AX,CS         ; Funzione BIOS che assume il contenuto  di TUT-
        MOV     ES,AX         ; TI i 16 Registri di Tavolozza e  del  Registro
        LEA     DX,DepoCol    ; di sovrascansione (usato per il controllo  del
        MOV     AL,09H        ; bordo del video) e lo colloca nella Tabella di
        MOV     AH,10H        ; 17 bytes puntata da ES:DX
        INT     10H           ;
        POP     ES            ;
        M_msgC  Corn0, 2,8,0FH; /--------------------------------------------\
        M_msgC  Corn1, 3,8,0FH; |                                            |
        M_msgC  Corn2, 4,8,0FH; |                                            |
        MOV     BL,00H        ; |                                            |
        LEA     BP,DepoCol    ; |
        LEA     SI,TabCol     ; |      Predispone la cornice di prova        |
        MOV     DH,4          ; |      e organizza la stampa completa        |
        CALL    STAdati       ; |      dei dati della prova                  |
        M_msgC  Corn2,DH,8,0FH; |                                            |
        CALL    STAbordo      ; |                                            |
        M_msgC  Corn4,DH,8,0FH; \--------------------------------------------/
        CALL    KEYwait

_OUT:   M_msgC Text1,24,1,0FH ;
        MOV     CX,06         ;
XXX03:  M_msgN  Text1         ;
        LOOP    XXX03         ;

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1009 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
