; il programma di collaudo della SottoFunzione 1AH, B10_101A, mostra anche
; qualche artificio per manipolare i Registri di Colore del DAC in modo da
; assicurare la visualizzazione di Messaggi in condizioni ottimali anche in
; presenza di Tavolozze con gradazioni critiche.

PAGE 66,132
TITLE ** B10_101A.ASM - Legge la Tavolozza attiva e il suo tipo
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_101A.ASM                         (INT 10H, Funzione 10H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Prova l'INT 10H, Funzione 10H (SottoFunzione 1AH) al fine di|
;|               stabilire la Fonte per la Decodifica del Colore nella stampa|
;|               a Video.                                                    |
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN CAMBIAcol:NEAR
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   Byt2Asc:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_101A


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
NumPag  DB   00H              ; NumPag=Numero di Pagine di Colore disponibili
Quanti  DB   00H              ; Quanti=Numero di Colori disponibili nella Pag
ATTRIB  DB   00H
Out_0   DB  "                     Premere  "                              ,00H
Out_1   DB  "un tasto"                                                    ,00H
Out_2   DB  "  per continuare                      "                      ,00H
Text0  DB "    Cambio e Verifica della Tavolozza Attiva  a LIVELLO BIOS"
Text1  DB                                  "              "               ,00H
Text2  DB "**** Testo di prova con Attributo 0FH, attualmente attivo ****",00H
Text3  DB "Ŀ",00H
Text4  DB "   Sono attualmente disponibili    Tavolozze da    Colori   ",00H
Text5  DB "      La Tavolozza in esercizio attualmente  la N  H      ",00H
Text6  DB "",00H
Text7  DB  "Per garantire la leggibilit  dei testi  anche in presenza di",00H
Text8  DB  "Colori associati a terne DAC correnti visibili con difficolt",00H
Text9  DB  "essi sono stampati comunque con la terna del registro DAC n7",00H
TextA  DB  "**** Solo il  Testo di Prova mantiene l'effettivo Colore ****",00H
Numr0  DB                                  " 4"                           ,00H
Numr1  DB                                  "16"                           ,00H
;Numr1 DB                                                  "16"           ,00H
Numr2  DB                                                  "64"           ,00H


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : Prova                                                       |
;| DESCRIZIONE : Visualizza gli effetti della Tavolozza attualmente attiva.  |
;| /-----------\ Come  noto il numero  contenuto del  Registro di Tavolozza |
;| |           | serve  per puntare un dato Registro DAC, di volta  in  volta|
;| |           | diverso a seconda della Pagina di Colori attivata dalla Sot-|
;| |           | toFunzione 13H; quindi volendo scrivere i Messaggi in Bianco|
;| |           | su Nero ci  possibile solo per la  prima di queste pagine;|
;| |   NOTA:   | per rendere leggibili i messaggi,qualunque sia la terna cor-|
;| |           | rente di Registri DAC puntata dal Registro di Tavolozza  as-|
;| |           | sociato all'Attributo 07H, si  allora  pensato  di  forzare|
;| |           | al posto di quella effettiva la terna 3FH,3FH,3FH del bianco|
;| |           | brillante; poich anche lo sfondo nero (Attributo 07H) viene|
;| |           | influenzato dalla prova anche la terna corrente dei Registri|
;| |           | DAC puntata dal Registro di Tavolozza associato all'Attribu-|
;| \-----------/ to 00H viene forzata ai valori 00H,00H,00H del nero         |
;\---------------------------------------------------------------------------/
Prova:  PUSH    CX            ;
        MOV     BL,CS:[NumPag]; Punta la Pagina (Tavolozza) corrente
        SUB     BL,CL         ;
        PUSH    BX            ;
        M_CURSOR 7,61         ;
        M_COLOR 07            ;
        MOV     AL,BL         ; Stampa il Numero della Pagina corrente
        CALL    Byt2Asc       ;
        POP     BX            ;
                              ; /--------------------------------------------\
        PUSH    BX            ; | Attiva la Pagina di Colori corrente        |
        MOV     BH,BL         ; \--------------------------------------------/
       ;MOV     BH,N_PagAttiva; Funzione BIOS che stabilisce, con BL=01H, qua-
        MOV     BL,01H  ;Quale; le delle possibili pagine di colore  attivata
        MOV     AL,13H        ; scegliendo tra BH=00H0FH per una delle 16  da
        MOV     AH,10H        ; 16 Registri di Tavolozza EGA (o tra BH=00H03H
        INT     10H           ; per una delle 4 da 64  Registri di Colore DAC)
        POP     BX            ;
        MOV     AL,CS:[Quanti];
        MUL     BL            ;
        PUSH    AX            ;
        MOV     BX,AX;NumRegis;
        MOV     CL,00H        ;
        MOV     CH,00H        ;
        MOV     DH,00H        ; Per rendere  leggibili  i  messaggi, qualunque
        MOV     AL,10H        ; siano le terne correnti dei Registri DAC  pun-
        MOV     AH,10H        ; tati dai Registri di Tavolozza associati  agli
        INT     10H           ; Attrubuti 00H e 07H, per  la  loro  stampa  si
        POP     AX            ; usano le terne di default rispettivamente  per
        ADD     AX,0007H      ; i Registri DAC N00H e N07H  (Vedi  NOTA  nel
        MOV     BX,AX;NumRegis; riquadro della descrizione)
        MOV     CL,3FH        ;
        MOV     CH,3FH        ;
        MOV     DH,3FH        ;
        MOV     AL,10H        ;
        MOV     AH,10H        ;
        INT     10H           ;
        CALL    KEYwait       ;
        POP     CX            ;
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_101A proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ; /--------------------------------------------\
        MOV     CL,00         ; |                                            |
        MOV     DH,24         ; |Produce un ClearScreen con aiuto della  Fun-|
        MOV     DL,79         ; |zione 06H dell'INT 10H BIOS (NB:CH=RigaAlto,|
        MOV     BH,0FH        ; |CL=ColnAlto,  DH=RigaBass,  DL=ColnBass, BH=|
        MOV     AL,00         ; |BH=Colore e AL=0 (scorrere  TUTTE  le  righe|
        MOV     AH,06H        ; |dello schermo)                              |
        INT     10H           ; |                                            |
        CALL    VIA_cur       ; *--------------------------------------------*
        M_msgC  Text0 ,1,1,1FH; |                                            |
        M_msgC  Text3 ,5,9,07H; |                                            |
        M_msgC  Text4, 6,9,07H; |                                            |
        M_msgC  Text5, 7,9,07H; |                                            |
        M_msgC  Text6, 8,9,07H; |                                            |
        M_msgC  Text7,10,9,07H; |    Inizializza la pagina Video del test    |
        M_msgC  Text8,11,9,07H; |                    e                       |
        M_msgC  Text9,12,9,07H; |    propone il Testo di presentazione       |
        M_msgC  TextA,13,9,07H; |                                            |
        M_msgC  Text2,16,9,0FH; |                                            |
        M_msgC  Out_0,24,1,1FH; |                                            |
        M_COLOR 9FH           ; |                                            |
        M_msgN Out_1          ; |                                            |
        M_COLOR 1FH           ; |                                            |
        M_msgN Out_2          ; \--------------------------------------------/
        MOV     BL,00H ;Quante; /--------------------------------------------\
        MOV     BH,00H ;04_Pag; |Prova con 4 Pagine ciascuna da 64 Colori DAC|
        MOV     AL,13H        ; \--------------------------------------------/
        MOV     AH,10H        ;
        INT     10H           ; Funzione BIOS che stabilisce (BL=00H) che sono
   MOV Byte Ptr CS:[NumPag],4 ; disponibili  4 pagine (Tavolozze)  da 64 Regi-
   MOV Byte Ptr CS:[Quanti],64; stri DAC ciascuna (essendo BH=00H)
        M_msgC  Numr0,6,42,07H;
        M_msgC  Numr2,6,58,07H;
        MOV     CX,4          ; Aggiorna il  Messaggio  ed  esegue  la  prova
XXX00:  CALL    Prova         ;
        LOOP    XXX00         ;

        MOV     BL,00H ;Quante; /--------------------------------------------\
        MOV     BH,01H ;16_Pag; |Prova con 16 Pagine ciascuna da 16 ColoriDAC|
        MOV     AL,13H        ; \--------------------------------------------/
        MOV     AH,10H        ;
        INT     10H           ; Funzione BIOS che stabilisce (BL=00H) che sono
   MOV Byte Ptr CS:[NumPag],16; disponibili 16 pagine (Tavolozze)  da 16 Regi-
   MOV Byte Ptr CS:[Quanti],16; stri DAC ciascuna (essendo BH=01H)
        M_msgC  Numr1,6,42,07H;
        M_msgC  Numr1,6,58,07H;
        MOV     CX,16         ; Aggiorna il  Messaggio  ed  esegue  la  prova
XXX01:  CALL    Prova         ;
        LOOP    XXX01         ;
       ;/--------------------------------------------------------------------\
       ;|Prima di terminare al fine di riprendere la normale Tavolozza di co-|
       ;|lori (cio quella che punta i Registri DAC 00H07H e 38H3FH) si ri-|
_OUT:  ;|badisce il MODO TESTO normale, 03H; vengono cos ricaricareti i pri-|
       ;|mi 64 Registri di Colore del DAC                                    |
       ;\--------------------------------------------------------------------/
        MOV     AL,83H        ;/-------------------*------*-----*----*-------\
        MOV     AH,00H        ;|MODO TESTO STANDARD|AL=03H|80x25|8x16|640x400|
        INT     10H           ;\-------------------*------*-----*----*-------/
        MOV     BL,01H  ;Quale; Funzione BIOS che stabilisce, con BL=01H, qua-
        MOV     BH,00H ;NumPag; le delle possibili pagine di colore desiderata
        MOV     AL,13H        ; scegliendo la prima, di default, con i 16  Re-
        MOV     AH,10H        ; gistri di Tavolozza che puntano i Registri DAC
        INT     10H           ; 00H07H  e 38H3FH associate ai colori NORMALI
        M_CURSOR 7,61         ;
        MOV     AL,00H        ; Stampa il Numero della Pagina corrente
        CALL    Byt2Asc       ;
        M_msgC  Numr1,6,42,0FH;
        M_msgC  Numr1,6,58,0FH;
        CALL    KEYwait       ;

        M_msgC Text1,24,1,0FH ;
        MOV     CX,06         ;
XXX04:  M_msgN  Text1         ;
        LOOP    XXX04  

        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_101A ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
