PAGE 66,132
TITLE ** B10_1130.ASM -  Assume informazioni sul FONT di caratteri  desiderato
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1130.ASM                         (INT 10H, Funzione 11H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della SottoFunzione assumendo Informazio-|
;|               ni si vari FONT di Caratteri disponibili nelle varie memorie|
;|               a sola lettura (ROM) del computer; i Dati  visualizzati  dal|
;|               programma, raccolti qui sotto nel caso del mio Computer, so-|
;|               no facilmente verificabili con il Programma ~GRAF.COM~,  di-|
;|               sponibile nel Pacchetto Software.                           |
;|/------------------------------------------------*----------*-----*-------\|
;||          Tipo di FONT di Caratteri             |Puntatore |Altez|Nrighe||
;|*------------------------------------------------*----------*-----*-------*|
;||Caratteri 8*8 CGA COMPATIBILI,Vettore INT 1FH(*)|C000:542EH|  16 |   24  ||
;||Caratteri Grafici Correnti,   Vettore INT 43H   |C000:502EH|  16 |   24  ||
;||Caratteri 8*14 ROM BIOS,                 EGA/VGA|C000:582EH|  16 |   24  ||
;||Caratteri 8*8  ROM BIOS,              double dot|C000:502EH|  16 |   24  ||
;||Caratteri 8*8  ROM BIOS,        seconda met (*)|C000:542EH|  16 |   24  ||
;||Caratteri 9*14 ROM BIOS              alternativo|C000:662EH|  16 |   24  ||
;||Caratteri 8*16 ROM BIOS,                MCGA/VGA|C000:673EH|  16 |   24  ||
;||Caratteri 9*16 ROM BIOS              alternativo|C000:773EH|  16 |   24  ||
;|\------------------------------------------------*----------*-----*-------/|
;\---------------------------------------------------------------------------/

; MACRO UTILIZZATE DAL PROGRAMMA:
        include         c:\arch-lab\bin\GIOBE.MAC
 

       ;/[MACRO SPECIFICHE, riadattate per questo programma]-----------------\
       ;|Notare come in certe situazioni  convenga estrarre una o  pi  MACRO|
       ;|dalla Libreria ~GIOBE.MAC~ al fine di renderele pi funzionali o pi|
       ;|economiche, nel contesto del programma che si sta scrivendo         |
       ;\--------------------------------------------------------------------/
M_msg_  MACRO   Testo         ;
        PUSH    CX            ;
        PUSH    DX            ;
        MOV     DL,1 ;Colonna ; Fissa la posizione  di  stampa  sulla  Riga DH
        CALL    SET_cur       ; corrente (incrementata in uscita)  e  comunque
        LEA     SI,Testo      ; Colonna DL=1; poi  provvede  alla  stampa  del
        CALL    BIOSmsg       ; Testo, comunque con Colore = [ATTRIB]
        POP     DX            ;
        POP     CX            ;
        INC     DH ; Riga     ;
        ENDM                  ;
        ;---------------------------------------------------------------------
M_msg__ MACRO   Testo         ; Fissa la posizione di stampa su  Colonna DL=1,
        LEA     SI,Testo      ; Riga DH (corrente,  incrementata  in  uscita);
        CALL    ChkFONT       ; poi provvede al rilievio e alla stampa dei Da-
        ENDM                  ; ti, comunque con Colore = [ATTRIB]
                              ;-----------------------------------------------

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   Wor2Asc:NEAR
        EXTRN   Byt2Dec:NEAR
        EXTRN   BIOSmsg:NEAR
        EXTRN   BIOchr1:NEAR
        PUBLIC  ATTRIB       ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1130


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB DB 00H                ;Attributo di Colore
TESTO1 DB ""
       DB                                    "Ŀ",00H
TESTO2 DB "          Tipo di FONT di Caratteri              "
       DB                                    "Puntatore AltezzaNrighe",00H
TESTO3 DB ""
       DB                                    "Ĵ",00H
TESTO4 DB "Caratteri 8*8 CGA COMPATIBILI,Vettore INT 1FH (*)"           ,00H
TESTO5 DB "Caratteri Grafici Correnti,   Vettore INT 43H    "           ,00H
TESTO6 DB "Caratteri 8*14 ROM BIOS,      EGA/VGA            "           ,00H
TESTO7 DB "Caratteri 8*8  ROM BIOS,      double dot         "           ,00H
TESTO8 DB "Caratteri 8*8  ROM BIOS,      seconda met    (*)"           ,00H
TESTO9 DB "Caratteri 9*14 ROM BIOS       alternativo        "           ,00H
TESTOA DB "Caratteri 8*16 ROM BIOS,      MCGA/VGA           "           ,00H
TESTOB DB "Caratteri 9*16 ROM BIOS       alternativo        "           ,00H
TESTOC DB ""
       DB                                    "",00H
TESTOD DB " (*)  Tabella in cui sono definiti i 128 caratteri "
       DB                                    "ASCII ESTESI (80HFFH)     ",00H
TESTOE DB  "H  "                                                         ,00H
TESTOF DB "    "                                                         ,00H
TESTOG DB "  "                                                           ,00H



;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURA   : ChkFONT                                                     |
;| DESCRIZIONE : Predispone la stampa di ogni Riga della Tabella e la comple-|
;|               ta con le informazioni assunte dalla SottoFunzione 30H della|
;|               Funzione 11H dell INT 10H, relativa al FONT indicato in  in-|
;|               gresso in BH (e lasciate in ES:BP (puntatore alla Tabella di|
;|               definizione dei Caratteri), in DL (Numero di righe-1 di  te-|
;|               sto visualizzabili sul Video)  e in CX (altezza  di  ciascun|
;|               carattere). In uscita aggiorna anche la posizione di  stampa|
;|               per la successiva Riga della Tabella dei Dati.              |
;\---------------------------------------------------------------------------/
ChkFONT:PUSH    DX
        PUSH    BX
        MOV     DL,1 ;Colonna ; Fissa la posizione  di  stampa  sulla  Riga DH
        CALL    SET_cur       ; corrente (incrementata in uscita)  e  comunque
        CALL    BIOSmsg       ; Colonna DL=1; poi  provvede  alla  stampa  dei
                              ; Dati, comunque con Colore = [ATTRIB]
                              ; SottoFunzione che assume informazioni sul FONT
        POP     BX            ; di caratteri indicato in ingresso  in BH;  la-
        MOV     AL,30H        ; scia il ES:BP il puntatore alla Tabella di de-
        MOV     AH,11H        ; finizione dei Caratteri, in DL lascia il Nume-
        INT     10H           ; ro di righe-1 di testo visualizzabiili sul Vi-
                              ; deo e in CX  l'altezza  di  ciascun  carattere
        PUSH    DX
        PUSH    CX
        MOV     AX,ES         ;
        CALL    Wor2Asc       ;                                   /----------\
        MOV     AL,":"        ;                                   |Puntatore |
        CALL    BIOchr1       ; Stampa l'indirizzo contenuto in   *----------*
        MOV     AX,BP         ; ES:BP                             |0000:0000H|
        CALL    Wor2Asc       ;                                   \----------/
        M_msgN  TESTOE        ;                                      /-------\
        POP     CX            ;                                      |Altezza|
        MOV     AL,CL         ; Stampa l'altezza contenuta in CL     *-------*
        CALL    Byt2Dec       ;                                      |   16  |
        M_msgN  TESTOF        ;                                      \-------/
        POP     DX            ;                                      /-------\
        MOV     AL,DL         ; Stampa il numero di pagine contenuto |Nrighe|
        INC     AL            ; in DL                                *-------*
        CALL    Byt2Dec       ;                                      |   25  |
        M_msgN  TESTOG        ;                                      \-------/
        POP     DX            ;
        INC     DH ; Riga     ; Aggiorna la posizione (Riga) di stampa ed esce
        RET                   ;


;*****************************************************************************
                              ; ----------------------------------------------
B10_1130 proc   NEAR          ;|      AREA DEDICATA AL MAIN PROGRAM         ||
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
        MOV     CH,00         ;
        MOV     CL,00         ;
        MOV     DH,24         ; Produce un ClearSceen con aiuto  della Funzio-
        MOV     DL,79         ; ne 06H dell'INT 10H BIOS (NB:CH=RigaAlto,  CL=
        MOV     BH,0FH        ; =ColnAlto, DH=RigaBass, DL=ColnBass, BH=Colore
        MOV     AL,00         ; e AL=0 (scorrere TUTTE le righe dello schermo)
        MOV     AH,06H        ;
        INT     10H           ;
        PUSH    ES
  MOV Byte Ptr CS:[ATTRIB],0FH;/---------------------------------------------\
        MOV     DH,7 ;Riga    ;|                                             |
        M_msg_  TESTO1        ;|Intestazione della Tabella dei Dati          |
        M_msg_  TESTO2        ;|                                             |
        M_msg_  TESTO3        ;\---------------------------------------------/

        MOV     BH,00H;NumFONT; Assume informazioni sul FONT puntato dal  Vet-
        M_msg__ TESTO4        ; tore di INT 1FH (8*8 CGA compatibili)

        MOV     BH,01H;NumFONT; Assume informazioni sul FONT puntato dal  Vet-
        M_msg__ TESTO5        ; tore di INT INT 43H (caratt. GRAFICI correnti)

        MOV     BH,02H;NumFONT; Assume informazioni sulla Tabella del FONT
        M_msg__ TESTO6        ; 8*14 in ROM BIOS (EGA/VGA)

        MOV     BH,03H;NumFONT; Assume informazioni sulla Tabella del
        M_msg__ TESTO7        ; FONT 8*8  in ROM BIOS (double dot)

        MOV     BH,04H;NumFONT; Assume informazioni sulla Tabella del FONT
        M_msg__ TESTO8        ; 8*8 (double dot) in ROM BIOS (NB:  punta  alla
                              ; seconda met=128 caratteri "alti" da 80H a FFH

        MOV     BH,05H;NumFONT; Assume informazioni sulla Tabella del FONT
        M_msg__ TESTO9        ; 9*14 in ROM BIOS alternativa

        MOV     BH,06H;NumFONT; Assume informazioni sulla Tabella del FONT
        M_msg__ TESTOA        ; 8*16 in ROM BIOS (MCGA/VGA)

        MOV     BH,07H;NumFONT; Assume informazioni sulla Tabella del FONT
        M_msg__ TESTOB        ;  9*16 in ROM BIOS alternativa

        M_msg_  TESTOC        ;/---------------------------------------------\
        M_msg_  TESTOD        ;|Fine della Tabella dei Dati                  |
                              ;\---------------------------------------------/
        POP     ES            
        PUSH    AX            ; Torna al DOS con la memoria liberata e con la
        CALL    RIP_cur       ; chiusura di tutti i file; cede  il  controllo
        MOV     DH,23         ; al processo padre (generalmente COMMAND.COM);
        MOV     DL,0          ; il valore posto eventualmente  in AL prima di
        CALL    SET_cur       ; uscire pu essere testato in  uscita  con  la
        POP     AX            ; funzione 4DH  o  mediante  la  lettura  della
        MOV     AH,4CH        ; variabile DOS "ERRORLEVEL"
        INT     21H           ;

B10_1130 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
