PAGE 66,132
TITLE ** B10_1233.ASM -  Programma per la trasformazione dei colori  in  Grigi
SUBTTL** Raccolta MASTER di programmi - copyright ing. Giorgio OBER  (01/1997)
;/---------------------------------------------------------------------------\
;| NOME        : B10_1233.ASM                         (INT 10H, Funzione 12H)|
;| AUTORE      : Giorgio OBER                                                |
;| VERSIONE    : gennaio 1997                                                |
;| DESCRIZIONE : Verifica l'effetto della Funzione con tutti i MODI VIDEO    |
;|               standard, esclusi ovviamente i MONOCROMATICI.               |
;\---------------------------------------------------------------------------/

; LIBRERIA UTILIZZATA DAL PROGRAMMA [opzione WinASM altrimenti non necessaria]
        includelib      c:\arch-lab\bin\GIOBE.LIB

;PROCEDURE ESTERNE UTILIZZATE dal PROGRAMMA [NEAR, dalla LIBRERIA ~GIOBE.LIB~]
;-----------------------------------------------------------------------------
        EXTRN   SET_cur:NEAR
        EXTRN   VIA_cur:NEAR
        EXTRN   RIP_cur:NEAR
        EXTRN   BIOchr1:NEAR
        EXTRN   KEYwait:NEAR
        PUBLIC  ATTRIB        ;Attributo di colore


;DEFINIZIONE DEL SEGMENTO DEL CODICE
;-----------------------------------------------------------------------------
_prog   SEGMENT BYTE PUBLIC 'CODE'
        ASSUME  CS:_prog,DS:_prog
        ORG     0100H
INIZIO: JMP     B10_1233


;AREA DESTINATA AI DATI DEL PROGRAMMA
;-----------------------------------------------------------------------------
ATTRIB  DB      00H           ;Attributo di Colore
Modo    DB      00H           ;Numero del MODO TESTO corrente


;AREA DESTINATA ALLE PROCEDURE DEL PROGRAMMA
;/---------------------------------------------------------------------------\
;| PROCEDURE   : STAmess                                                     |
;| DESCRIZIONE : Cambia il MODO VIDEO corrente in quello  desiderato,  il cui|
;|               numero  fornito in ingresso in AL e poi stampa una serie di|
;|               asterischi colorati.                                        |
;\---------------------------------------------------------------------------/
STAmess:MOV     BL,33H        ;
        MOV     AL,00H;abilita; Abilita (AL=00H) il  calcolo della  Scala  dei
        MOV     AH,12H        ; Grigi; l'azione si fa sentire quando si cambia
        INT     10H           ; il MODO VIDEO corrente (Funzione 00H, INT 10H)
        CALL    Prova         ;
        MOV     AL,CS:[Modo]  ;
        ADD     AL,80H        ; Evita il CleasScreen durante la seconda prova
        MOV     CS:[Modo],AL  ;
        MOV     BL,33H        ;
        MOV     AL,01H;disabil; Disabilita (AL=00H) il calcolo della Scala dei
        MOV     AH,12H        ; Grigi; l'azione si fa sentire quando si cambia
        INT     10H           ; il MODO VIDEO corrente (Funzione 00H, INT 10H)
        CALL    Prova         ;
        RET
        ;---------------------------------------------------------------------
Prova:  MOV     AL,CS:[Modo]  ; Provvede ad attivare il  MODO VIDEO desiderato
        MOV     AH,00H        ; SENZA  effettuare  il ClearScreen.
        INT     10H           ;
        CALL    VIA_cur       ;
        MOV     DX,0000H      ;
        CALL    SET_cur       ;
        MOV     CX,2000       ;
        MOV     AH,00H        ;
        MOV     AL,"*"        ;
STAmes0:MOV     CS:[ATTRIB],AH;
        PUSH    AX            ; Stampa 2000 asterischi colorati, con colore di
        CALL    BIOchr1       ; volta in  volta  diverso (per  certe  modalit
        POP     AX            ; grafiche esso viene limitato a soli 16 colori)
        INC     AH            ;
    CMP Byte Ptr CS:[Modo],93H;
        JZ      STAmes1       ;
    CMP Byte Ptr CS:[Modo],84H;
        JB      STAmes1       ;
        CMP     AH,16         ;
        JNZ     STAmes1       ;
        MOV     AH,00         ;
STAmes1:LOOP    STAmes0       ;

        CALL    KEYwait       ; Rimane in attesa della pressione di un tasto
        RET


;*****************************************************************************
                              ; ----------------------------------------------
B10_1233 proc   NEAR          ;       AREA DEDICATA AL MAIN PROGRAM
                              ; ----------------------------------------------
;-----------------------------------------------------------------------------
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],00H;|MODO TESTO STANDARD|AL=00H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],01H;|MODO TESTO STANDARD|AL=01H|40x25|8x16|320x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],02H;|MODO TESTO STANDARD|AL=02H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/-------------------*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],03H;|MODO TESTO STANDARD|AL=03H|80x25|8x16|640x400|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 4  colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],04H;|MODO GRAFICO STAND.|AL=04H|40x25|8x8 |320x200|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 4  colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],05H;|MODO GRAFICO STAND.|AL=05H|40x25|8x8 |320x200|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 16 colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],0DH;|MODO GRAFICO STAND.|AL=0DH|40x25|8x8 |320x200|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 16 colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],0EH;|MODO GRAFICO STAND.|AL=0EH|80x25|8x8 |640x200|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 16 colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],10H;|MODO GRAFICO STAND.|AL=10H|80x25|8x14|640x350|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[ 16 colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],12H;|MODO GRAFICO STAND.|AL=12H|80x30|8x16|640x480|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/
                              ;/--[256 colori]-----*------*-----*----*-------\
    MOV Byte Ptr CS:[Modo],13H;|MODO GRAFICO STAND.|AL=13H|40x25|8x8 |320x200|
        CALL    STAmess       ;\-------------------*------*-----*----*-------/

        MOV     AL,03H        ;
        MOV     AH,00H        ; Ripristina in uscita il  MODO  TESTO  standard
        INT     10H           ;

        CALL    RIP_cur       ;
        MOV     DH,23         ; Torna al DOS con la memoria liberata e con la
        MOV     DL,0          ; chiusura di tutti i file; cede  il  controllo
        CALL    SET_cur       ; al processo padre (generalmente COMMAND.COM)
        MOV     AH,4CH        ;
        INT     21H           ;

B10_1233 ENDP                 ; Chiusura della Procedura "Main Program"
_prog   ENDS                  ; Chiusura del Segmento di CODICE
        END INIZIO            ; Indirizzo dell'ultima istruzione da compilare
